Mon Feb 09 12:01:28 CST 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * ACE version 5.6.8 released.

Mon Feb  9 17:35:05 UTC 2009  Phil Mesnier  <phil@phil.ociweb.com>

        * NEWS:
          Updated news file.

        * docs/bczar/bczar.html:
          Changed text to refer to SVN rather than CVS for freeze procedure.

Mon Feb  9 09:19:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_rel_manpages:
          We are now using doxygen 1.5.8

Fri Feb  6 15:37:15 UTC 2009  Steven Stallion  <stallions@ociweb.com>

        * tests/Log_Thread_Inheritance_Test.cpp:

          Fixed missing extern "C" in pthread start routine.

Fri Feb  6 10:55:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * html/Stats/index.shtml:
          Updated download link and added xampler link

Fri Feb  6 10:33:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Containers/Map_Manager_Specialization.cpp:
          Fixed compile error in versioned namespace build

Thu Feb  5 23:50:27 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * THANKS:

          Added Ron van Hoof <rvhoof27 at gmail dot com>.

Thu Feb  5 23:17:59 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * THANKS:

          Added Steve Stallion

Thu Feb  5 22:27:34 UTC 2009  Steven Stallion  <stallions@ociweb.com>

        * ace/Base_Thread_Adapter.cpp:

          Backed out uneccessary change introduced in r84339.

Thu Feb  5 21:14:15 UTC 2009  Steven Stallion  <stallions@ociweb.com>

        * ace/Base_Thread_Adapter.cpp:
        * tests/Log_Thread_Inheritance_Test.cpp:

          Fixed a SEGV caused by ACE_Log_Msg where ACE threads inheriting
          from non-ACE threads copied un-initialized ACE_OS_Log_Msg_Attributes
          members. Fixes Bugzilla #3480.

Thu Feb  5 15:11:13 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * include/makeinclude/rules.local.GNU:

          For the installed binary executable target, added a dependency on
          the local binary executable so the installed version is refereshed
          when the local one is rebuilt (only an issue when actual copies are
          used and not symlinks).  Thanks to Hubert Talbot
          <Hubert dot Talbot at criq dot qc dot ca> for reporting the issue.

        * tests/run_test.lst:

          Added !QNX to MEM_Stream_Test.  This test doesn't work on QNX.

Wed Feb  4 22:23:26 UTC 2009  Steve Huston  <shuston@riverace.com>

        * ace/SOCK_SEQPACK_Acceptor.h:
        * ace/Multihomed_INET_Addr.h: Formatting fixes.

        * tests/SOCK_SEQPACK_SCTP_Test.cpp: Removed asserts, fixed IPv6
          operation, resync log after fork(), corrected negative association
          test case.

Tue Feb  3 23:28:50 UTC 2009  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_Thread.cpp (mutex_init, event_init):
        * ace/OS_NS_Thread.inl (event_init, sema_init): Make sure errno gets
          set to ERROR_ALREADY_EXISTS when creating an object that exists. This
          is in Windows code only. Fixes Bugzilla #3541. Thanks to Bill Rizzi
          for identifying the bug and supplying the test case and fix.

Tue Feb  3 19:45:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Acceptor.h:
        * ace/Active_Map_Manager_T.h:
        * ace/CDR_Stream.h:
        * ace/Configuration.h:
        * ace/Connector.h:
        * ace/Dev_Poll_Reactor.h:
        * ace/Dirent.h:
        * ace/Map_T.h:
        * ace/Message_Block.h:
        * ace/Message_Queue_Vx.h:
        * ace/Name_Request_Reply.h:
        * ace/Reactor.h:
        * ace/Reactor_Impl.h:
        * ace/Select_Reactor_Base.h:
        * ace/Select_Reactor_T.h:
        * ace/Strategies_T.h:
        * ace/WFMO_Reactor.h:
          Doxygen changes

        * ace/Unbounded_Queue.h:
        * ace/Unbounded_Queue.inl:
          Use bool

Tue Feb  3 15:57:41 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * tests/Logging_Strategy_Test.cpp:

          Use unsigned char instead of char to index arrays, to silence
          warnings from GCC 4.3.

Mon Feb  2 19:07:39 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/global.features:

          Added tao_idl_fe_gen feature to be automatically disabled.

Mon Feb  2 07:40:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * netsvcs/lib/Client_Logging_Handler.cpp:
        * netsvcs/lib/Server_Logging_Handler_T.cpp:
          Check return values of stream operators

        * netsvcs/lib/Client_Logging_Handler.h:
          Doxygen changes

Fri Jan 30 20:42:45 UTC 2009  Steve Huston  <shuston@riverace.com>

        * ace/DLL_Manager.cpp (ACE_DLL_Handle::open): Correct ACE_TEXT usage
          in AIX case.

        * ace/config-aix-5.x.h: Wrap ACE_DLL_SUFFIX and ACE_LD_SEARCH_PATH
          with ACE_TEXT().

Fri Jan 30 15:02:08 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * ace/Barrier.cpp:
        * ace/Dynamic_Service_Base.cpp:
        * ace/Hash_Map_Manager_T.cpp:
        * ace/Malloc.cpp:
        * ace/Malloc_T.cpp:
        * ace/Mutex.cpp:
        * ace/Pipe.cpp:
        * ace/Semaphore.cpp:
        * ace/TSS_T.cpp:
          Removed some unnecessary ACE_DEBUG statements.

Fri Jan 30 12:55:52 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.lst:
        * tests/tests.mpc:
        * tests/Bug_3532_Regression.cpp:
          Added a new test for bugzilla 3532. This bug is not fixed, just
          integrating the regression test. Thanks to Martin Gaus <Gaus at gmx dot de>
          for creating this test

Fri Jan 30 12:38:52 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE.cpp:
        * ace/Log_Msg.cpp:
          Fixed unicode logging problems on non windows platforms

Fri Jan 30 11:54:52 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Intrusive_List.cpp:
          Just have one exit point in the methods

        * ace/Singleton.cpp:
        * ace/Singleton.h:
          Added a static close() which can be used to explicitly close
          an ACE_Singleton. It will then deregister from the object manager
          from cleanup. This way an application developer could close his
          singletons explicitly, but keep the safety that ACE will do that
          also when the application does a shutdown

        * tests/run_test.lst:
        * tests/tests.mpc:
        * tests/Singleton_Test.cpp:
          Added a new test for the close

Thu Jan 29 18:48:52 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3541_Regression_Test.cpp:
          Fix compile error with WinCE < 6

        * ace/config-win32-common.h:
          Fixed incorrect comment

Thu Jan 29 12:59:52 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/mpc-mode.el:
          Added patch from Stefan Naewe <stefan.naewe@googlemail.com>

Thu Jan 29 10:33:52 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ATM_Acceptor.cpp:
        * ace/ATM_QoS.cpp:
        * ace/ATM_Stream.cpp:
        * ace/ATM_Stream.inl:
        * ace/OS_NS_Thread.inl:
        * ace/OS_NS_unistd.inl:
        * ace/OS_NS_wchar.cpp:
          Don't use () when returning 0 or -1

Wed Jan 28 20:22:45 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * bin/ciao_tests.lst:
        * bin/tao_orb_tests.lst:
        * bin/tao_other_tests.lst:

          Removed these files.  They have moved to the TAO and CIAO bin
          directories.  This resolves bug 2748.

        * bin/auto_run_tests.pl:
        * bin/fuzz.pl:

          Updated due to the new locations of the lst files.

Wed Jan 28 15:02:11 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Message_Queue_T.cpp:

          Fixed typo in ACE_NEW_RETURN argument list.

Wed Jan 28 10:24:46 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added new test for bug 3559.

Wed Jan 28 09:45:53 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3541_Regression.cpp:
          Fixed last compile error

        * tests/Multicast_Test.cpp:
          Unicode fix

        * tests/Thread_Pool_Reactor_Resume_Test.cpp:
          Unicode fix

Wed Jan 28 09:09:53 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_arpa_inet.inl:
          Use new ACE_HAS_NONCONST_INET_ADDR

        * ace/config-cray.h:
        * ace/config-lynxos.h:
        * ace/config-tandem.h:
        * ace/config-vxworks5.x.h:
        * ace/config-vxworks6.2.h:
        * ace/config-vxworks6.3.h:
        * ace/config-vxworks6.4.h:
          Added ACE_HAS_NONCONST_INET_ADDR

        * ace/config-vxworks6.7.h:
          Undef ACE_HAS_NONCONST_INET_ADDR, WindRiver fixed their api

Tue Jan 27 23:28:53 UTC 2009  Steve Huston  <shuston@riverace.com>

        * ace/Message_Queue_T.cpp: Don't nest the ACE_HAS_WIN32_OVERLAPPED_IO
          ifdef in the ACE_VXWORKS section; it'll never get used. Thanks to
          Jesus Martinez <jmcruz at lcc dot uma dot es> for this fix.

        * THANKS: Added Jesus Martinez.

Mon Jan 26 17:26:41 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_orb_tests.lst:
          Added new test for fix of bug 3557.

Mon Jan 26 15:44:22 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_3541_Regression_Test.cpp:
          Fixed compiler errors on WinCE target.

Mon Jan 26 15:39:36 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Removed "!LabVIEW_RT", "!WinCE" and "!FUZZ" from:
            TAO/tests/DII_AMI_Forward/run_test.pl
            TAO/tests/DSI_AMH/run_test.pl
            TAO/tests/DSI_AMI_Gateway/run_exception_test.pl
            TAO/tests/DSI_AMI_Gateway/run_test.pl
            TAO/tests/DSI_Gateway/run_exception_test.pl
            TAO/tests/DSI_Gateway/run_test.pl

Fri Jan 23 08:04:58 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Removed "!LabVIEW_RT", "!WinCE" and "!FUZZ" from:
            TAO/tests/POA/EndpointPolicy/run_test_dh.pl
            TAO/tests/POA/EndpointPolicy/run_test_lh.pl
            TAO/tests/POA/Explicit_Activation/run_test.pl
            TAO/tests/POA/Loader/run_test.pl
            TAO/tests/POA/On_Demand_Activation/run_test.pl
            TAO/tests/POA/On_Demand_Loading/run_test.pl
            TAO/tests/POA/Reference_Counted_Servant/run_test.pl

Thu Jan 22 19:20:06 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        Minor changes to resolve:

        * ace/Monitor_Control/Windows_Multi_Instance_Monitor.cpp:
        * ace/Object_Manager.cpp:

          Win32 build errors with ACE_USES_WCHAR defined.

        * apps/gperf/src/Key_List.cpp:
        * tests/ARGV_Test.cpp:

          GCC 4.3 warnings.

Thu Jan 22 18:34:01 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_sendfile.{h,cpp,inl}:
          Previously ACE_HAS_SENDFILE should be defined or not, changed this
          that it has be define to 1 or 0, makes it clearer to disable from
          config.h

        * ace/config-all.h:
          Set ACE_HAS_SENDFILE to 0 when it is not defined yet

Thu Jan 22 16:51:01 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_socket.inl (sendv):
          Introduced a new ACE_DONT_USE_WSASEND, when this is set ACE doesn't
          use WSAsend but just a loop of send calls

Thu Jan 22 15:44:01 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.h:
          Only define the ACE_DEBUG/ACE_ERROR* when they are not defined
          yet when ACE_NLOGGING is defined. This makes it possible for
          users to globally disable logging but then just enable ACE_ERROR

        * ace/Message_Block.cpp:
          Code layout changes

        * ace/SOCK_IO.cpp:
        * ace/SOCK_Dgram.cpp:
        * ace/Select_Reactor_T.cpp:
          Just define select_width twice and directly assign it

        * ace/OS_NS_sys_socket.inl:
          Move local variables into the loop

        * ace/config-sunos5.9.h:
        * ace/config-linux-common.h:
          Define ACE_HAS_SENDFILE to 1

Thu Jan 22 13:51:01 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_3500_Regression_Test.cpp:
        * tests/Bug_3541_Regression_Test.cpp:
          Fixed compiler errors on WinCE target.

Thu Jan 22 13:38:20 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * bin/tao_orb_tests.lst:

          Disabled the test for bug#3524 on corba_e_micro builds since it
          uses valuetypes.

Thu Jan 22 07:46:01 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Removed Bug 3543 Regression, the bug is not fixed yet and this test
          put a high load on the test systems

Wed Jan 21 16:05:24 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * include/makeinclude/platform_vxworks6.2.GNU:
        * include/makeinclude/platform_vxworks6.3.GNU:

          Fixed a bug in the linker arguments for RTP shared libraries.

Wed Jan 21 10:19:01 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace.mpc:
        * ace/ace_for_tao.mpc:
          Use ace_output as base project instead of setting libout directly in this
          mpc file

Wed Jan 21 02:39:42 UTC 2009  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/CDR_Stream.inl (current_alignment): Removed an
          unnecessary/incorrect "return 0;" statement.  Thanks to Pan Kai
          Luna <pan dot kai dot luna at gmail dot com> for reporting this.

Tue Jan 20 22:42:08 UTC 2009  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ACE-INSTALL.html (make): Updated the Cygwin documentation.
          Thanks to Florent Vial <florent dot vial at gmail dot com> for
          contributing this.

Tue Jan 20 11:04:11 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_3500_Regression_Test.cpp:
        * tests/Bug_3541_Regression_Test.cpp:
          Eliminated some warning on Linux build

Tue Jan 20 06:25:01 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Cleanup.cpp:
          Copy the name when it gets passed. It could be that the
          string is a static string in a dll and then we can't print
          it when things are crashing because the dll is then already
          unloaded

Mon Jan 19 20:53:01 UTC 2009  Steve Huston  <shuston@riverace.com>

        * tests/SSL/SSL_Asynch_Stream_Test.cpp: More basic fixes.

Mon Jan 19 19:34:24 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:

          Scheduled the test for bug#3548

Mon Jan 19 16:36:33 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * bin/tao_orb_tests.lst:

          Scheduled the test for bug#3524.

Mon Jan 19 14:55:19 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_3500_Regression_Test.cpp:
        * tests/Bug_3541_Regression_Test.cpp:
          Solved fuzz errors

Mon Jan 19 12:51:12 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * THANKS
          Added Bill Rizzi <rizi at softserv.com> for his contribution to the following automated tests:
            Bug_3500_Regression_Test
            Bug_3541_Regression_Test

Mon Jan 19 12:28:12 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_3500_Regression_Test.cpp:
          Added in order to run automated tests for Bugzilla #3500

        * tests/Bug_3541_Regression_Test.cpp:
          Added in order to run automated tests for Bugzilla #3541

        * tests/tests.mpc:
          Added Bug_3500_Regression_Test and Bug_3541_Regression_Test

        * tests/run_test.lst:
          Added Bug_3500_Regression_Test and Bug_3541_Regression_Test

Mon Jan 19 09:14:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_Log_Msg_Attributes.inl:
          Initialize all members with default values

        * ace/Log_Msg.cpp:
          Just delete the casted ACE_Log_Msg pointer, no need todo
          another cast

Mon Jan 19 07:49:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/INET_Addr.cpp:
        * ace/Log_Record.inl:
          Use ACE_HTONL macro

        * ace/INET_Addr.inl:
          Use ACE_NTOHS macro

Fri Jan 16 22:32:38 UTC 2009  Steve Huston  <shuston@riverace.com>

        * ace/SSL/SSL_Asynch_Stream.{h cpp}: Remove the handle_ member; use
          the handle_ inherited from ACE_Asynch_Operation.

        * tests/SSL/SSL_Asynch_Stream_Test.cpp: Register the acceptor with the
          reactor so we hear about incoming connects. Other minor mods to
          help see what's going on in the log. Hopefully will resolve
          Bugzilla #3164.

Fri Jan 16 07:26:32 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Token_Invariants.cpp:
        * ace/Token_Manager.cpp:
          Added missing include

Thu Jan 15 13:52:32 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdlib.h:
          Doxygen changes

Thu Jan 15 13:50:32 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdlib.h:
          The added name argument should have a default value of 0

Thu Jan 15 13:30:32 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Logging_Strategy.h:
        * ace/Service_Object.h:
          Doxygen change

        * ace/Service_Repository.{h,cpp,inl}:
          Removed the restriction that the service repository can't
          grow bigger then the size it got passed at construction. The
          plain array has been replaced with an ACE_Array_Map which
          will grow when needed. The behaviour that removing elements
          means gap in the array hasn't been changed. This fixes bugzilla
          3542

        * ace/Service_Config_Test.cpp:
          Extended this test to also test the Service Repository size
          and the behaviour that we get gaps when removing services,
          adding services after a remove will keep the gaps and just
          grows the service repository

Thu Jan 15 11:13:32 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Removed "!LabVIEW_RT", "!WinCE" and "!FUZZ" from:
            TAO/tests/POA/DSI/run_test.pl
            TAO/tests/POA/Default_Servant2/run_test.pl

Thu Jan 15 07:56:18 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Removed "!LabVIEW_RT", "!WinCE" and "!FUZZ" from:
            TAO/tests/POA/Forwarding/run_test.pl
            TAO/tests/POA/Persistent_ID/run_test.pl
            TAO/tests/POA/Default_Servant/run_test.pl
            TAO/tests/POA/Bug_1592_Regression/run_test.pl
            TAO/tests/POA/Bug_2511_Regression/run_test.pl
            TAO/tests/POA/Deactivate_Object/run_test.pl
            TAO/tests/POA/Reference_Counting/run_test.pl
            TAO/tests/POA/Current/run_test.pl
            TAO/tests/POA/EndpointPolicy/run_test.pl

Thu Jan 15 07:56:02 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Cleanup.{h,cpp}:
          Added a const char* name member to ACE_Cleanup_Info_Node, this
          can be passed in when registering an at_exit hook. This string can
          then be used during debugging to detect problems at shutdown. It
          can happen that the cleanup hook is from a dll that already is
          unloaded and then we get a crash with no information, the string
          at least can tell us which hook we are calling. This fixes bugzilla
          3544.

        * ace/Log_Msg.cpp:
        * ace/Object_Manager.{h,cpp,inl}:
        * ace/Object_Manager_Base.{h,cpp}:
        * ace/OS_NS_stdlib.{h,inl}:
        * ace/Process_Manager.cpp:
        * ace/Singleton.cpp:
        * ace/Token_Invariants.cpp:
        * ace/Token_Manager.cpp:
          Pass in the typeid of the object when registering an at_exit hook

        * ace/Thread.cpp:
          Moved local variable inside the loop

Wed Jan 14 20:27:02 UTC 2009  Steve Huston  <shuston@riverace.com>

        * tests/Process_Test.cpp: Don't attempt to run this on anything other
          than Linux. The code to verify inherited handles uses Linux-specific
          mechanisms (particularly, that the entries in /proc/self/fd are
          links to the file names opened). It's possible to write code on
          other platforms to do the checks but it's non-trivial and will
          probably be different for each platform.

Wed Jan 14 13:13:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_typeinfo.h:
          New file to wrap typeinfo

        * ace/Makefile.am:
          Added new file

        * ace/Naming_Context.{h,cpp,inl}:
          Changed debug/verbosity to a bool

Mon Jan 12 18:59:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/ciao_tests.lst:
          Disabled DevGuideExample test when there is no xerces

Mon Jan 12 18:36:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added Bug 3543 Regression

Mon Jan 12 11:00:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Array_Base.h:
        * ace/Array_Map.h:
        * ace/Vector_T.h:
          Doxygen changes

Mon Jan 12 09:26:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/svn/config:
        * docs/svn/svn-prefs.reg:
          Added ns files used for emulab

Mon Jan 12 08:45:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Default_Constants.h:
          Added ACE_DEFAULT_SERVICE_GESTALT_SIZE which defaults to 1024

        * ace/Service_Gestalt.cpp:
          Doxygen changes

        * ace/Service_Gestalt.h:
          Use ACE_DEFAULT_SERVICE_GESTALT_SIZE instead of the hardcoded
          default of 1024. Also made some doxygen changes

Mon Jan 12 08:16:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added Bug_3542

        * bin/ciao_tests.lst:
          Disabled DevGuideExample test in some configurations

Fri Jan  9 15:08:23 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Service_Gestalt.cpp:
          Layout changes

        * ace/Service_Repository.{h,cpp}:
          Doxygen changes

        * ace/Framework_Component.cpp:
          Use prefix increment

        * ace/config-win32-common.h:
          Introduced ACE_HAS_WINSOCK1 that is default set to 0

Fri Jan  9 15:01:48 UTC 2009  Olli Savia  <ops@iki.fi>

        * ace/config-openvms.h:
          There's no need to undef clearerr.

Fri Jan  9 09:46:23 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Removed "!LabVIEW_RT", "!WinCE" and "!FUZZ" from:
            TAO/tests/Portable_Interceptors/AdvSlotExt/run_test.pl
            TAO/tests/Portable_Interceptors/Redirection/run_test.pl
            TAO/tests/Portable_Interceptors/Bug_3079/run_test.pl
            TAO/tests/Portable_Interceptors/Bug_3080/run_test.pl

Thu Jan  8 19:15:23 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Removed "!LabVIEW_RT", "!WinCE" and "!FUZZ" from:
            TAO/tests/Portable_Interceptors/AMI/run_test.pl
            TAO/tests/Portable_Interceptors/PolicyFactory/run_test.pl
            TAO/tests/Portable_Interceptors/Request_Interceptor_Flow/run_test.pl

Wed Jan  8 18:18:37 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Removed "!LabVIEW_RT", "!WinCE" and "!FUZZ" from:
            TAO/tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/run_test.pl
            TAO/tests/Portable_Interceptors/ForwardRequest/run_test.pl
            TAO/tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/run_test.pl
            TAO/tests/Portable_Interceptors/Processing_Mode_Policy/Remote/run_test.pl
            TAO/tests/Portable_Interceptors/Service_Context_Manipulation/run_test.pl

Wed Jan  8 10:39:39 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Removed "!LabVIEW_RT", "!WinCE" and "!FUZZ" from:
            TAO/tests/Portable_Interceptors/Bug_1559/run_test.pl
            TAO/tests/Portable_Interceptors/Bug_2510_Regression/run_test.pl
            TAO/tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/run_test.pl

Wed Jan  7 21:01:39 UTC 2009  Olli Savia  <ops@iki.fi>

        * ace/ACE.inl:
          Removed tabs.

Wed Jan  7 16:31:25 UTC 2009  James H. Hill  <hillj@isis.vanderbilt.edu>

        * ace/Hash_Map_Manager_T.h:
        * ace/Hash_Map_Manager_T.cpp:

          Overloadded the item () and key () accessor methods for the
          ACE_Hash_Map_Entry class so the methods can be used with
          read-only versions of the ACE_Hash_Map_Entry object.

Wed Jan  7 14:47:24 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/split-cpp.pl:
          Added missing id tag

Wed Jan  7 14:22:45 UTC 2009  Marcel Smit <smit@remedy.nl>

        * bin/fuzz.pl:
          Corrected wrong perl run_test check

Wed Jan  7 12:09:45 UTC 2009  Olli Savia  <ops@iki.fi>

        * examples/Shared_Memory/test_MM.cpp:
          Removed check for ACE_LACKS_MKSTEMP. mkstemp() is now
          available on all ACE platforms.

Wed Jan  7 07:40:41 UTC 2009  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_math.inl:
          Changed floor() and ceil() to use corresponding native functions
          by default.

Tue Jan  6 19:27:24 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpmbuild/ace-tao-ciao.spec:
        * rpmbuild/ace-tao-ciao.txt:
        * rpmbuild/ace-tao.spec:
        * rpmbuild/ace-tao.txt:
          Made ace-tao-ciao the main spec file, the ace-tao one is created
          by Ken Sedgwick which uses that one for Fedora but which we don't
          use because it doesn't work with SuSE/CentOS/Mandriva. Hopefully
          on the long term Ken will use the ace-tao-ciao file

Mon Jan  5 15:33:24 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * include/makeinclude/platform_vxworks6.2.GNU:
        * include/makeinclude/platform_vxworks6.3.GNU:

          Removed the vxe file from the GENERATED_DIRTY list, this silences
          the GNU make warnings for "circular dependencies" on all executable
          projects that run the idl compiler.

Mon Jan  5 09:37:38 UTC 2009  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_math.inl:
          Changed floor() and ceil() not to use == to compare floating
          point values. This removes compile time warnings if gcc's
          -Wfloat-equal option is enabled.

        * tests/OS_Test.cpp:
          Added tests for floor() and ceil().

Sun Jan  4 10:47:27 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * debianbuild/*:
          Updated for next 1.6.8 micro release

Sun Jan  4 03:55:27 UTC 2009  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Service_Gestalt.cpp (process_directives): Ensure that the
          number of failed services is returned.  Thanks to Milan
          Cvetkovic <milan dot cvetkovic at mpathix dot com> for
          contributing this.

Fri Jan  2 15:38:31 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * include/makeinclude/platform_sunos5_g++.GNU:

          Reverted this change for bugzilla #3232:
          Thu May  8 10:51:29 UTC 2008  Steve Huston  <shuston@riverace.com>
          While it does remove the redundant -pipe option it also removes
          needed options like -g and -O.
          Thanks to <milan dot cvetkovik at mpathix dot com> for bringing it
          up on the tao-users mailing list.

Wed Dec 31 15:38:33 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * ace/Stack_Trace.cpp:

          Fixed an off-by-one error in the string formatting code for Linux.

        * tests/Stack_Trace_Test.cpp:

          Use proper ACE_Log_Msg formatters (stack traces are always narrow).

Fri Dec 26 16:42:33 UTC 2008  Ciju John  <johnc at ociweb dot com>

        * bin/ciao_tests.lst:
          Correct test location.

Fri Dec 26 09:10:10 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.cpp (ACE_Log_Msg_Manager::close):
          Added ACE_GCC_DESTRUCTOR_ATTRIBUTE to this method so that it is called
          at unload of the ACE library which fixes some valgrind errors

Thu Dec 25 18:57:10 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * Merry Christmas and may there be Peace on Earth.

Wed Dec 24 19:09:53 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/Module.cpp (open, ACE_Module):
        * ace/Service_Types.{h cpp} (find):
        * examples/ASX/Event_Server/Event_Server/Consumer_Router.cpp (info):
        * examples/ASX/Event_Server/Event_Server/Supplier_Router.cpp (info):
        * examples/ASX/UPIPE_Event_Server/Consumer_Router.cpp (info):
        * examples/ASX/UPIPE_Event_Server/Supplier_Router.cpp (info):
          Change mod_name to module_name;
          agrees with .h file and works around a macro clash (mod_name)
          on AIX 6.1.

Wed Dec 24 11:07:22 UTC 2008  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * bin/ciao_tests.lst:

          Disabled idl3_to_xmi tests on non-xerces builds.

Wed Dec 24 10:25:46 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-g++-common.h:
          Added ACE_GCC_CONSTRUCTOR_ATTRIBUTE which can be used to mark
          a static method as a method that should be called when a shared
          library gets loaded. Added ACE_GCC_DESTRUCTOR_ATTRIBUTE which
          can be used to mark a static method as a method that should be
          called when a shared library gets unloaded. Added ACE_DEPRECATED
          which can be used to mark a method as deprecated. If a specific
          gcc version doesn't have the attributes, you can set ACE_HAS_GCC_x
          to 0. This will be used in TAO to explicitly delete static
          objects when the dll gets unloaded, we could use this in more
          places to reduce our memory leaks

        * ace/config-macros.h:
          If ACE_GCC_CONSTRUCTOR_ATTRIBUTE, ACE_GCC_DESTRUCTOR_ATTRIBUTE,
          or ACE_DEPRECATED is not defined, then define them to nothing

Tue Dec 23 15:28:16 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * bin/ciao_tests.lst:

          Scheduled 3 tests for idl3_to_xmi.

Mon Dec 22 16:05:46 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_time.inl:
          Fixed ACE_OS::gethrtime. Thanks to Jaros?aw Nozderko
          <jaroslaw dot nozderko at plus dot pl> for reporting this

Mon Dec 22 11:36:46 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_sunos5_common.GNU:
          Solaris 10/11 ship default with lksctp

Fri Dec 19 15:30:05 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * tests/UUID_Test.cpp:

          Updated test to validate that setting the value of a UUID
          to NIL via its string format works correctly based on the
          previous ChangeLogEntry.

Fri Dec 19 01:19:36 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * ace/UUID.cpp:

          Bug fix where assigning a NIL UUID resulted in an execution
          of an obselete ACE_ASSERT statement.

Wed Dec 17 08:35:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          2804 doesn't run yet

Tue Dec 16 15:40:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-qnx-neutrino.h:
        * ace/config-qnx-rtp-62x.h:
        * ace/config-qnx-rtp-pre62x.h:
        * ace/config-tandem-nsk-mips-v2.h:
        * ace/config-tandem-nsk-mips-v3.h:
        * ace/Pipe.cpp:
        * performance-tests/TCP/tcp_test.cpp:
          Reworked ACE_LACKS_SOCKET_BUFSIZ into ACE_LACKS_SO_RCVBUF
          and ACE_LACKS_SO_SNDBUF so that each of them could be
          independently enabled/disabled. Updated a few config files
          for this.

Tue Dec 16 11:04:00 UTC 2008  Olli Savia  <ops@iki.fi>

        * ace/config-linux-common.h:
          Added #define ACE_HAS_VASPRINTF.

Mon Dec 15 18:24:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled 3499 again

Mon Dec 15 13:38:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled bidir tests for wince/fuzz/labview

Mon Dec 15 09:15:54 UTC 2008  Olli Savia  <ops@iki.fi>

        * ace/ACE.h:
        * ace/ACE.inl:
          Added wchar_t variant of ACE::isdotdir(). Thanks to Johnny
          for pointing this out.

Sat Dec 13 18:25:15 UTC 2008  Ciju John  <johnc at ociweb dot com>

        * bin/tao_other_tests.lst:
          Accidently turned on a future test. Reverting the same.

Fri Dec 12 19:23219 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Disabled ICMG_Any_Bug for CORBA/e

Fri Dec 12 13:26:19 UTC 2008  Olli Savia  <ops@iki.fi>

        * NEWS:
          Added a note about ACE::isdotdir().

Fri Dec 12 13:17:43 UTC 2008  Olli Savia  <ops@iki.fi>

        * tests/Dirent_Test.cpp:
          Updated to use new ACE::isdotdir() function.

Fri Dec 12 13:08:58 UTC 2008  Olli Savia  <ops@iki.fi>

        * ace/ACE.h:
        * ace/ACE.inl:
          Added a new function ACE::isdotdir() which determines if a specified
          pathname is "dot dir" (ie. "." or ".."). isdotdir() is significantly
          faster than pair of strcmp() calls.

Thu Dec 11 23:08:07 UTC 2008  Ciju John  <johnc at ociweb dot com>

        * bin/tao_other_tests.lst:
          Disabled some IFR_Service dependent tests for uses_wchar builds.

Thu Dec 11 14:34:23 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/ace_func.m4:

          Update ACE_FUNC_SYSINFO feature test to compile small programs
          that use the two different Linux and SysV/POSIX sysinfo() APIs
          before defining ACE_HAS_SYSV_SYSINFO or ACE_HAS_LINUX_SYSINFO.
          This should avoid false matches with HP/UX's undocumented
          sysinfo() syscall.

Wed Dec 10 21:06:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * debianbuild/rules:
          Removed old line

Tue Dec  9 16:32:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/split-cpp:
        * bin/split-cpp.pl:
          Renamed to have pl extension

        * debianbuild/patches/00list:
          Updated

        * debianbuild/patches/03-g++-new-throws.dpatch:
        * debianbuild/patches/08-fix-perl-shebang.dpatch:
        * debianbuild/patches/90-patch-mpc-basedir.dpatch:
        * debianbuild/patches/91-patch-dg-basedir.dpatch:
          Not needed anymore, this issues are fixed on svn head

        * examples/IPC_SAP/SOCK_SAP/summarize.pl:
        * examples/IPC_SAP/SSL_SAP/summarize.pl:
          Added missing shebang

Tue Dec  9 16:19:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * debianbuild/*:
          Added all files currently used by the debian package maintainers.
          Updated them for 1.6.7, but a lot of patches are not needed
          anymore. The goal is to do a cleanup and then provide
          debian/ubuntu packages through opensuse build

Tue Dec  9 4:42:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/depgen.pl:
          Use RealBin to get the real location of the perl script

Mon Dec  8 02:50:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added bug 3430 regression

Sat Dec  6 20:18:38 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * ace/UUID.h:
        * ace/UUID.inl:
        * ace/UUID.cpp:

          Implemented the operator = method for the UUID. This will enable
          use of UUIDs in STL-like containers.

          Bug fix where using the copy constructor for the UUID would result
          in a memory leak.

          Refactored code to use ACE_Auto_Ptr and ACE_Auto_Array_Ptr objects
          to reduce code complexity, and ensure memory deallocation during
          expected returns.

        * tests/UUID_Test.cpp:

          Added the assignment operator (i.e., operator =) to the UUIDs
          test.

Fri Dec  5 15:38:23 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * ace/UUID.h:
        * ace/UUID.cpp:

          Made the to_string () method non-mutable, and the as_string_
          member variable 'mutable'. This allows 'const ACE_Utils::UUID'
          objects to use to to_string () method since that method is
          not changing the value of the UUID.

Thu Dec  4 11:07:35 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Some tests now seem to run perfect

Thu Dec  4 09:45:35 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Basic_Types.h:
          Fixed compile problems with Solaris wchar

Thu Dec  4 08:11:35 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Intrusive_List.h:
        * ace/Intrusive_List_Node.h:
          Include config-lite instead of config-all to break circular
          includes in Object_Manager_Base

        * ace/OS_NS_errno.h:
          Doxygen change

Wed Dec  3 23:35:35 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/Basic_Types.h: Reverted change from:
          Mon Dec  1 23:51:32 UTC 2008  Steve Huston  <shuston@riverace.com>
          It broke cases where the format specifier was used in string
          catenation. This reintroduces a build failure on Solaris wide-char.

Wed Dec  3 20:25:19 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/String_Base.cpp (compare): Fixed logic error when strings are
          equal, introduced by
          Wed Dec  3 16:31:11 UTC 2008  Steve Huston  <shuston@riverace.com>

Wed Dec  3 18:38:49 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * docs/svn/svn-prefs.reg:

          Added auto-prop settings for .xme files, which are exported
          GME files and only created on Windows platforms.

Wed Dec 03 18:14:25 UTC 2008  Trevor Fields  <fields_t@ociweb.com>

        * bin/tao_other_tests.lst:
          Added orbsvcs/tests/InterfaceRepo/IFR_Self_Recursive_IDL_Test

Wed Dec  3 16:31:11 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/String_Base.cpp (compare): Compare lengths directly instead of
          subtracting; clearer and avoids 32/64-bit signed/unsigned issues.

Wed Dec  3 10:45:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Basic_Types.h:
          Use static_cast again, truncate_cast broke HPUX

Wed Dec  3 07:55:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Basic_Types.h:
          Use truncate_cast instead of static_cast

        * ace/CDR_Stream.cpp:
          Layout change

        * ace/Cleanup.cpp:
        * ace/Cleanup.h:
        * ace/Cleanup.inl:
        * ace/Object_Manager.cpp:
        * ace/Object_Manager.h:
        * ace/Object_Manager.inl:
        * ace/Object_Manager_Base.cpp:
        * ace/Thread_Manager.cpp:
        * ace/Thread_Manager.h:
          Reimplemented the at_exit list as intrusive_list and also added
          the functionality to remove a registered at_exit hook again. This
          can be used by DLL's that register objects in the object
          manager, but who get unloaded explicitly before the ACE dll.

        * ace/Active_Map_Manager.h:
          Doxygen change

Wed Dec  3 00:41:52 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Add missing call to ACE_FUNC_STRTOULL autoconf macro.

Tue Dec  2 20:01:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Intrusive_List.h:
        * ace/Intrusive_List.inl:
          Use bool for empty/is_empty methods

        * ace/Intrusive_List_Node.h:
          Layout change

Tue Dec  2 13:54:35 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/os_include/os_wchar.h:

          Provide declaration for wcstoll() If ACE_LACKS_WCSTOLL is
          defined.

          Provide declaration for wcstoull() if ACE_LACKS_WCSTOULL is
          defined.

        * ace/os_include/os_stdlib.h:

          Provide declaration for strtoll() If ACE_LACKS_STRTOLL is
          defined.

          Provide declaration for strtoull() if ACE_LACKS_STRTOULL is
          defined.

        * m4/ace_func.m4:

          Change ACE_FUNC_STRTOLL, ACE_FUNC_STRTOULL, ACE_FUNC_WCSTOLL,
          and ACE_FUNC_WCSTOULL autoconf macros to define
          ACE_LACKS_STRTOLL_PROTOTYPE, ACE_LACKS_STRTOULL_PROTOTYPE,
          ACE_LACKS_WCSTOLL_PROTOTYPE, and ACE_LACKS_WCSTOULL_PROTOTYPE
          if cooresponding declarations are not present.

Tue Dec  2 12:47:06 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/ACE.cpp (handle_timed_complete): Fix compile error resulting from
          Mon Dec  1 17:55:00 UTC 2008  Steve Huston  <shuston@riverace.com>

Tue Dec  2 11:49:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/mpc-mode.el:
          Updated MPC mode for emacs file. Thanks to Jules Colding
          <colding at 42tools dot com> for providing this file

Tue Dec  2 08:39:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Object_Manager.h:
        * ace/Object_Manager_Base.h:
          Doxygen changes

Mon Dec  1 23:51:32 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/Basic_Types.h: When defining ACE_*_FORMAT_SPECIFIER in terms
          of ACE_*_FORMAT_SPECIFIER_ASCII, use ACE_TEXT_CHAR_TO_TCHAR else
          when used, this ends up combining narrow and wide chars, resulting
          in build errors.

Mon Dec  1 17:55:00 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/ACE.cpp (handle_timed_complete): Correct the situations under
          which a non-blocking connect() will complete. Previously VxWorks and
          AIX did a secondary check for connect success/fail when the socket
          selected writeable. All other non-Windows platforms selected for
          both readable and writeable, with readable=fail, writeable=success.
          This produced false success since BSD sockets always select
          writeable, not readable; a secondary check for status is then
          required. This fix corrects behavior on non-AIX BSD systems,
          particularly HP-UX and Solaris.

Tue Nov 18 19:06:27 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/README: Updated the explanation of how to build/run the
          one-button regression tests.  Thanks to Anand Kumar
          <anandkumar95 at gmail dot com> for motivating this.

Mon Dec  1 15:36:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/mpc-mode.el:
          Updated MPC mode for emacs file. Thanks to Jules Colding
          <colding at 42tools dot com> for providing this file

Mon Dec  1 14:07:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/mpc-mode.el:
          Updated MPC mode for emacs file. Thanks to Jules Colding
          <colding at 42tools dot com> for providing this file

Mon Dec  1 13:46:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Object_Manager.cpp:
          Initialise pointers with 0

        * ace/RW_Mutex.cpp:
        * ace/RW_Mutex.h:
        * ace/RW_Mutex.inl:
          Make removed_ flag a real bool

        * ace/Singleton.h:
          Doxygen change

        * ace/SSL/SSL_Context.cpp:
          Manage ourselves the life cycle of the SSL_Context singleton.
          Previously the SSL library registered a singleton with the ACE
          library. When the SSL library is unloaded expliclity before the
          ACE library the cleanup in ACE did crash because the SSL code
          wasn't there. Now when we cleanup the SSL library we also close
          our singleton

        * ace/Thread_Mutex.inl:
          Use operator !

Mon Dec  1 11:15:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/mpc-mode.el:
          Added MPC mode for emacs file. Thanks to Jules Colding
          <colding at 42tools dot com> for providing this file

Mon Dec  1 11:01:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpmbuild/ace-tao-ciao.txt:
          Improved OpenSuSE Factory support

Mon Dec  1 10:44:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Added 3418

Sat Nov 29 15:30:21 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_ctype.inl:

          Fix typo in preprocessor conditional.

        * configure.ac:
        * m4/ace_func.m4:

          Move feature tests for strtoll(), strtoull(), wcstoll(), and
          wcstoull() to new autoconf macros ACE_FUNC_STRTOLL,
          ACE_FUNC_STRTOULL, ACE_FUNC_WCSTOLL, and ACE_FUNC_WCSTOULL.

Sat Nov 29 07:47:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Sock_Connect.cpp:
        * ace/OS_NS_ctype.inl:
          Fixed compile errors with windows ce

Fri Nov 28 19:58:02 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Improve feature tests for strtoll(), strtoull(), wcstoll(), and
          wcstoull(), adding support for ACE_STRTOLL_EQUIVALENT,
          ACE_STRTOULL_EQUIVALENT, ACE_WCSTOLL_EQUIVALENT, and
          ACE_WCSTOULL_EQUIVALENT.

Fri Nov 28 16:43:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SSL/SSL_Asynch_Stream.cpp:
          Unicode fix

Fri Nov 28 16:36:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SSL/SSL_Asynch_Stream.cpp:
        * ace/SSL/SSL_Asynch_Stream.h:
          Added post handshake completed hook. See header file for all
          the details.

          This fixes bugzilla 3502, thanks to Paul Daugherty
          <paul at nextalk dot com> for providing the patches

Fri Nov 28 16:32:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SSL/SSL_Asynch_Stream.cpp:
        * ace/SSL/SSL_Asynch_Stream.h:
        * ace/SSL/SSL_Asynch_Stream.inl:
          Added accessor for SSL structure.

        * ace/SSL/SSL_Context.cpp:
        * ace/SSL/SSL_Context.h:
        * ace/SSL/SSL_Context.inl:
          Added possibility to set verify callback

        * ace/SSL/Makefile.am:
          Added new SSL_Asynch_Stream.inl

          This fixes bugzilla 3494, thanks to Paul Daugherty
          <paul at nextalk dot com> for providing the patches

Fri Nov 28 15:25:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added bug_3506

Fri Nov 28 14:38:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpmbuild/ace-tao-ciao.txt:
          Improvement for OpenSuSE Factory

Fri Nov 28 12:38:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Extended tests for run_test.pl files

Fri Nov 28 11:43:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/bczar/bczar.html:
          Added an item to update the NEWS files

Fri Nov 28 11:33:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Extended tests for run_test.pl files

        * bin/PerlACE/TestTarget.pm:
          Added some new variables that we will use for the iBoot

        * bin/tao_orb_tests.lst:
          Enabled several tests for Labview/CE/Fuzz and also added a few
          TAO tests that where missing from this file

Fri Nov 28 11:07:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * protocols/ace/HTBP/HTBP_Session.cpp:
        * tests/Basic_Types_Test.cpp:
          Layout change

Fri Nov 28 11:05:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/ASX/Event_Server/Event_Server/Options.cpp
        * examples/ASX/UPIPE_Event_Server/Options.cpp
          Use new ascii format specifier

Fri Nov 28 11:04:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * contribs/FaCE/CE_ARGV.H:
          Doxygen change

Fri Nov 28 11:03:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * appsJAWS/clients/Blobby/Blob_Handler.cpp:
          Use new ascii format specifier

Fri Nov 28 11:03:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpmbuild/ace-tao-ciao.txt:
          Updated for next micro release and corrected links for the
          nslist/nsdel/nsadd/catior

        * rpmbuild/ace-tao.spec:
          Updated for next micro release

Fri Nov 28 10:59:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Arg_Shifter.h:
        * ace/Argv_Type_Converter.h:
        * ace/Event_Handler_T.h:
        * ace/OS_Errno.h:
        * ace/OS_NS_stropts.h:
        * ace/SOCK_Dgram_Mcast.h:
        * ace/SSL/SSL_Context.h:
          Doxygen fix

        * ace/Basic_Types.h:
        * ace/config-linux-common.h:
        * ace/config-macosx-leopard.h:
        * ace/config-macosx-panther.h:
        * ace/config-macosx-tiger.h:
        * ace/config-macosx.h:
        * ace/config-netbsd.h:
        * ace/config-sunos5.10.h:
        * ace/config-tandem-nsk-mips-v2.h:
        * ace/config-tandem-nsk-mips-v3.h:
        * ace/config-win32-borland.h:
        * ace/config-win32-ghs.h:
        * ace/config-win32-mingw.h:
        * ace/config-win32-msvc.h:
          Added _ASCII versions of all existing format specifiers.
          The existing ones are then defined using these ASCII ones.
          When using the format specifiers we can now select if we
          want to use the ascii or wchar_t ones and don't have to
          convert wchar_t to ascii

        * ace/Cleanup.cpp:
        * ace/Cleanup.h:
          Extended ACE_Cleanup_Info with a constructor that initializes
          all members. At the end of ACE_OS_Exit_Info::call_hooks delete
          all the hooks, they are invalid at this moment

        * ace/config-cray.h:
        * ace/config-sco-5.0.0.h:
          Cleanup

        * ace/config-win32-msvc-10.h:
        * ace/config-win32-msvc-9.h:
          Update for Windows Mobile 6

        * ace/DLL_Manager.cpp:
          Const change

        * ace/os_include/os_errno.h:
          Simplified a check

        * ace/OS_NS_ctype.h:
        * ace/OS_NS_ctype.inl:
        * ace/OS_NS_wctype.cpp
        * ace/OS_NS_wctype.h
        * ace/OS_NS_wctype.inl
        * ace/ace.mpc:
        * ace/ace_for_tao.mpc:
        * ace/Makefile.am:
          Moved ace_iswctype to OS_NS_wctype.{h,cpp,inl}. According to the
          opengroup spec this method has to be in that file

        * ace/OS_NS_unistd.inl:
          Small layout change

        * ace/Sample_History.cpp:
          Const change

        * ace/Service_Repository.cpp:
          Use ACE prefix in all debug statements

        * ace/Sock_Connect.cpp:
          Make it possible to build with WinCE without winsock2

        * ace/SOCK_Connector.cpp:
          Layout changes and check the result value of setting the
          stream in non blocking mode

Fri Nov 28 10:25:00 UTC 2008  Simon Massey  <sma@prismtech.com>

        * docs/bczar/bczar.html:
          Annoying little bits and pieces....

Fri Nov 28 09:00:00 UTC 2008  Simon Massey  <sma@prismtech.com>

        * docs/Download.html:
        * etc/index.html:
        * bin/diff-builds-and-group-fixed-tests-only.sh
          update latest micro version links and date.

Thu Nov 27 04:09:39 CST 2008  Simon Massey  <sma@prismtech.com>

       * ACE version 5.6.7 released.

Wed Nov 26 16:15:50 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/SSL/SSL_Context.cpp:

          Remove unintentional ;

Wed Nov 26 13:55:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * NEWS:
          Note about added support for FC10.

Wed Nov 26 10:43:50 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * ace/SSL/SSL_Context.cpp:
        * ace/SSL/sslconf.h:

          Remove unconditional platform defaults for SSL cert file and
          directory. This fixes bug #3511.

Tue Nov 25 09:30:00 UTC 2008  Simon Massey  <sma at prismtech dot com>
                on behalf of  Adam Mitz     <mitza@ociweb.com>

        * ACE-INSTALL.html:
        * NEWS:
          Update the installation instructions and NEWs.

                on behalf of  Yan Dai       <dai_y@ociweb.com>

        * bin/tao_other_tests.lst:
          Disabled all ImplRepo tests on WCHAR builds and disabled
          DevGuideExample ImplRepo test on CORBA_E_COMPACT builds.

Mon Nov 24 11:21:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessWinCE.pm:
          Delete the copied dll's when ACE_TEST_VERBOSE is not defined

        * bin/PerlACE/TestTarget_VxWorks.pm:
          We have to wait on a file that appears on the host file system,
          we can't wait on the real target

        * bin/PerlACE/TestTarget_WinCE.pm:
          No need to override GetFile

Mon Nov 24 10:46:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-hpux-11.00.h:
          HPUX lacks iswascii

Mon Nov 24 09:32:00 UTC 2008  Simon Massey  <sma at prismtech dot com>
                on behalf of  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * NEWS:
          Changed the feature test for a "usable" config to warn on
          failure instead of exiting with an error. This change should
          make it easier to diagnose failures, as the configure script
          will now generate a config.h file even when the test fails.
          This ensures that the build errors produced can be seen on
          the scoreboard to help diagnose the actual problems.

               on behalf of  Ken Sedgwick <ken+5a4@bonsai.com>

        * rpmbuild/ace-tao.spec:
          Updated for tao_ prefixed catior, nsadd, nsdel and nslist.

        * rpmbuild/ace-tao-macros.patch:
          Updated to add include into path to version.h

Fri Nov 21 15:58:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/tao_orb_tests.lst:
        * bin/tao_other_tests.lst:
          Remove some lynxos problem tests.

Fri Nov 21 11:00:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/OS_Memory.h:
          Ensure ACE_bad_alloc is defined as a class for throwing if
          new doesn't throw themselves. Internally this isn't used but
          some tests try and throw this on a zero pointer.

Fri Nov 21 09:52:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/tao_orb_tests.lst:
        * tests/run_test.lst:
          "Process_Test" and "Bug_3499_Regression" Marked !FIXED_BUGS_ONLY.

        * configure.ac:
          Add missing "isblank iswblank isctype iswctype" to the list of
          ACE_CHECKS_LACKS_FUNCS. This should fix the autoconfigure builds.

Wed Nov 19 15:58:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-common.h:
          Fixed WinCE version number check

Wed Nov 19 09:10:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * NEWS:
          Updated.

Tue Nov 18 10:30:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-sunos5.10.h
        * ace/SOCK_SEQPACK_Association.cpp:
          Fix compile problems when sctp is enabled

Tue Nov 18 07:49:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/acedefaults.mpb:
          Enable macro_for_lib_modifier for vc71

Tue Nov 18 07:32:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-mingw.h:
          Fixed compile problem

Mon Nov 17 16:09:06 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Set LIB_PREFIX earlier on so that the VxWorks included makefiles
          work properly (with VXWORKSLINK).

        * include/makeinclude/rules.lib.GNU:

          Removed reference to old "LIB" macro.

Mon Nov 17 13:47:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled a test for Labview/WinCE/FUZZ

Mon Nov 17 13:34:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/run_test.txt:
          First step to update this to the new testframework

Mon Nov 17 12:54:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Enabled a set of tests for Labview/WinCE/FUZZ

Mon Nov 17 12:29:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Disabled bug 1636 for corba/e and minimum corba

Mon Nov 17 12:02:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
        * bin/tao_other_tests.lst:
          Moved PICurrent_NameService to the other list

Mon Nov 17 11:56:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled a set of tests for Labview/WinCE/FUZZ

Mon Nov 17 11:55:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/TestTarget.pm:
          Added AddLibPath

        * bin/fuzz.pl:
          Mark PerlACE::add_lib_path as error, we shuld use AddLibPath on
          the target from now

Mon Nov 17 11:28:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled a set of tests for Labview/WinCE/FUZZ

Mon Nov 17 11:13:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/tests.mpc:
          Bug_2772_Regression needs threads

Mon Nov 17 11:07:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-macros.h:
          Use ACE_TEXT for ACE_LD_DECORATOR_STR

        * bin/MakeProjectCreator/config/acedefaults.mpb:
          Also with bmake use MPC_LIB_MODIFIER

Mon Nov 17 10:38:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled a set of tests for Labview/WinCE/FUZZ

Mon Nov 17 10:22:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Get_Opt_Test.cpp:
          Renamed empty to empty_string to resolve clash with msvc header
          files

Mon Nov 17 10:11:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_sunos5_common.GNU:
          On Solaris 10 we have sctp, enable this by adding the following line
          in your platform_macros.GNU file.
          sctp = lksctp
          Thanks to Milan Cvetkovic <milan dot cvetkovic at mpathix dot com>
          for providing this change. This is part of bugzilla 3492

Mon Nov 17 10:04:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-msvc-8.h:
        * ace/config-win32-msvc-10.h:
          If ACE_HAS_EXCEPTIONS is defined, avoid re-defining it.

Mon Nov 17 09:20:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-mingw.h:
          Added missing defines

Mon Nov 17 09:12:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-common.h:
          Updated version check for WinCE

Mon Nov 17 08:46:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessWinCE.pm:
          Removed VxWorks specific commandline code

Mon Nov 17 08:38:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added bug_3470

Mon Nov 17 08:37:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-macros.h:
          If MPC_LIB_MODIFIER is defined then set ACE_LD_DECORATOR_STR to
          this value. This way the DLL find routines in ACE do use the MPC
          modifier name automatically

        * ace/config-win32-msvc.h:
          No need anymore to set ACE_LD_DECORATOR_STR

        * ace/DLL_Manager.cpp:
        * ace/Lib_Find.cpp:
        * tests/Based_Pointer_Test.cpp:
        * tests/DLL_Test.cpp:
          When ACE_LD_DECORATOR_STR is set, then use it on any platform

        * ace/Service_Gestalt.h:
          Doxygen change

        * ace/Service_Gestalt.inl:
          Layout change

        * bin/MakeProjectCreator/config/acedefaults.mpb:
          Enable macro_for_lib_modifier for vc7/vc8/vc9/vc10/nmake

        * bin/MakeProjectCreator/templates/vxtest.mpd:
          Added libname_prefix and lib_modifier support

        * tests/Bug_2772_Regression_Test.cpp:
          Fixed compile problem with Cygwin

Sun Nov 16 17:30:06 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * include/makeinclude/platform_gnuwin32_common.GNU:

          Set RC_OUTPUT_FLAG for use the with the "windres" tool.

Sun Nov 16 06:52:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3505_Regression_Test.cpp:
          Fixed conversion warnings

        * tests/Based_Pointer_Test.cpp:
        * tests/DLL_Test.cpp:
          When ACE_LD_DECORATOR_STR has been defined, just use it on any
          platform

Sun Nov 16 06:30:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2772_Regression.cpp:
          Fixed compile warning with pthread

Sat Nov 15 20:08:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Disabled the DevGuideExamples for VxWorks because the test scripts
          are not converted yet

Sat Nov 15 19:53:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Time_Value.inl:
          Disable conversion warning for WinCE 6 only to get at least a warning
          free build

        * ace/OS_NS_time.h:
          Doxygen change

Sat Nov 15 19:14:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Win32.pm:
          Removed not used line

        * bin/PerlACE/ProcessWinCE.pm:
          Fixed a problem that single and double quotes in the
          commandline arguments where not escaped

        * bin/fuzz.pl:
          Added another run_test check

Sat Nov 15 19:09:55 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * include/makeinclude/platform_win32_msvc.GNU:

          Added dollar-Id-dollar to make fuzz.pl happy.

Sat Nov 15 18:55:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2772_Regression.cpp:
          Fixed compile problem with Cygwin

Fri Nov 14 22:35:43 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * include/makeinclude/platform_win32_msvc.GNU:

          New file for building with GNU make and the Visual C++
          compiler/linker on Win32 platforms.  See the header comments
          in this file for details.

        * ace/Monitor_Control/Monitor_Control.mpc:

          Add support for linking pdh.lib (from Win32) with -type gnuace.

        * ace/config-win32-msvc-9.h:

          If ACE_HAS_EXCEPTIONS is defined, avoid re-defining it.

        * bin/MakeProjectCreator/config/ace_mc.mpb:

          Add the section for linking pdh.lib (from Monitor_Control.mpc)
          so that dependent projects inherit this setting (needed for static).

        * bin/MakeProjectCreator/templates/gnu.mpd:
        * include/makeinclude/rules.lib.GNU:
        * include/makeinclude/rules.local.GNU:
        * include/makeinclude/wrapper_macros.GNU:

          A new macro $(LIB_PREFIX) is used in place of a hardcoded "lib".
          The macro $(LIB) has been renamed to $(LIB_CHECKED) to avoid
          conflicts.
          Other changes to make the command lines and file names a
          little more flexible.

Fri Nov 14 22:25:34 UTC 2008  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/wrapper_macros.GNU:
        * include/makeinclude/rules.local.GNU:
        * include/makeinclude/rules.lib.GNU:
        * include/makeinclude/rules.bin.GNU:
        * NEWS:
          Add a new feature to enable users to build for multiple architectures
          out of a single directory. See Bugzilla #3507.

Fri Nov 14 19:17:35 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * ace/ACE.h:
        * ace/ACE.cpp:

          Enhanced the ACE::wild_match() algorithm to support escaped wildcards
          and character classes.  See the doxygen comment for details.

        * tests/Wild_Match_Test.cpp:
        * tests/run_test.lst:
        * tests/tests.mpc:

          Added a new test for ACE::wild_match().

        * tests/Log_Thread_Inheritance_Test.cpp:

          Removed the ; after ACE_RCSID.  Apparently it has its own ;.

Fri Nov 14 19:03:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Parse_Node.cpp:
          Only print the debug message when ACE::debug() is enabled. This
          prevent a lot of messages on the WinCE console. Fixes bugzilla
          3505

        * ace/Service_Gestalt.cpp:
          Renamed getopt to get_opt so that we can remove all the fuzz
          disable/enable lines

Fri Nov 14 18:54:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3505_Regression_Test.cpp:
        * tests/run_test.lst:
        * tests/tests.mpc:
          ACE_Service_Gestalt is another one that could enable ACE::debug,
          added a test to see if that is the reason why ACE::debug is enabled
          on WinCE

Fri Nov 14 18:39:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE.cpp:
        * ace/Arg_Shifter.cpp:
          Layout change

        * ace/Arg_Shifter.h:
          Doxygen change

        * tests/ACE_Test.cpp:
          Added test for ACE_DEBUG environment variable

        * tests/Arg_Shifter_Test.cpp:
          Added another test, on WinCE we see that ACE::debug() is enabled
          when running TAO, one of the reasons could be a problem in the
          commandline handling

Fri Nov 14 13:06:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.inl:
          Compare with ACE_Time_Value::zero

Fri Nov 14 13:03:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
        * docs/CE-status.txt:
        * docs/wchar.txt:
          Windows CE updates

Fri Nov 14 12:47:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Disabled several tests for CORBA/e micro

Fri Nov 14 12:30:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added missing 3499

Fri Nov 14 11:38:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2772_Regression_Test.cpp:
        * tests/run_test.lst:
        * tests/tests.mpc:
          Added an ACE-ified version of the regression test for bugzilla
          2772. This hangs on my Vista development system. Marked the
          bug as not fixed to not pollute the test stats for the bczar.
          Let the scoreboard now show whether this works or not. Thanks
          to Greg Bothe <ace at netrats dot net> for creating the
          original test

Fri Nov 14 10:59:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Log_Thread_Inheritance_Test.cpp:

          wchar fix.

Thu Nov 13 09:53:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Malloc_Test.cpp:
          Use argv[0] as process name when it is available

        * tests/Process_Strategy_Test.cpp:
          Minor improvements and don't use ACE_ASSERT

Thu Nov 13 09:41:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Acceptor.h:
          Fixed some typos in the doxygen documentation

        * ace/ACE.cpp:
        * ace/OS_NS_Thread.cpp:
        * ace/SOCK_Connector.cpp:
        * ace/SOCK_SEQPACK_Connector.cpp:
        * ace/TLI_Connector.cpp:
        * ace/Token.cpp:
          Compare with ACE_Time_Value::zero

        * ace/config-WinCE.h:
          Windows CE 6 has GetSystemTimeAsFileTime. Also moved
          some typedefs out of this file

        * ace/Event_Handler.cpp:
          Removed some commented out defines

        * ace/Filecache.cpp:
          Also call difftime on Windows CE, we have an emulation
          for this method

        * ace/High_Res_Timer.cpp:
        * ace/High_Res_Timer.h:
          Enable this for WinCE

        * ace/Metrics_Cache_T.inl:
          Layout change

        * ace/os_include/os_signal.h:
        * ace/os_include/sys/os_types.h:
          Added typedefs for Windows CE

        * ace/OS_NS_stdio.inl:
        * ace/OS_NS_unistd.inl:
          Updated comment

        * ace/OS_NS_sys_time.inl:
          Windows CE 6 has GetSystemTimeAsFileTime

        * ace/OS_NS_sys_wait.h:
          Doxygen change

        * ace/OS_NS_unistd.cpp:
          Reworked pread/pwrite on Windows so that both methods are
          more equal and do check all return values and set errno

        * ace/SString.cpp:
          Removed commented out WinCE include

        * ace/Stats.cpp:
          Just call strerror on CE

        * ace/UTF16_Encoding_Converter.cpp:
          Initialse pointer with 0

        * ace/WFMO_Reactor.cpp:
          The wait method on Windows can work with a relative time. When
          just doing a ping check on WinCE, just pass in ACE_Time_Value::zero
          instead of first getting the current time, call wait where then
          current time is converted back to relative time

Thu Nov 13 15:26:17 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * ace/Log_Msg.h:
        * ace/Log_Msg.cpp:
        * ace/OS_Log_Msg_Attributes.h:

          Fix for bug 3480.  If the user passes "true" as the 2nd arg of
          msg_ostream(), ACE takes ownership of the output stream.  Since this
          stream can be shared between multiple ACE_Log_Msg instances
          (in multiple threads), we will now keep a reference count on the
          output stream and only delete it when the last ACE_Log_Msg instance
          is destroyed.

        * tests/run_test.lst:
        * tests/tests.mpc:
        * tests/Log_Thread_Inheritance_Test.cpp:

          Added a test for this change.

Thu Nov 13 15:25:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Service_Config_Test.cpp:
          Just not give arguments a name if you don't need them

        * tests/Logging_Strategy_Test.cpp:
          Use ACE_DEFAULT_TEST_DIR to get a full path on Windows CE

Thu Nov 13 14:56:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled some tests for FUZZ/Labview/WinCE

Thu Nov 13 14:47:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added some missing tests and enabled some tests for FUZZ/Labview/
          WinCE

Thu Nov 13 12:13:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-common.h:
          WinCE 5 seems to lack a lot of defines, so updated version check

        * ace/OS_NS_unistd.inl (dup):
          Return ACE_INVALID_HANDLE instead of -1

Thu Nov 13 11:08:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * configure.ac:
          Updated mailing list address

Thu Nov 13 10:36:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Config_Test.cpp:
          Fixed possible corruption of filename

Thu Nov 13 10:05:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          sln files are allowed at this moment

Thu Nov 13 09:15:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Process_Test.cpp:
          Fixed unicode compile problems

Thu Nov 13 08:32:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          The lst files below are now parsed and all the perl files that are not
          marked with !FUZZ are checked

        * bin/tao_orb_tests.lst:
        * bin/tao_other_tests.lst:
        * bin/ciao_tests.lst:
          Mark a lot of test with !FUZZ, these have to be updated

Thu Nov 13 08:07:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Cached_Conn_Test.cpp:
          Layout change in debug statement

Thu Nov 13 08:06:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/acetest.mpb:
          Explicit list build files

Thu Nov 13 08:01:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
        * bin/PerlACE/TestTarget_VxWorks.pm:
          Fixed test scripts when the old test framework is use

Thu Nov 13 07:05:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_main.cpp:
          Fixed bug in CE commandline conversion

Wed Nov 12 19:25:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-WinCE.h:
          WinCE 5 and earlier DuplicateHandle

        * ace/OS_NS_unistd.inl (dup):
          Use ACE_LACKS_DUP so that we don't have a special codeblock for
          Windows CE

        * ace/Thread_Manager.cpp:
          Use ACE_LACKS_DUPLICATEHANDLE whether we can use DupliceHandle or
          not

Wed Nov 12 19:06:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/TestTarget.pm:
          Added RandomPort

        * protocols/tests/HTBP/ping/run_test.pl:
        * protocols/tests/HTBP/Reactor_Tests/run_test.pl:
        * protocols/tests/HTBP/Send_Large_Msg/run_test.pl:
        * protocols/tests/HTBP/Send_Recv_Tests/run_test.pl:
          Use TestTarget->RandomPort

Wed Nov 12 19:00:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Dirent_Test.cpp:
          Unicode fix

Wed Nov 12 18:40:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-WinCE.h:
          Added ACE_LACKS_REGNOTIFYCHANGEKEYVALUE

        * examples/Reactor/WFMO_Reactor/WFMO_Reactor.mpc:
          Build all these examples with Windows CE

        * examples/Reactor/WFMO_Reactor/run_test.pl:
          Check if target got created

        * examples/Reactor/WFMO_Reactor/APC.cpp:
        * examples/Reactor/WFMO_Reactor/Registry_Changes.cpp:
          Made these compiling with Windows CE. It are nothing more then
          empty tests at that moment, but that way we don't get false
          negatives

Wed Nov 12 16:04:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * config-WinCE.h:
          WinCE versions older then 6 don't have errno

Wed Nov 12 15:57:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_main.cpp:
          Make sure there is a space between the executable name and
          the original arguments with WinCE

Wed Nov 12 15:38:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Cached_Accept_Conn_Test.cpp:
          Added %T to the iteration debug message

        * tests/MEM_Stream_Test.cpp:
        * tests/Pipe_Test.cpp:
        * tests/Process_Manager_Test.cpp:
        * tests/Process_Manual_Event_Test.cpp:
        * tests/Process_Mutex_Test.cpp:
        * tests/RW_Process_Mutex_Test.cpp:
        * tests/SOCK_Dgram_Bcast_Test.cpp:
          If argc > 0 use argv[0] as program name, else use a hardcoded
          string. This way this test runs on any platform including WinCE
          (where argv[0] has a full path) and VxWorks (where argc = 0)

Wed Nov 12 15:21:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/MEM_Stream_Test.cpp:
          Use argv[0]

Wed Nov 12 14:52:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OS_Test.cpp:
          No need to use TEST_DIR, the problem on WinCE was a problem in
          ACE_OS::rename

Wed Nov 12 14:10:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks6.7.h:
        * include/makeinclude/platform_vxworks6.7.GNU:
          Initial files for VxWorks 6.7 which we expect soon

Wed Nov 12 13:24:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Process_Test.cpp:
          Wrong macro used.

Wed Nov 12 10:52:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled a few tests for WinCE/Labview

Wed Nov 12 09:35:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * protocols/tests/HTBP/ping/run_test.pl:
        * protocols/tests/HTBP/Reactor_Tests/run_test.pl:
        * protocols/tests/HTBP/Send_Large_Msg/run_test.pl:
        * protocols/tests/HTBP/Send_Recv_Tests/run_test.pl:
          Use 2 targets

Wed Nov 12 09:31:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/Process.pm:
          If ACE_RUNTEST_DELAY is not set, default the wait delay factor
          to 1

Wed Nov 12 09:01:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/TestTarget_WinCE.pm:
          And more path tweaks

Wed Nov 12 08:48:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Fixed fuzz error in the fuzz script itself

Wed Nov 12 08:47:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/TestTarget.pm:
        * bin/PerlACE/TestTarget_WinCE.pm:
          Added HOST_ROOT and more WinCE path tweaks

Wed Nov 12 08:27:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/Process_Win32.pm:
          Removed duplicate basename

        * bin/fuzz.pl:
          Extended the run_test.pl check and enabled it. Ignore TAO and
          CIAO for the moment, we first need to update the existing
          scripts to the new test framework

Wed Nov 12 08:19:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/TestTarget_WinCE.pm:
          Extended path handling for WinCE

Wed Nov 12 07:47:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/README:
          Updated

Tue Nov 11 22:22:04 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/OS_NS_sys_mman.inl (mmap): Added a fix for a problem where
          ACE_OS::mmap() failed when called with
          file_handle=ACE_INVALID_HANDLE and file_mapping=0.  Thanks to
          Bill Rizzi <rizzi at softserv dot com> for this fix.  This fixes
          bugid 3500.

Tue Nov 11 14:24:00 UTC 2008  Simon Massey<sma at prismtech dot com>

        * tests/Process_Test.cpp:
          Another wchar issue.

Tue Nov 11 13:52:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/config-lynxos.h:
          Missed removal of ACE_HAS_SYSV_IPC for LynxOS5.0.

Tue Nov 11 13:34:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Cached_Conn_Test.cpp:
          Print a timestamp with each iteration

Tue Nov 11 13:26:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.cpp:
          Check the return value of thr_setprio

        * ace/Process.cpp:
          Always initialize process_name_

        * ace/Process_Manager.cpp:
          Use this->

        * tests/OS_Test.cpp:
          WinCE can't rename when the target already exists

        * tests/Reactor_Dispatch_Order_Test.cpp:
          Const change

Tue Nov 11 10:43:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdio.inl:
          Fixed rename on WinCE

Tue Nov 11 10:03:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/TestTarget_VxWorks.pm:
          Just use the WaitForFileTimed from the base

        * bin/tao_orb_tests.lst:
          Enabled some tests for Labview/WinCE

Mon Nov 10 23:28:36 UTC 2008  Trevor Fields  <fields_t@ociweb.com>

        * bin/tao_other_tests.lst:

          Added regression test for bug 3495.

Mon Nov 10 20:16:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled several TAO tests for Labview and WinCE, these are converted
          to the new test framework

Mon Nov 10 19:30:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Process_Manager_Test.cpp:
          Layout change

        * tests/Process_Manual_Event_Test.cpp:
          Use ACE_ERROR_RETURN instead of ACE_ASSERT

Mon Nov 10 19:23:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OS_Test.cpp:
          Also use TEST_DIR when it is defined

Mon Nov 10 19:16:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-WinCE.h:
          Enabling bsearch results in a linker error

        * ace/OS_NS_Thread.inl:
          Use ACE_TEXT_CreateSemaphe

        * tests/Config_Test.cpp:
          Use TEST_DIR as directory of the import file when it is defined.
          Windows CE doesn't have a current directory but TEST_DIR is set
          when building on CE

        * tests/Dirent_Test.cpp:
          Use different logging macros when ACE_HAS_TCHAR_DIRENT is defined

        * tests/test_config.h:
          Removed not needed semi colon

Mon Nov 10 18:40:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-common.h:
        * ace/config-WinCE.h:
          Enable a few more methods for WinCE

Mon Nov 10 15:29:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Malloc_Test.cpp:
          Fixed compile error

Mon Nov 10 15:28:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-WinCE.h:
          Removed a lot of defines that are really not needed

        * ace/OS_NS_stdlib.{h,cpp,inl}:
          Removed ACE_HAS_WINCE checks with realpath

        * ace/config-win32-common.h:
          Latest wince versions do have missing defines

Mon Nov 10 14:28:00 UTC 2008  Simon Massey <sma at prismtech dot com>

        * tests/Process_Test.cpp:
          Another wchar issue.

Mon Nov 10 12:53:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-WinCE.h:
          WinCE 5 and newer do have filelocks

        * ace/OS_NS_stdio.inl (flock_unlock):
          Use UnlockFileEx because this is also available on WinCE

        * tests/Naming_Test.cpp:
          Use ACE::get_temp_dir to get the real temp dir

Mon Nov 10 11:48:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Malloc_Test.cpp:
          Use argv[0]

        * tests/TP_Reactor_Test.cpp:
          Use ACE_TEXT

Mon Nov 10 10:46:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace_for_tao.mpc
        * ace/config-win32-msvc-10.h
        * ace/config-win32-msvc.h
        * ace/Monitor_Control/Monitor_Control.mpc
        * ace/QoS/qos.mpc
        * bin/MakeProjectCreator/config/ace_fl.mpb
        * bin/MakeProjectCreator/config/ace_gl.mpb
        * bin/MakeProjectCreator/config/ace_qt.mpb
        * bin/MakeProjectCreator/config/ace_x11.mpb
        * bin/MakeProjectCreator/config/crosscompile.mpb
        * bin/MakeProjectCreator/config/ipv6.mpb
        * bin/MakeProjectCreator/config/vc_warnings.mpb
          Added Visual Studio 2010 (vc10) support

Mon Nov 10 09:50:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-WinCE.h:
          Set ACE_DEFAULT_THREAD_KEYS to TLS_MINIMUM_AVAILABLE when it is
          not defined yet. This is the minimum number of TLS indexes always
          available to a process

Mon Nov 10 09:35:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/make_release.py:
          Added Windows Mobile 6 projects

        * bin/PerlACE/TestTarget.pm:
        * bin/PerlACE/README:
          Added HostName and added a few variables that are needed for
          VxWorks in the near future. This fixes bugzilla 3496

        * protocols/tests/HTBP/ping/run_test.pl:
        * protocols/tests/HTBP/Reactor_Tests/run_test.pl:
        * protocols/tests/HTBP/Send_Large_Msg/run_test.pl:
        * protocols/tests/HTBP/Send_Recv_Tests/run_test.pl:
        * protocols/tests/RMCast/run_test.pl:
          Updated to the new test framework

        * protocols/tests/HTBP/README:
          Location of the HTBP lib was old

Sun Nov  9 11:45:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Sched_Params.cpp:
          Updated for WinCE priorities

        * ace/OS_main.cpp:
          Const change

Sat Nov  8 07:11:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/MEM_Stream_Test.cpp:
          use argv[0]

        * tests/Malloc_Test.cpp:
          Removed WinCE code

Sat Nov  8 07:03:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/run_test.pl:
          Convert to use the new test framework

Fri Nov  7 20:10:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Dirent_Test.cpp:
          Use the open method of ACE_Dirent instead of the constructor
          so that we can check the return value and also use ACE_DEFAULT_TEST_DIR
          when it is defined

Fri Nov  7 19:53:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Disabled several DevGuidExamples in the ACE_FOR_TAO configuration

Fri Nov  7 19:11:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
        * bin/PerlACE/ProcessWinCE.pm:
          Increased timeout so that we don't kill the ACE tests before
          they had the change to finish

Fri Nov  7 18:05:00 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * bin/tao_orb_tests.lst:

          Added Bug_3481_Regression.

Fri Nov  7 13:30:00 UTC 2008  Simon Massey <sma at prismtech dot com>

        * tests/Process_Test.cpp:
          Like an idiot I didn't invert the original ACE_ASSERT test when
          I converted them to if () go_and_complain;
          Also another attempt to correct for wide character ACE_TCHAR
          versions.

Fri Nov  7 12:02:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.pl:
          Removed all specific VxWorks support, we are using the generic test
          framework now

Fri Nov  7 09:47:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_main.cpp:
          Use ACE_TEXT_GetModuleFileName to get the executable name
          on Windows CE

Fri Nov  7 09:11:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Makefile.am:
          Removed references to CE_fostream

Thu Nov  6 19:26:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-WinCE.h:
          CE doesn't have FILE_SHARE_DELETE like regular windows as default
          file permissions

        * tests/CDR_File_Test.cpp:
          WinCE does have ostream, so removed CE_fostream and also removed the
          code that tries to unlink the file directly after it has been created.
          It really depends also on the file system whether this works or not.

        * tests/CE_fostream.cpp:
        * tests/CE_fostream.h:
          Removed

        * tests/tests.mpc:
          Removed CE_fostream

Thu Nov  6 18:08:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-openvms.h:
          Added ACE_LACKS_ISBLANK/ACE_LACKS_ISCTYPE

        * ace/config-qnx-rtp-62x.h:
          Added ACE_LACKS_ISCTYPE

        * ace/OS_NS_unistd.h:
          Doxygen changes

Wed Nov  5 15:11:17 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/SOCK_SEQPACK_Association.cpp (get_remote_addrs): Changed
          ACE_USES_SOLARIS_SCTP to ACE_HAS_VOID_PTR_SCTP_GETPADDRS.
          Thanks to Johnny for this suggestion.

Thu Nov  6 14:33:00 UTC 2008  Simon Massey <sma at prismtech dot com>

        * tests/Process_Test.cpp:
          Use pid_t, ACE_HANDLE and ACE_INVALID_HANDLE;

Thu Nov  6 14:10:00 UTC 2008  Simon Massey <sma at prismtech dot com>

        * tests/Process_Test.cpp:
          Don't use ACE_ASSERT();

Thu Nov  6 13:19:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h:
          Add a check if people are using a supported compiler

Thu Nov  6 13:12:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX.pm:
        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
        * bin/PerlACE/ProcessWinCE.pm:
          Poweroff the target at the end of the run. If you want to keep
          it on power, set ACE_RUN_VX_NO_SHUTDOWN as environment variable

Thu Nov  6 13:08:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Buffer_Stream_Test.cpp:
        * tests/MEM_Stream_Test.cpp:
        * tests/MM_Shared_Memory_Test.cpp
        * tests/Priority_Task_Test.cpp
          Removed WinCE specific code

        * tests/Bug_3432_Regression_Test.cpp:
          This test needs strftime, if is not there, just print a message
          and exit

        * tests/Notify_Performance_Test.cpp:
        * tests/Reactor_Performance_Test.cpp
          WFMO_Reactor is dependent on winsock2

Thu Nov  6 12:00:00 UTC 2008  Simon Massey <sma at prismtech dot com>

        * tests/Process_Test.cpp:
          Apply modified patch to correct for problems on scoreboard.

Thu Nov  6 09:48:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/TestTarget.pm
        * bin/PerlACE/README:
          Added PROCESS_START_WAIT_INTERVAL and PROCESS_STOP_WAIT_INTERVAL
          as environment variables so that we can configure a longer wait
          time.

        * bin/PerlACE/TestTarget_WinCE.pm:
          Removed ProcessStartWaitInterval method, not needed

Thu Nov  6 08:22:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3432_Regression_Test.cpp:
        * tests/CDR_File_Test.cpp:
        * tests/Message_Queue_Test.cpp:
        * tests/OS_Test.cpp:
        * tests/Process_Manager_Test.cpp:
        * ace/Service_Repository.cpp:
        * tests/TP_Reactor_Test.cpp:
          Fixed unicode problems

        * tests/run_test.pl:
          Add the process startup time to the test time, improves the
          test results on slow systems

Wed Nov  5 19:23:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
        * bin/PerlACE/ProcessWinCE.pm:
        * bin/PerlACE/TestTarget_VxWorks.pm:
        * bin/PerlACE/TestTarget_WinCE.pm:
          Store a reference to the target in the process and set the
          executable extension correct for windows ce

Wed Nov  5 15:54:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_ctype.inl:
          Don't emulate isblank with isctype(_ISBLANK), isctype only checks
          for space, isblank should check space and tab

Wed Nov  5 13:20:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Process_Test.cpp:
          Attempt to correct for wide character ACE_TCHAR versions.

Wed Nov  5 09:36:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Process_Test.cpp:
          Removed Fuzz errors.

Wed Nov  5 08:49:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-lynxos.h:
          LynxOS5 has isblank

        * ace/config-aix-5.x.h:
          AIX lacks isctype

Wed Nov  5 04:04:57 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * May the next president of the USA have the strength and courage
          to lead the USA wisely and help it to achieve its promise as a
          advocate for freedom and democracy.

Tue Nov  4 22:45:20 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/SOCK_SEQPACK_Association.cpp: Added #ifdefs for
          ACE_USES_SOLARIS_SCTP.  Thanks to Steven Xie <steven dot xie at
          mpathix dot com> for contributing this.

Tue Nov  4 15:18:17 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/Process_Test.cpp: Added a new test that exercises the new
          handle inheritance mechanisms of ACE_Process.  Thanks to
          Christian Fromme <kaner at strace dot org> for contributing this
          test.

Tue Nov  4 14:15:07 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/tests.mpc:
        * tests/run_test.lst (Process_Test): Added the new test for the
          ACE_Process class.

Tue Nov  4 13:59:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OS_Test.cpp:
          Added isblank test for space

        * ace/OS_NS_ctype.inl:
          Fixed bug in isblank for space

Tue Nov  4 13:39:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled a few tests for labview and add !WinCE to all
          !LabVIEW_RT marked tests so that we can start testing
          for wince

Tue Nov  4 08:52:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_ctype.inl:
          Added support for ACE_LACKS_ISASCII

        * ace/config-vxworks6.2.h
        * ace/config-vxworks6.3.h
        * ace/config-vxworks6.4.h
          Define for ACE_LACKS_ISASCII for rtp

Tue Nov  4 07:45:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-sunos5.5.h:
          Added ACE_LACKS_ISCTYPE/ACE_LACKS_ISBLANK

        * ace/config-sunos5.10.h:
          SunOS 10 has isblank

Tue Nov  4 07:09:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Added ACE_LACKS_ISCTYPE

Tue Nov  4 07:05:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-aix-5.x.h:
          Added ACE_HAS_CTYPE_T

Mon Nov  3 20:05:10 UTC 2008  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ace/config-macosx-leopard.h:
          Added ACE_ISCTYPE_EQUIVALENT.

Mon Nov  3 17:15:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-lynxos.h:
          Added ACE_LACKS_ISBLANK/ACE_LACKS_ISCTYPE

Mon Nov  3 14:35:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Disabled several tests with CORBA/e compact/micro

Mon Nov  3 13:17:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
        * ace/config-vxworks6.2.h:
        * ace/config-vxworks6.3.h:
        * ace/config-vxworks6.4.h:
          Added ACE_LACKS_ISBLANK for kernel mode

Mon Nov  3 13:01:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
        * ace/config-vxworks6.2.h:
        * ace/config-vxworks6.3.h:
        * ace/config-vxworks6.4.h:
          Added ACE_LACKS_ISCTYPE/ACE_LACKS_ISWCTYPE

Mon Nov  3 12:35:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-all.h
        * ace/OS_NS_ctype.inl
        * ace/OS_NS_time.h
          Including OS_NS_errno.h in config-all.h gives problems on linux

Mon Nov  3 10:51:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.inl:
          Use CeGetThreadPriority/CeSetThreadPriority when building
          for Windows CE. This fixes bugzilla 3487. Thanks to Danial Lang
          <danial dot lang at alphagate dot at> for reporting this.

Mon Nov  3 10:30:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Added bug 3486

Mon Nov  3 10:27:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/svn/config:
        * docs/svn/svn-prefs.reg:
          bmak files shouldn't be in the repo so added them to the global
          ignore list

Mon Nov  3 09:32:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_ctype.inl:
          Added support for ACE_LACKS_ISWASCII

        * ace/config-linux-common.h:
          Added ACE_LACKS_ISWASCII

Mon Nov  3 09:07:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/TestTarget.pm:
          Use PerlACE::Run_Test here, that way it is not needed in the
          real scripts and we can use that to check if the script
          is converted

        * bin/tao_orb_tests.lst:
          Enabled some test for labview, converted them to the new framework

Mon Nov  3 09:03:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/Run_Test.pm:
        * bin/PerlACE/TestTarget.pm:
        * bin/PerlACE/TestTarget_LVRT.pm:
        * bin/PerlACE/TestTarget_VxWorks.pm:
          Convert the filename to a local file in the TestTarget and
          not in the main script. Fixes bugzilla 3477

Mon Nov  3 09:53:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-all.h:
          Include OS_NS_errno.h to get ENOTSUP

        * ace/config-win32-borland.h:
          CB lacks isblank/iswblank/icctype/iswctype

        * ace/config-win32-msvc.h:
        * ace/config-WinCE.h
          Lacks isblank/iswblank

        * ace/os_include/os_ctype.h:
          Added typedef for ctype_t

        * ace/OS_NS_ctype.h:
        * ace/OS_NS_ctype.inl:
          Added isblank/isascii/isctype/iswctype wrappers

        * ace/OS_NS_time.h:
          No need to include OS_NS_errno.h here

        * bin/fuzz.pl:
          Added isblank/isascii/isctype/iswctype to ACE_OS check

        * tests/OS_Test.cpp:
          Extended ctype tests

Thu Oct 30 13:25:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OS_Test.cpp:
          Added a test for ace_isprint with a tab character. WinCE 6 and
          earlier do have a bug that for tab they return true instead of
          false

        * ace/OS_NS_sys_utsname.cpp:
          Initialise pointer with 0

        * ace/OS_NS_ctype.inl (ace_isprint):
          If we have WinCE 6 or earlier and get called for tab (0x9) then
          return 0, WinCE stdlib has a bug that 1 is returned for tab.
          This was found when investigating some TAO logs where we do
          a hexdump of the received packets

Thu Oct 30 12:53:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * protocols/tests/HTBP/Send_Recv_Tests/client.cpp
        * protocols/tests/HTBP/Send_Recv_Tests/server.cpp
          Use %C to log ascii strings instead of using %s with
          ACE_TEXT_CHAR_TO_TCHAR

Thu Oct 30 12:16:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/ARGV_Test.cpp
        * tests/Bound_Ptr_Test.cpp
        * tests/Enum_Interfaces_Test.cpp
        * tests/IOStream_Test.cpp
        * tests/Sendfile_Test.cpp
        * tests/SOCK_Send_Recv_Test.cpp
        * tests/SOCK_Send_Recv_Test_IPV6.cpp
        * tests/SOCK_Test.cpp
        * tests/SOCK_Test_IPv6.cpp
        * tests/Svc_Handler_Test.cpp
          Use %C to log ascii strings instead of using %s with
          ACE_TEXT_CHAR_TO_TCHAR

Thu Oct 30 11:31:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE.cpp:
          Const change

        * tests/test_config.h:
          Set ACE_LOG_DIRECTORY_FOR_MKDIR for all platforms. Removed the
          WinCE different test filename extension.

        * tests/Test_Output.cpp:
          Added ACE_DEFAULT_TEST_DIR which can be set in the config.h to
          specify a different default testdir then "". This is useful
          for WinCE which lacks the concept of a current working directory

Thu Oct 30 10:30:00 UTC 2008  Simon Massey <sma at prismtech dot com>

        * NEWS
          Updated.

Thu Oct 30 07:10:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Disabled PMB test for VxWorks RTP, it hangs the test environment

Wed Oct 29 15:15:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/TestTarget_WinCE.pm:
          New file for WinCE cross platform testing. This assumes at this
          moment some other test framework changes which can't be committed yet.
          I am storing this new file in svn so that it doesn't get lost and
          can be used to discuss the changes

Wed Oct 29 10:14:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-WinCE.h:
          Corrected WinCE version check

        * ace/OS_NS_time.h:
          The WinCE 6 SDK ships with a difftime that has __time32_t as type
          of the arguments. ACE uses time_t which can be 64bit, that then
          leads to conversion warnings. For WinCE 6 disable this warning
          just for this file.

Tue Oct 28 19:56:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
        * bin/tao_orb_tests.lst:
          InterfaceRepo example should be in the other file

Tue Oct 28 19:48:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/vxtest.mpd:
          Don't add a lib prefix and .so postfix, let the test scripts do that.
          This way the output is also usable for WinCE testing

        * bin/PerlACE/ProcessVX.pm:
          Add lib prefix and .so postfix to the vxtest list

        * bin/PerlACE/ProcessWinCE.pm:
          Extended this test for testing

Tue Oct 28 16:40:10 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * bin/tao_other_tests.lst:

          Disabled test for bug#3444 on LynxOS.

Tue Oct 28 16:23:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
        * bin/tao_orb_tests.lst:
          Moved Notify ValueType test to other tests

Tue Oct 28 10:48:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessWinCE.pm:
          New file for Windows CE cross testing. We are using the
          VxWorks support and added an environment variable
          ACE_TEST_WINCE. When this is set we are using WinCE instead
          of VxWorks. This script is not ready yet, a first version
          so that we can start resolving some small issues in our
          real test environment

        * bin/PerlACE/Run_Test.pm:
          Check for ACE_TEST_WINCE

Mon Oct 27 19:22:25 UTC 2008  Tim Pollock  <pollockt@ociweb.com>

        * bin/tao_other_tests.lst

          Added new test for DOC bug 2415.

Mon Oct 27 13:27:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
          Added ACE_RUN_ACE_LD_SEARCH_PATH

Mon Oct 27 13:27:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
          Added ACE_RUN_VX_STARTUP_COMMAND

Sun Oct 26 20:21:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdio.cpp:
        * ace/OS_NS_stdio.h:
          Removed scanf/fscanf/sscanf wrappers again. Microsoft
          doesn't ship them with msvc so these would then be
          a noop making them unusable

        * ace/fuzz.pl:
          Removed scanf/sscanf/fscanf from the ACE_OS check

        * ace/Multicast_Test.cpp
        * ace/Multicast_Test_IPV6.cpp
          Use plain sscanf

Sun Oct 26 18:47:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/INET_Addr.cpp:
          Removed not needed wchar conversion

Sun Oct 26 08:02:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdio.{h,cpp}:
          Fixed sscanf implementation and added also fscanf wrapper

        * bin/fuzz.pl:
          Added fscanf to the ACE_OS tests

Thu Oct 23 20:06:02 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Process.cpp: Fixed a typo.

Thu Oct 23 15:15:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Changed ACE_OS test to level 6 to temporarily get rid of this
          check

Thu Oct 23 12:52:21 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Process.cpp: Enhanced the support for enabling/disabling
          handle inheritance on Linux.  Thanks to Christian Fromme
          <christian at ast.dfs dot de> for this fix.

Thu Oct 23 11:14:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Process.cpp:
          Fixed duplicat initialisation

Thu Oct 23 09:09:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Process.cpp:
          Added missing include

Thu Oct 23 08:19:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/svn/config:
        * docs/svn/svn-prefs.reg:
          Added conf/pem extensions

Thu Oct 23 08:06:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Updated because of move of DevGuide orbsvcs examples

Thu Oct 23 06:46:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/ciao_tests.lst:
        * bin/tao_orb_tests.lst:
        * bin/tao_other_tests.lst:
          Added the new DevGuide examples

Thu Oct 23 06:29:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Process.cpp:
          Initialise handle_inheritance_ on the right place

        * ace/Process.h:
          Doxygen change

        * ace/Process.inl:
          Always implement the handle_inheritance method

Wed Oct 22 15:03:31 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Process.h (ACE_Process_Options): Fixed the duplicate
          handle_inheritance_ member.

Wed Oct 22 13:30:54 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Process.{h,cpp}: Added support for enabling/disabling handle
          inheritance on Linux.  Thanks to Christian Fromme <christian at
          ast.dfs dot de> for this fix.

        * ace/Process.{h,cpp}: Fixed the misspelling of
          "handle_inheritence" to "handle_inheritance".

Tue Oct 21 18:31:52 UTC 2008  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * apps/gperf/src/Options.cpp:

          Moved the instantiation of the static ACE_CString
          members to appear before the global class instantiation,
          so that the ACE_CString default constructor can in turn
          initialize its ACE_Allocator member, needed in the
          Options constructor.

Tue Oct 21 17:33:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdio.{h,cpp}:
          Buf argument of sscanf should be const

Tue Oct 21 14:35:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Bug_2980_Regression_Test.cpp:

          Fixed fuzz errors (lack of ACE_OS::).

Tue Oct 21 14:21:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Process_Manager_Test.cpp:
        * tests/Multicast_Test_IPV6.cpp:
        * tests/Bug_2980_Regression_Test.cpp:

          Fixed fuzz errors (lack of ACE_OS::).

Tue Oct 21 14:15:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Process_Manual_Event_Test.cpp:
        * tests/Process_Env_Test.cpp:
        * tests/Multicast_Test.cpp:
        * tests/Proactor_UDP_Test.cpp:

          Fixed fuzz errors (lack of ACE_OS::).

Tue Oct 21 13:53:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-netbsd.h:
          NetBSD lacks wscanf and swscanf

Tue Oct 21 12:41:09 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * apps/gperf/src/Options.h:
        * apps/gperf/src/Options.cpp:
        * ACEXML/common/HttpCharStream.cpp:

          Fixed incorrect use of ACE_TEXT_* conversion macros.

Tue Oct 21 11:25:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Changed ACE_OS test to level 5

Tue Oct 21 09:30:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h
        * ace/config-win32-common.h
        * ace/config-win32-msvc.h
        * ace/OS_NS_stdlib.inl
          WinCE doesn't have wtof, so reworked the defines. Set ACE_HAS_WTOF
          when the platform has wtof, with ACE_WTOF_EQUIVALENT a different
          method name could be used (like ::_wtof)

Tue Oct 21 07:15:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdio.{h,cpp}:
          Added wrappers for sscanf/scanf

        * bin/fuzz.pl:
          Extended ACE_OS check with scanf/sscanf

Tue Oct 21 00:04:26 UTC 2008  Steve Huston  <shuston@riverace.com>

        * tests/Proactor_UDP_Test.cpp: Attempt to avoid lock-ups on non-Windows
          targets. HP-UX, AIX, et al., can't cancel an in-progress UDP recv()
          so stop the Master from trying more receives when all the expected
          sessions are up.

Mon Oct 20 13:09:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Extended ACE_OS check with atof/atol/raise

        * apps/JAWS3/bench/rqfiles.cpp:
          Use ACE_OS::atof

Mon Oct 20 12:01:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdlib.{h,inl}:
          Added atof and atol wrappers

Mon Oct 20 07:23:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * contrib/FaCE/FaCENOACE.mpc:
          Derive from vc_warnings to get rid of deprecated warnings

Mon Oct 20 03:30:20 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/config-cygwin32.h (ACE_HAS_CUSTOM_EXPORT_MACROS): Changed this
          macro definition to

          #define ACE_HAS_CUSTOM_EXPORT_MACROS 1

          Thanks to E Vahala <erkki.vahala@pp.inet.fi>

Sun Oct 19 06:57:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Network_Adapters_Test.cpp:
          WinCE doesn't have control handler

Sun Oct 19 06:54:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Service_Config_Test.cpp:
          WinCE doesn't have _beginthreadex

Sun Oct 19 06:53:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Logging_Strategy_Test.cpp:
          Removed WinCE specific code which is not needed anymore

Fri Oct 17 19:33:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/global.features:
          Set lzo2 to 0 as default

Fri Oct 17 19:25:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_stat.inl:
          Reapplied a change from yesterday, seems the repo has an issue

Fri Oct 17 18:57:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OrdMultiSet_Test.cpp:
          Use ACE_TEST_ASSERT instead of ACE_ASSERT

        * tests/Vector_Test.cpp:
          Removed BCB6/BCB2006 support

        * tests/SOCK_Connector_Test.cpp:
          Const change and initailise pointer with 0

Fri Oct 17 12:14:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-linux-common.h:
        * ace/config-win32-borland.h:
        * ace/Guard_T.h:
        * ace/Handle_Set.cpp:
        * ace/Monitor_Control_Types.h:
        * ace/os_include/os_string.h:
        * ace/os_include/os_unistd.h:
        * ace/os_include/sys/os_timeb.h:
        * ace/OS_NS_stdio.inl:
        * ace/Truncate.h:
          Removed BCB6/BCB2006 support

Wed Oct 15 19:57:38 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/SSL/SSL_Context.cpp (report_error): Updated the code to use
          ::ERR_error_string_n() rather than ::ERR_error_string() when
          it's available.  Thanks to Paul Daugherty <paul@nextalk.com>
          for this patch.  This fixes bugid 3461.

Thu Oct 16 19:03:02 UTC 2008  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Service_Config.inl:
        * ace/Service_Config.cpp:

          Fix for Bug #3386. The argument parsing for the service
          configurator was separated into those that affect individual
          gestalts, and some process wide arguments. The process wide
          arguments were then placed in a new SC::parse_args_i() method,
          but that was never called. Second, it appears that when
          parse_args_i() was created it was anticipating calling the
          associated gestalt's parse_args_i() but I believe that is not
          correct, as the gestalt's open() gets a copy of the arguments
          for parsing anyway. The service configurator's open() has a
          guard against being evaluated more than once, so there should be
          no side effects of calling the SC::parse_args_i() more than
          once.

          Thanks to Jack Lavender for reporting this problem.

        * examples/Service_Configurator/Misc/main.cpp:

          Modified this test so that command line arguments passed in to
          main() are all added to the list supplied to
          service_config::open().

        * THANKS:
          Updating contributors list.

Thu Oct 16 18:39:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Network_Adapters_Test.cpp:
          Use ACE_OS::raise

Thu Oct 16 18:13:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE.{h,cpp}:
          Always deliver strenvdup

        * ace/config-win32-common.h:
          Added new ACE_HAS_DIRECT_H, ACE_HAS_PROCESS_H, ACE_HAS_IO_H

        * ace/config-WinCE.h:
          Added new ACE_HAS_TYPES_H and ACE_LACKS_DEV_T

        * ace/Log_Record.h:
          Doxygen changes

        * ace/os_include/os_unistd.h:
          Use new ACE_HAS_PROCESS_H and ACE_HAS_IO_H

        * ace/os_include/sys/os_stat.h:
          Use new ACE_HAS_DIRECT_H and updated wince stat struct to match
          other platforms to get TAO compiling.

        * ace/os_include/sys/os_types.h:
          Use ACE_HAS_TYPES_H and ACE_LACKS_DEV_T

        * ace/OS_NS_sys_stat.inl:
          Update setting of stat struct on ce and also set the
          creation stamp

Thu Oct 16 11:22:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-openvms.h:
          Define ACE_LACKS_WCSTOLL.

Thu Oct 16 09:51:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/Misc/test_demuxing.cpp:
          Fixed compile error because SIGTERM is now always defined to 0
          when it is not set by the system (like on CE)

Thu Oct 16 09:47:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_signal.h:
        * ace/OS_NS_signal.inl:
          Added wrapper for raise, fixes bugzilla 3462

        * ace/config-WinCE.h
          WinCE lacks raise, so set ACE_LACKS_RAISE

        * ace/Process.h:
          Doxygen changes

        * ace/Process.{cpp,inl}:
          Moved some accessors to the inline file

        * ace/Cleanup.cpp:
          Layout change

Wed Oct 15 19:40:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_signal.h:
          Define SIGTERM to 0 when it is not defined

Wed Oct 15 19:31:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_signal.h:
          Define SIGABRT to 0 when it is not defined

Wed Oct 15 15:15:42 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * bin/tao_other_tests.lst:

          Since the test for bug 3444 uses TAO_PortableGroup it must
          avoid MINIMUM and CORBA_E_COMACT configurations.

Wed Oct 15 12:27:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_main.{h,cpp}:
          Added ACE_DOESNT_DEFINE_MAIN which disabled the redefinition
          of main when it is set. This is usefull for projects who have
          methods with the name main which they can't change. Be aware
          that users then have to call ACE::init()/fini() themselves.
          This fixes bugzilla 3361/RT2331.

Tue Oct 14 16:22:32 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * tests/Cached_Accept_Conn_Test.cpp:
        * tests/Cached_Accept_Conn_Test.h:

          Fixed a warning.

        * bin/PerlACE/Process_Win32.pm:

          Changed value of iflags in Win32::Process::Create (this flag
          directs a spawned process to inherit handles from calling
          process). It doesn't hurt if a new process is neither in
          CREATE_NEW_CONSOLE nor in DETACHED_PROCESS state but it does
          help if it's needed to hanle input from stdin supplied in
          calling process.

        * tests/SSL/Bug_2912_Regression_Test.cpp:

          Fixed a warning on Solaris compilers.

        * bin/tao_orb_tests.lst:

          Adjusted configurations in which test Bug_1459 must run.

        * examples/C++NPv2/AIO_Client_Logging_Daemon.h:
        * examples/APG/ThreadManagement/Async_Cancel.cpp:

          Fixed a warning on HP-UX compilers.

Wed Oct 15 09:45:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_mpc_auto_compile.pl:
          Add the -vc9 option to the usage message

Tue Oct 14 22:27:30 UTC 2008  Tim Pollock  <pollockt@ociweb.com>

        * ace/Ping_Socket.cpp:

          Removed tabs accidentally added in previous modification.

Tue Oct 14 19:38:45 UTC 2008  Tim Pollock  <pollockt@ociweb.com>

        * ace/Ping_Socket.cpp:

          Fixed WinCE 5 build error associated with call to getpid.

Tue Oct 14 13:09:35 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-sunos5.10.h:

          Undefine ACE_LACKS_WCSTOLL.

        * ace/config-sunos5.5.h:

          Define ACE_LACKS_WCSTOLL.

Tue Oct 14 12:56:42 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-win32-msvc.h:

          Define ACE_STRTOLL_EQUIVALENT and ACE_WCSTOLL_EQUIVALENT.

Tue Oct 14 12:49:11 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-vxworks5.x.h:
        * ace/config-vxworks6.2.h:
        * ace/config-vxworks6.3.h:
        * ace/config-vxworks6.4.h:
        * ace/config-win32-borland.h:

          Define ACE_LACKS_STRTOLL and ACE_LACKS_WCSTOLL.

Tue Oct 14 12:49:13 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * bin/tao_other_tests.lst:

          Disabled IPv6 tests for bug#3444 on non-IPv6 builds. And
          disabled the same test on static builds since it loads
          TAO_Strategies and TAO_PortableGroup dynamically.

Tue Oct 14 12:44:28 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-hpux-11.00.h:

          Define ACE_LACKS_STRTOLL and ACE_LACKS_WCSTOLL.

Tue Oct 14 09:30:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/OS_NS_stdlib.cpp:
        * ace/OS_NS_stdlib.h:

          Un-tabify commit of J.T. Conklin.

Mon Oct 13 17:21:28 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/fuzz.pl:

          Add strtoll and strtoull to $OS_NS_stdlib_symbols regex in
          check_for_lack_ACE_OS fuzz check.  Thanks to Abdullah Sowayan
          <abdullah dot sowayan at lmco dot com> for pointing this out.

        * ace/OS_NS_stdlib.cpp:
        * ace/OS_NS_stdlib.h:
        * ace/OS_NS_stdlib.inl:

          Add strtoll() wrapper.  Fixes bugzilla issue #3456.

          Add wcstol(), wcstoul(), wcstoll(), and wcstoull() emulations
          for systems with wide characters, but without these functions.
          Fixes bugzilla issue #3457.

Mon Oct 13 14:23:06 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * ace/config-linux-common.h:
        * bin/tao_other_tests.lst:

          Added 3 defines to reflect a difference of Linux in setting
          IP_MULTICAST_TTL and IP(V6)_MULTICAST_LOOP. This is required by
          Bug#3444. Added a test for Bug#3444.

Mon Oct 13 13:21:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpmbuild/ace-tao-ciao.txt:
        * rpmbuild/ace-tao.spec:
          Incremented already version number, release script doesn't do this
          yet

        * rpmbuild/ace-tao-ciao.txt:
          icmp is now enabled by default on linux

Mon Oct 13 11:10:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * include/makeinclude/platform_lynxos.GNU:
          Problems with Lynxos5.0 due to -mshared being passed to compiler
          (inaddition to linker)

Mon Oct 13 07:21:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Local_Name_Space_T.cpp:
        * ace/MEM_Connector.cpp:
        * ace/Multihomed_INET_Addr.cpp:
        * ace/Sock_Connect.cpp:
          ACE_TCHAR fixes

Fri Oct 10 08:57:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/Stack_Trace.cpp:
          Disable MSVC warning 4748 "/GS can not protect parameters
          and local variables from local buffer overrun because
          optimizations are disabled in function"

Thu Oct  9 21:52:18 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/config-win32-common.h: Add ACE_HAS_ICMP_SUPPORT if Winsock 2
          is available.

        * tests/Network_Adapters_Test.{h cpp}: Removed extraneous ACE::init.
          Compare IP addresses using ACE_INET_Addr::is_ip_equal() instead of
          comparing get_ip_address() returns - this allows it to work with
          either IPv4 or IPv6.

Thu Oct  9 17:54:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        Added more WinCE6 support by integrating some changes from OCI.
        Mon Aug 11 15:40:37 UTC 2008  Phil Mesnier  <mesnier_p@ociweb.com>
        * ace/config-win32-msvc-8.h:
        * ace/config-WinCE.h:
          WinCE 6.0 supports TSS and still does not support sig_atomic_t.

Wed Oct  8 21:06:42 UTC 2008  Steve Huston  <shuston@riverace.com>

        * tests/Network_Adapters_Test.cpp: Extend the errno checks to correctly
          sense insufficient privs on AIX (EACCESS).

Wed Oct  8 20:57:24 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/Ping_Socket.cpp (send_echo_check): Fixed problem introduced in
          Tue Oct  7 23:04:50 UTC 2008  Steve Huston  <shuston@riverace.com>
          while setting the ICMP id.

        * tests/Network_Adapters_Test.cpp: If the test can't run due to
          insufficient privs, do ACE_END_TEST and return; don't exit. Want
          to avoid triggering a test fail in the scoreboard when the test
          can't be run.

Wed Oct  8 18:29:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/gperf/src/Options.cpp
        * apps/gperf/src/Options.h
          Fixed ACE_TCHAR problems

        * apps/gperf/src/gperf.mpc
        * apps/gperf/tests/gperf_test.mpb
          Build and test gperf when uses_wchar is set

Wed Oct  8 18:11:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Dirent_Test.cpp:
          Use the new ACE_HAS_TCHAR_DIRENT. Fixes bugzilla 3130

Wed Oct  8 18:08:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_dirent.h:
          Set ACE_HAS_TCHAR_DIRENT when the dirent struct has a tchar
          filename. This is currently with CodeGear C++ with
          uses wchar enabled or with dirent emulation. This fixes bugzilla
          3438

Wed Oct  8 09:44:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-borland-common.h:
          Moved the contents to config-win32-borland.h and removed
          this file

        * ace/config-win32-borland.h:
          Added contents of config-borland-common.h

Tue Oct  7 23:04:50 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/config-aix-5.x.h: Added ACE_HAS_ICMP_SUPPORT

        * ace/Ping_Socket.cpp: When setting or checking the ICMP id field,
          it's 16 bits, so restrict values to that range. AIX pids are 32 bits,
          and the ID checks failed; this fixes it.

Tue Oct  7 23:01:44 UTC 2008  Steve Huston  <shuston@riverace.com>

        * tests/Network_Adapters_Test.cpp: If the ping/raw socket open fails
          because of a lack of privilege, issue a warning that the test can't
          run, not an error.

Mon Oct  6 22:27:54 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/WFMO_Reactor.inl (suspend_handlers): Never suspend the notify
          or the wakeup_all_threads handles - these are specially set up by
          ACE_WFMO_Reactor::open(), not by users, and are critical to the
          proper functioning of the event loop.
          Fixes Bugzilla #3267.

        * tests/Reactor_Dispatch_Order_Test.cpp: Added some additional
          sanity checks and fixed some logging.

Fri Oct  3 19:05:39 UTC 2008  Yan Dai  <dai_y@ociweb.com>

        * ace/Reactor_Token_T.cpp:

          Made reactor notify with zero timeout and ignore timeout case in
          sleep_hook(). This would fix bugzilla 2465 reactor deadlock
          problem.

Thu Oct  2 16:41:57 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/Basic_Types.h: Adjust the byte order decision for Itanium
          hardware. Itanium can run either byte order - the OS selects it
          at boot. The checks were correct for Windows (and maybe Linux)
          but not for HP-UX. Apparantly something in the predefined macros
          at aC++ 06.20 changed enough to fool this check.

Mon Sep 29 18:04:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/CDR_File_Test.cpp:
        * tests/Log_Msg_Test.cpp:
          VxWorks 6.6 can't unlink in advance on NFS

Mon Sep 29 13:36:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/acedefaults.mpb:
        * tests/unload_libace.mpb:
          Use unicode lib modifier

Sun Sep 28 18:16:53 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3432_Regression_Test.cpp:
        * tests/OS_Test.cpp:
        * tests/run_test.lst:
        * tests/tests.mpc:
          Moved strptime test to its own file because ACE_OS::strptime() seems to
          behave differently on HPUX and no time to sort that out at this moment

        * tests/Pipe_Test.cpp:
          Renamed a few methods so that we don't have to disable the ACE_OS check

Sun Sep 28 10:28:53 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_rel_manpages:
          We are using doxygen 1.5.6 from now

Thu Sep 25 18:27:53 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:

          Remove ACE_LACKS_STRPTIME and ACE_LACKS_SI_ADDR autoheader
          templates.  We already use the AC_DEFINE macros third argument
          for the descriptive text in the cooresponding feature tests.

Thu Sep 25 17:37:19 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:

          Add comment explaining why I'm bothering replacing autoheader
          templates in this file.

        * m4/acinclude.m4:
        * m4/config_h.m4:

          Move ACE_HAS_LLSEEK, ACE_HAS_LSEEK64,
          ACE_LACKS_LLSEEK_PROTOTYPE, and ACE_LACKS_LSEEK64_PROTOTYPE
          autoheader templates to ACE_CHECK_LSEEK64 feature test macro.

        * configure.ac:
        * m4/config_h.m4:

          Replace use of autoheader templates with AC_DEFINE macro's third
          argument for ACE_LACKS_CONDATTR_PSHARED,
          ACE_LACKS_MUTEXATTR_PSHARED, and ACE_LACKS_RWLOCKATTR_PSHARED
          feature tests.

Thu Sep 25 16:45:16 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Remove feature test and autoheader template for
          ACE_LACKS_PLACEMENT_OPERATOR_NEW, as it is no longer used.

Thu Sep 25 16:23:26 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Replace ~50 lines of open code with simple call to AC_CHECK_TYPE
          with ACE_DEFINE with a third argument for the ACE_LACKS_SEMBUF_T
          feature test.

          Move feature test for ACE_HAS_BYTESEX_H so it's adjacent to the
          test for ACE_HAS_BYTESWAP_H.

Thu Sep 25 13:58:48 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/acinclude.m4:

          Remove ACE_CHECK_STRUCT and ACE_TRY_COMPILE_STRUCT autoconf
          macros.  All use has been replaced by the standard autoconf
          AC_CHECK_TYPE macro.

        * configure.ac:
        * m4/config_h.m4:

          Replace use of ACE_CHECK_STRUCT with AC_CHECK_TYPE, and the use
          of AH_TEMPLATE with AC_DEFINE with a third argument for the
          ACE_HAS_PRUSAGE_T, ACE_LACKS_STRRECVFD, ACE_LACKS_SIGACTION,
          ACE_LACKS_SIGSET, and ACE_LACKS_UTSNAME_T feature tests.

          Replace use of ACE_TRY_COMPILE_STRUCT with AC_CHECK_TYPE in
          internal feature tests (no feature test macros are defined)
          for pthread_rwlock_t and pthread_rwlockattr_t.

          Remove duplicate ACE_LACKS_SI_ADDR feature test.

          Replace use of "test xxx == yyy" with "test xxx = yyy", the
          former is a GNU extension.

Thu Sep 25 11:49:45 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/acinclude.m4:

          Remove ACE_CHECK_TYPE autoconf macro.  All use of it has been
          replaced by the standard autoconf AC_CHECK_TYPE macro.

        * configure.ac:
        * m4/config_h.m4:

          Replace use of ACE_CHECK_TYPE with AC_CHECK_TYPE and the use
          of AH_TEMPLATE with AC_DEFINE with a third argument for the
          ACE_HAS_HI_RES_TIMER feature test.

Thu Sep 25 00:28:52 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Replace use of ACE_CHECK_STRUCT with AC_CHECK_TYPE, and the use
          of AH_TEMPLATE with AC_DEFINE with a third argument for the
          ACE_LACKS_STRUCT_DIR, ACE_LACKS_FILELOCKS, ACE_LACKS_RWLOCK_T,
          and ACE_HAS_STRBUF_T feature tests.

Wed Sep 24 17:43:22 UTC 2008  Rich Seibel <seibel_r@ociweb.com>

        * bin/tao_other_tests.lst:

          Added test for Bug 3387.

Wed Sep 24 14:16:50 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * ACE-INSTALL.html:

          Updated info on Visual Studio 2008 / VC9 and 64-bit Windows.

Tue Sep 23 21:55:28 UTC 2008  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_other_tests.lst:

          Bug 3431 was fixed, so I'm making this test part of the nightly
          build.

Tue Sep 23 19:32:38  2008  Steve Huston  <shuston@riverace.com>

        Brought in from ACE 5.6a:
        Tue Aug 26 17:11:10 UTC 2008  Steve Huston  <shuston@riverace.com>

        * tests/Service_Config_Test.cpp: Add a test for looking up services
          from a thread started outside ACE's control. This has code for
          Pthreads and Windows; other platforms will require additions if
          desired.

Tue Sep 23 16:49:12 UTC 2008  Steve Huston  <shuston@riverace.com>

        * tests/Bug_2980_Regression_Test.cpp: Adjust to shared lib suffix
          that differs from ".so". Fixes HP-UX 11iv2 on PA-RISC. Generalizes
          (and reverts) the platform tests made in
          Mon Sep 22 13:17:19 UTC 2008  Simon McQueen  <sm@prismtech.com>

Tue Sep 23 15:41:43  2008  Steve Huston  <shuston@riverace.com>

        * tests/run_test.pl: Don't delete Service_Config_Test.conf from the
          target; on local builds, it deletes it from the working dir and
          svn needs to restore it. Fixes Bugzilla #3409. Thanks to Johnny
          Willemsen for noticing this.

        * ace/os_include/sys/os_types.h:
        * ace/OS_NS_sys_stat.inl (umask): Changed mode_t from an int back to
          u_short. int conflicts with other packages' defs of mode_t (in
          particular, Perl). Of all the places mode_t is used, the only place
          int made a real difference was in calling _umask_s() on Windows
          VC8+. This change reverts the affected piece of
          Fri Mar  9 00:53:43 UTC 2007  Steve Huston  <shuston@riverace.com>

Tue Sep 23 15:32:57 UTC 2008  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_other_tests.lst:

          Added new test for bug #3431. This test will definitely fail
          until the underlying problem in the IFR is addressed. There is
          no immediate plan to fix bug 3431.

Tue Sep 23 11:25:58 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * ace/Assert.h:

          Add new macro: ACE_TEST_ASSERT. Behaves just like ACE_ASSERT but it
          doesn't boil away to nothing on non debug platforms.

Mon Sep 22 23:18:36 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.inl:
        * ace/OS_NS_time.inl:
          Fixed WinCE link error

        * ace/OS_NS_unistd.cpp:
          Initialise variable with 0

        * ace/config-vxworks6.4.h:
          Extended the check for lacking log2

Mon Sep 22 14:54:36 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ETCL/ETCL_Constraint.cpp:

          Fix fuzz errors.

Mon Sep 22 13:17:19 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * tests/Bug_2980_Regression_Test.cpp:

          Make this test portable for MacOS and HP-UX.

Mon Sep 22 11:25:53 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Use variable CURDIR instead of PWD where possible to identify the
          current working directory. Fixes bug #3393.

Sat Sep 20 13:13:29 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:

          Remove ACE_HAS_SYSV_SYSINFO autoheader template.  This is now
          handled within the ACE_CHECK_FUNC_SYSINFO macro.

        * configure.ac:

          Remove checks for ACE_HAS_SYS_SYSINFO_H, ACE_HAS_SYSTEMINFO_H,
          and ACE_HAS_SYSV_SYSINFO, and replace them with a single call
          to the new ACE_CHECK_FUNC_SYSINFO macro, which handles all the
          details.  Fixes bugzilla issue #3325.

        * m4/ace_func.m4:

          New autoconf macro ACE_CHECK_FUNC_SYSINFO, which sets the
          ACE_HAS_SYS_SYSINFO_H, ACE_HAS_SYS_SYSTEMINFO_H,
          ACE_HAS_SYSV_SYSINFO, and/or ACE_HAS_LINUX_SYSINFO feature
          test macros as appropriate for the system.

Sat Sep 20 12:23:10 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_unistd.inl:
        * ace/README:
        * ace/config-irix6.x-common.h:
        * ace/config-sunos5.4-g++.h:
        * ace/config-sunos5.4-sunc++-4.x.h:
        * ace/config-sunos5.5.h:
        * ace/config-tandem.h:
        * ace/config-unixware-7.1.0.h:
        * ace/config-unixware-7.1.0.udk.h:
        * configure.ac:
        * m4/config_h.m4:

          Rename ACE_HAS_SYSINFO feature test macro to ACE_HAS_SYSV_SYSINFO,
          to further distinguish it from ACE_HAS_LINUX_SYSINFO.

Fri Sep 19 19:26:18 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * bin/PerlACE/Process_Win32.pm:

          If the executable contains whitespace, quote it when composing the
          command line.

Fri Sep 19 17:51:12 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ETCL/ETCL_Constraint.cpp:

          Avoid core dump by returning 0 when evaluating division by zero.
          Partial fix for bugzilla issue #3429.

Fri Sep 19 13:57:59 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Test_Outpot.cpp:
          Use ostream->good() to check if the stream is ok or not. bad() only
          checks for a corrupt stream, not if it could be created. This way the
          test doesn't run when we can't create the logfile on disk

        * tests/Cached_Accept_Conn_Test.cpp
          Removed check for deprecated compiler

Fri Sep 19 09:41:59 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Network_Adapters_Test.cpp:
          Unicode fix

Fri Sep 19 09:32:59 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/unload_libace.mpb:
          This project doesn't use acedefaults which then results in some
          borland required flags not being set

Thu Sep 18 21:15:57 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/ace_defines.m4:
        * m4/ace_functions.m4:
        * m4/ace_headers.m4:

          Update m4 quoting so that macros work with both old and current
          versions of autoconf.  Tested with both autoconf 2.58 (which is
          the earliest version we support) and the recently released 2.63.
          Fixes bugzilla issue #3396.

Thu Sep 18 18:54:59 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/INET_Addr.{h,cpp}:
          Use bool and several doxygen changes

Thu Sep 18 10:30:00 UTC 2008  Simon Massey  <sma@prismtech.com>

        * bin/diff-builds-and-group-fixed-tests-only.sh:

          Provide no test revision grouping results as well.

Thu Sep 18 06:33:59 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Time.{h,cpp,inl} (strptime):
          Always clear struct tm to zero

        * tests/OS_Test.cpp:
          Updated for change above

        * tests/Cached_Conn_Test.cpp:
          Removed check for deprecated compiler

Wed Sep 17 18:47:59 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Cached_Connect_Strategy_T.{h,cpp}:
          reuse_addr is a bool

Wed Sep 17 18:11:59 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/checked_iterator.h:
          Reverted change below for the moment, causes a lot of warnings in some
          builds.

        Tue Sep 16 12:48:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>
        * ace/checked_iterator.h:
          Check for dinkum stl.  Thanks to Mark Hebbel
          <Mark dot Hebbel at baslerweb dot com> for reporting this. This
          fixes bugzilla 3420

Wed Sep 17 14:13:59 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_time.cpp (strptime_emulation):
          Don't set struct tm to zero

        * ace/OS_Test.cpp:
          Set struct tm to zero before calling strptime

Wed Sep 17 13:23:56 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ETCL/ETCL_Constraint.cpp:

          Explicitly initialize base class in ETCL_Literal_Constraint copy
          constructor.

Wed Sep 17 12:24:59 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Network_Adapters_Test.cpp:
          Unicode fix

Wed Sep 17 12:19:59 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Thread_Manager.cpp:
          Found that the revert for bugzilla 3391 was not perfect. Thanks to
          Yauheni Akhotnikau <eao197 at intervale dot ru> for reporting
          this.

Wed Sep 17 09:15:59 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/tests.mpc:
        * tests/run_test.lst:
          Network_Adapters_Test shouldn't build/run with ace_for_tao

Wed Sep 17 08:45:59 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
          Improved error handling when we can't connect with telnet

Wed Sep 17 06:48:59 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
        * ace/config-vxworks6.2.h:
        * ace/config-vxworks6.3.h:
        * ace/config-vxworks6.4.h:
          VxWorks doens't have tzset

        * ace/OS_NS_time.inl:
          Simplified tzset

Tue Sep 16 21:58:59 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ETCL/ETCL_Constraint.cpp:

          Changed ETCL_Literal_Constraint::copy(), so that the string
          associated with a constraint object of type ACE_ETCL_STRING is
          freed before the constraint is overwritten by the new value.
          This avoids a memory leak.

        * ace/ETCL/ETCL_Constraint.cpp:
        * ace/ETCL/ETCL_Constraint.inl:

          Implement ETCL_Literal_Constraint::operator!=, operator<=, and
          operator>= in terms of operator==, operator>, and operator< and
          make them inline. Removes a lot of boilerplate code and reduces
          static footprint.

Tue Sep 16 21:12:21 UTC 2008  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/MakeProjectCreator/config/crosscompile.mpb:

          Add a new flag to support crosscompiliation on Win32 platforms.
          This is initially needed to improve support for WinCE targets
          built using Visual Studio. See companion changes in the MPC
          tree for more details.

Tue Sep 16 17:54:56 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * include/makeinclude/platform_sunos5_sunc++.GNU:

          Reverted the exceptions=0 part of the previous commit.  exceptions=0
          is still supported for ACE, but not for TAO.

Tue Sep 16 14:53:16 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * include/makeinclude/platform_sunos5_sunc++.GNU:

          When using the Sun std library (not stlport), explicitly link -lCrun
          and -lCstd.  The linker will not include these when building shared
          libraries.  Also removed code that was only used for exceptions=0.

Tue Sep 16 13:10:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Bounded_Packet_Relay/bpr_thread.cpp:
          Removed msvc6 workaround and initialise some pointers with 0

        * examples/Reactor/Multicast/server.cpp:
          Corrected error message

        * examples/Web_Crawler/Web_Crawler.mpc:
          Removed borland

Tue Sep 16 12:59:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdio.inl:
          Reverted some wince changes which shouldn't have been committed

Tue Sep 16 12:47:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.inl:
          Reverted some wince changes which shouldn't have been committed

Tue Sep 16 12:48:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/checked_iterator.h:
          Check for dinkum stl.  Thanks to Mark Hebbel
          <Mark dot Hebbel at baslerweb dot com> for reporting this. This
          fixes bugzilla 3420

Tue Sep 16 12:19:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/Gateway/Gateway/Event_Channel.h
        * apps/gperf/src/Options.cpp
        * apps/gperf/src/Options.h
        * apps/JAWS2/JAWS/Server.cpp
        * apps/JAWS2/JAWS/Server.h
        * apps/JAWS3/bench/mkfiles.cpp
        * apps/JAWS3/bench/rqfiles.cpp
        * apps/JAWS3/http/HTTP_Service_Handler.cpp
        * apps/JAWS3/small/SS_Service_Handler.cpp
        * apps/JAWS/stress_testing/benchd.cpp
        * netsvcs/clients/Tokens/collection/collection.cpp
        * netsvcs/clients/Tokens/collection/rw_locks.cpp
        * netsvcs/clients/Tokens/deadlock/deadlock_detection_test.cpp
        * netsvcs/clients/Tokens/manual/manual.cpp
        * netsvcs/clients/Tokens/mutex/test_mutex.cpp
        * netsvcs/clients/Tokens/rw_lock/rw_locks.cpp
        * performance-tests/Misc/test_guard.cpp
        * performance-tests/RPC/client.cpp
          ACE_TCHAR changes

Tue Sep 16 10:52:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/*.bor:
        * bin/MakeProjectCreator/templates/bor.mpd
        * bin/MakeProjectCreator/templates/bordll.mpt
        * bin/MakeProjectCreator/templates/borexe.mpt
        * bin/MakeProjectCreator/config/borland.features
        * bin/MakeProjectCreator/modules/BorlandProjectCreator.pm
        * bin/MakeProjectCreator/modules/BorlandWorkspaceCreator.pm
          Removed, use the bmake mpc template from now

        * bin/MakeProjectCreator/config/ipv6.mpb:
        * bin/MakeProjectCreator/config/vcl.mpb:
        * bin/MakeProjectCreator/README:
          Removed borland usage

Tue Sep 16 09:09:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Acceptor.{h,cpp}:
        * ace/ACE.{h,cpp}:
        * ace/ATM_Acceptor.{h,inl}:
        * ace/Connector.cpp:
        * ace/DEV_Connector.{h,inl}:
        * ace/FILE_Connector.{h,inl}:
        * ace/FlReactor/FlReactor.{h,cpp}:
        * ace/FoxReactor/FoxReactor.{h,cpp}:
        * ace/LOCK_SOCK_Acceptor.{h,cpp}:
        * ace/LSOCK_Acceptor.{h,cpp}:
        * ace/MEM_Acceptor.{h,cpp}:
        * ace/Priority_Reactor.{h,cpp}:
        * ace/QtReactor/QtReactor.{h,cpp}:
        * ace/Reactor.{h,inl}:
        * ace/Reactor_Impl.h:
        * ace/Select_Reactor_Base.h:
        * ace/Select_Reactor_T.{h,cpp,inl}:
        * ace/Service_Manager.cpp:
        * ace/SOCK_Acceptor.cpp
        * ace/SOCK_Acceptor.h
        * ace/SOCK_Connector.h
        * ace/SOCK_Connector.inl
        * ace/SOCK_SEQPACK_Acceptor.cpp
        * ace/SOCK_SEQPACK_Acceptor.h
        * ace/SOCK_SEQPACK_Connector.h
        * ace/SOCK_SEQPACK_Connector.inl
        * ace/SPIPE_Acceptor.cpp
        * ace/SPIPE_Acceptor.h
        * ace/SPIPE_Connector.h
        * ace/SPIPE_Connector.inl
        * ace/SSL/SSL_SOCK_Acceptor.cpp
        * ace/SSL/SSL_SOCK_Acceptor.h
        * ace/SSL/SSL_SOCK_Connector.h
        * ace/Strategies_T.cpp
        * ace/Strategies_T.h
        * ace/TkReactor/TkReactor.cpp
        * ace/TkReactor/TkReactor.h
        * ace/TLI_Acceptor.cpp
        * ace/TLI_Acceptor.h
        * ace/TLI_Connector.h
        * ace/TLI_Connector.inl
        * ace/TP_Reactor.cpp
        * ace/TP_Reactor.h
        * ace/UPIPE_Acceptor.cpp
        * ace/UPIPE_Acceptor.h
        * ace/UPIPE_Connector.h
        * ace/UPIPE_Connector.inl
        * ace/WFMO_Reactor.cpp
        * ace/WFMO_Reactor.h
        * ace/WFMO_Reactor.inl
        * ace/XtReactor/XtReactor.cpp
        * ace/XtReactor/XtReactor.h
          Changed restart and reset_new_handles from int to bool

        * ace/ace_for_tao.mpc:
        * ace/QoS/qos.mpc:
          Zap borland as project type

        * ace/ace_qt3reactor.mpc:
          Removed empty line

        * ace/Bound_Ptr.{h,inl}:
          Let the null methods return bool

        * ace/config-borland-common.h:
          Borland has strptime

        * ace/config-linux-common.h:
          Enable icmp support by default on linux

        * ace/config-mvs.h:
        * ace/config-qnx-rtp-62x.h:
        * ace/config-qnx-rtp-pre62x.h:
        * ace/config-tandem-nsk-mips-v2.h:
        * ace/config-tandem-nsk-mips-v3.h:
          Removed fd_mask as define and added ACE_LACKS_FD_MASK

        * ace/config-rtems.h:
          Added ACE_LACKS_TZSTE

        * ace/config-WinCE.h:
          Updated some defines

        * ace/Dev_Poll_Reactor.{h,cpp}:
          Use more bool

        * ace/File_Lock.h:
        * ace/Message_Block.h:
          Doxygen changes

        * ace/Guard_T.{h,inl}:
        * ace/Service_Object.h:
          Bool changes and doxygen changes

        * ace/Handle_Set.h:
          Removed QNX workaround

        * ace/Log_Msg.{h,cpp,inl}:
          Bool changes, doxygen changes

        * ace/Message_Queue.h:
          Removed not needed includes

        * ace/Message_Queue_NT.h:
          Doxygen changes

        * ace/Notification_Queue.cpp:
          Layout changes

        * ace/os_include/sys/os_select.h:
          Added ACE_LACKS_FD_MASK

        * ace/OS_Log_Msg_Attributes.h:
          Use bool

        * ace/OS_NS_dirent.cpp:
          Const changes

        * ace/OS_NS_netdb.cpp:
          Initialise pointers with 0

        * ace/OS_NS_stdio.inl:
          WinCE changes

        * ace/OS_NS_stropts.h:
          Doxygen changes

        * ace/OS_NS_time.inl:
          Use more defines

        * ace/OS_NS_unistd.{h,inl}:
          Always have chdir available as method

Tue Sep 16 08:47:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OS_Test.cpp:
          Added test for strptime

        * tests/Service_Config_Test.cpp:
          Don't use ACE_ASSERT and always update the error_count. Fixes the failing
          of this test in release builds

        * tests/Test_Output.cpp:
          Initialise pointer with 0

Tue Sep 16 08:45:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added bug 2543

        * bin/make_release.py:
          Generate bmake files

        * bin/fuzz.pl:
          bor files shouldn't be in the repo anymore

Tue Sep 16 08:42:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Updated Borland/CodeGear support

        * Release:
          Package debianbuild, no generatin of ACE-INSTALL, use bmak files

Tue Sep 16 08:38:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * debianbuild:
          New directory to store packaging files for debian

        * docs/Download.html:
          Updated for CodeGear

        * include/makeinclude/wrapper_macros.GNU:
          No need to add $ACE_ROOT/ace to libpath

Tue Sep 16 08:32:00 UTC 2008  Simon Massey  <sma@prismtech.com>

        * ace/config-lynxos.h:
        * ace/os_include/os_signal.h:
        * include/makeinclude/platform_lynxos.GNU:

          Updated for LynxOS 5.0.

Tue Sep 16 08:27:00 UTC 2008  Simon Massey  <sma@prismtech.com>

        * ace/Object_Manager.cpp:

          The following fixes stop our automated scoreboard from locking up during
          automated window VC8 builds and test runs. The enhance the original
          ACE_DISABLE_WIN32_ERROR_WINDOWS builds but only on VC8 and above INTEL
          machines.

          Starting with VC8 (VS2005), it is necessary to add the call to
          _set_abort_behavior( 0,  _CALL_REPORTFAULT); to ensure that calls to
          abort() do not bypass any declared unhandled exception handler and directly
          call the default debugger or "report this problem to microsoft" dialogue.
          This does NOT stop the standard message from being logged to the error stream.

          Also starting with VC8 (VS2005), Microsoft changed the behaviour of the CRT
          in some security related and special situations. The are many situations in
          which our ACE_UnhandledExceptionFilter will never be called. This is a major
          change to the previous versions of the CRT and is not very well documented.
          See:
          http://connect.microsoft.com/VisualStudio/feedback/ViewFeedback.aspx?FeedbackID=101337

          Basically the CRT simply uninstalls the registered unhandled exception filter
          and then forces a call to the default-debugger. Jochen's solution is to stop
          the CRT from calling SetUnhandledExceptionFilter() after we have setup our own
          handler. NOTE this fix only works for intel based windows builds.

          This fix was derived from that proposed by Jochen Kalmbach here:
          http://blog.kalmbachnet.de/?postid=75

Tue Sep 16 08:12:00 UTC 2008  Simon Massey  <sma@prismtech.com>

        * bin/diff-builds-and-group-fixed-tests-only.sh:

          Change default date to last release date.

Mon Sep 15 16:34:00 UTC 2008  Simon Massey <sma at prismtech dot com>

        * NEWS:
        * docs/Download.html:
        * etc/index.html:

          Updated for x.6.6

Mon Sep 15 11:08:04 UTC 2008  Simon Massey  <sma@prismtech.com>

        * ACE version 5.6.6 released.

Fri Sep 12 21:13:04 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * bin/MakeProjectCreator/config/MPC.cfg:

          Changed how DDS_ROOT is referenced (for OpenDDS support).

Fri Sep 12 12:56:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        Reverted change below, brakes VMS support

        Tue Sep  9 18:46:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>
        * bin/mwc.pl:
        * bin/mpc.pl:
          Use FindBin::RealScript to get the real script name, that also
          works when we have a symbolic link with a different name to
          one of these scripts. This fixes bugzilla 3407

Thu Sep 11 14:55:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/diff-builds.pl
        * bin/diff-builds-and-group-fixed-tests-only.sh

          Make revision number appending to new test failures optional.

Tue Sep  9 18:46:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/mwc.pl:
        * bin/mpc.pl:
          Use FindBin::RealScript to get the real script name, that also
          works when we have a symbolic link with a different name to
          one of these scripts. This fixes bugzilla 3407

Tue Sep  9 14:05:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/diff-builds-and-group-fixed-tests-only.sh
          Change the sort to cater from revision numbers.

Tue Sep  9 13:39:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/diff-builds.pl
          typo vi / non-vi edit

Tue Sep  9 13:35:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/diff-builds.pl
          Adjust for revision numbers.

Tue Sep  9 11:36:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_time.cpp (strptime_emulation):
          Clear the struct tm before filling it. Without we get a random
          value back if the user doesn't use a full date.

Tue Sep  9 11:31:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/modules/VXTestProjectCreator.pm:
        * bin/MakeProjectCreator/templates/vxtest.mpd:
          Also generate a vxtest file for libraries

Thu Sep  4 14:39:33 UTC 2008  Ciju John  <johnc at ociweb dot com>

        * bin/diff-builds-and-group-fixed-tests-only.sh:
          '-P' isn't a valid option on Ubantu linux (Bug 15051). Replacing
          with Perl alternate.

Wed Sep  3 10:23:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Don't run OBV Typed events with micro and compact configurations

Wed Sep  3 07:31:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
          Added support for ACE_RUN_VX_TGTSRV_WORKINGDIR. Before starting
          the executable we will do a chdir to this directory when it
          is specified

Wed Sep  3 07:10:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bound_Ptr_Test.cpp:
          Don't use ACE_ASSERT, it is disabled in release mode and this test
          had some real functionality placed within an ACE_ASSERT. This fixes
          bugzilla 3415

Tue Sep  2 14:11:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/acedefaults.mpb:
          Don't use ACE_LIB_TEXT but ACE_TEXT, the former has been deprecated
          a long time ago

Thu Aug 28 21:18:11 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * bin/tao_orb_tests.lst:
        * bin/tao_other_tests.lst:

          Removed "Exceptions" and "NO_EXCEPTIONS" as -Config options.

Thu Aug 28 18:33:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
          Improved prompt matching

Thu Aug 28 13:04:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/auto_run_tests.pl:
          The error when we can't chdir to a directory was confusing

        * bin/PerlACE/ProcessVX.pm:
        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
          Reduced duplicate code and added support for ACE_RUN_VX_STARTUP_SCRIPT
          and ACE_RUN_VX_STARTUP_SCRIPT_ROOT with which we can specify a
          startup script that is executed before the real application is started

        * bin/PerlACE/TestTarget_VxWorks.pm:
          A VxWorks target has to be rebooted between tests

Mon Aug 25 11:15:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Added missing run_test.pl to the OBV/Typed_Events test

Thu Aug 21 09:38:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/Download.html:
          Added OpenSuSE build services as new rpm download location.
          Removed ACE-install.sh reference, it is not part of the
          archive anymore

Thu Aug 21 06:54:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Also check /usr/lib64 for the libs

        * bin/depgen.pl:
        * bin/mpc.pl:
        * bin/mwc.pl:
        * bin/PerlACE/ConfigList.pm:
        * bin/PerlACE/MSProject.pm:
        * bin/PerlACE/Process.pm:
        * bin/PerlACE/Process_Unix.pm:
        * bin/PerlACE/Process_VMS.pm:
        * bin/PerlACE/Process_Win32.pm:
        * bin/PerlACE/ProcessLVRT.pm:
        * bin/PerlACE/ProcessVX.pm:
        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
        * bin/PerlACE/Run_Test.pm:
        * bin/PerlACE/TestTarget.pm:
        * bin/PerlACE/TestTarget_LVRT.pm:
        * bin/PerlACE/TestTarget_VxWorks.pm:
        * bin/Uniqueid.pm:
          Added missing shebang lines to fix rpm packaging warnings

Wed Aug 20 09:38:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/modules/BorlandProjectCreator.pm:
        * bin/MMakeProjectCreator/modules/BorlandWorkspaceCreator.pm:
          Fixed bugzilla 3403. Migrated parts of the bmake type to this
          generator, fixes issues when we need to go a directory up
          in the workspace. As side effect the resulting Makefile.bor
          is smaller in size which reduces the full size of the
          distribution. In the near future I want to remove the borland
          MPC generator and only use bmake.

Wed Aug 20 09:08:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
          Fixed a bug with putenv with rtp mode

Tue Aug 19 19:06:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
          Don't use cmd to send commands through telnet. The disadvantage
          of the cmd method is that it only returns when the prompt
          appears again. When this doesn't happen we don't get the output
          of the last command into our build log or on the telnet client

Tue Aug 19 14:01:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h:
        * ace/OS_NS_stdlib.inl:
        * ace/config-win32-msvc.h:
          CodeGear C++ Builder 2009 has wcstoull and strtoull

Mon Aug 18 11:30:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h:
          CodeGear C++ Builder 2009 doesn't support inline assembly

Mon Aug 18 10:17:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Improved BCB instructions

Sun Aug 17 18:04:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
        * include/makeinclude/compiler.bor:
          Added BCBVER 10/11/12

Sun Aug 17 07:30:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/mwc.pl:
        * bin/mpc.pl:
          Use RealBin to get the location of this script, that gives the
          real location also in case we use a symbolic link to these
          scripts. Thanks to Adam Mitz for pointing me to RealBin

Fri Aug 15 11:07:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * make/makeinclude/platform_aix_ibm.GNU:
          Added missing AIX compiler version 0800.

Wed Aug 13 14:40:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Truncate.h:
          Added missing specializations for Borland C++.

Wed Aug 13 14:18:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * m4/ace_defines.m4:
        * m4/ace_functions.m4:
        * m4/ace_headers.m4:
          Reverted change below, doesn't work on suse 11.1 yet

Wed Aug 13 13:22:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * m4/ace_defines.m4:
        * m4/ace_functions.m4:
        * m4/ace_headers.m4:
          Updated these files to work with autoconf 2.62. Thanks to
          Philipp Thomas <pth at suse dot de> for these patches. These
          are needed to use autoconf on OpenSuSE Factory (11.1 beta).
          This fixes bugzilla 3396.

Wed Aug 13 11:55:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Truncate.h:
          Added missing specializations for Borland C++.

Wed Aug 13 11:44:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpmbuild/ace-tao-ciao.txt:
          Made several improvements to this new spec file. Thanks to
          Philipp Thomas <pth at suse dot de> for assisting with this

Tue Aug 12 19:45:16 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Time_Value.inl:
        * examples/OS/Process/process.cpp:
        * examples/Misc/test_dump.h:
        * examples/ASX/Event_Server/Event_Server/Supplier_Router.cpp:
        * examples/ASX/Event_Server/Event_Server/Event_Analyzer.cpp:
        * examples/ASX/Event_Server/Event_Server/Consumer_Router.cpp:
        * examples/ASX/Message_Queue/buffer_stream.cpp:
        * examples/ASX/Message_Queue/bounded_buffer.cpp:
        * examples/ASX/Message_Queue/priority_buffer.cpp:
        * examples/ASX/UPIPE_Event_Server/Supplier_Router.cpp:
        * examples/ASX/UPIPE_Event_Server/Event_Analyzer.cpp:
        * examples/ASX/UPIPE_Event_Server/event_server.cpp:
        * examples/ASX/UPIPE_Event_Server/Consumer_Router.cpp:
        * examples/Web_Crawler/Iterators.cpp:
        * examples/Web_Crawler/URL_Visitor.cpp:
        * examples/Web_Crawler/Mem_Map_Stream.cpp:
        * examples/Shared_Malloc/test_malloc.cpp:
        * examples/QOS/Simple/Sender_QoS_Event_Handler.cpp:
        * examples/APG/ThreadPools/TP_Reactor.cpp:
        * examples/IPC_SAP/FILE_SAP/client.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-inclient.cpp:
        * examples/IPC_SAP/SPIPE_SAP/NPClient.cpp:
        * examples/IPC_SAP/SSL_SAP/SSL-server-fancy.cpp:
        * examples/IPC_SAP/SSL_SAP/SSL-client-simple.cpp:
        * examples/IPC_SAP/SSL_SAP/SSL-client.cpp:
        * examples/IPC_SAP/FIFO_SAP/FIFO-client.cpp:
        * examples/Logger/client/logging_app.cpp:
        * examples/Service_Configurator/IPC-tests/client/remote_stream_client_test.cpp:
        * examples/Threads/thread_pool.cpp:
        * examples/Threads/thread_specific.cpp:
        * examples/Threads/task_four.cpp:
        * examples/Reactor/Multicast/Log_Wrapper.cpp:
        * examples/Reactor/WFMO_Reactor/Window_Messages.cpp:
        * examples/Reactor/Proactor/test_cancel.cpp:
        * examples/Reactor/Proactor/test_proactor.cpp:
        * examples/Reactor/Misc/notification.cpp:
        * examples/Connection/blocking/SPIPE-connector.cpp:
        * examples/Mem_Map/file-reverse/file-reverse.cpp:
        * examples/C++NPv1/Logging_Handler.cpp:
        * examples/C++NPv1/Logging_Client.cpp:
        * examples/C++NPv2/AC_Client_Logging_Daemon.cpp:
        * examples/C++NPv2/Reactor_Logging_Server_Adapter.cpp:
        * examples/C++NPv2/Client_Logging_Daemon.cpp:
        * examples/C++NPv2/Service_Reporter.cpp:
        * examples/C++NPv2/Logging_Handler.cpp:

          More truncation warning fixes.

Tue Aug 12 18:15:08 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * docs/ace_guidelines.vsmacros:

          Update the macros file to ingore .xsd files.

        * docs/svn/config:
        * docs/svn/svn-prefs.reg:

          Added .aspx files to the configuration preferences.

Tue Aug 12 08:00:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Thread_Manager.cpp:
          Revert changes of bugzilla 3391, Thread_Pool_Test does fail
          with the change

Mon Aug 11 18:18:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Log_Msg_Test.cpp:
          Fixed unicode compile error

Mon Aug 11 16:09:20 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * bin/tao_orb_tests.lst:

          Exclude TAO/tests/Bug_3068_Regression from single-threaded builds.

Mon Aug 11 13:49:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/tests.mpc:
          There were still some tests that produce test libraries that were
          not updated when acelib was devorced from ace_output project. Such
          tests need to either add the dependancy (to place their output in
          the standard lib directory) or have "libout = ." to specify the
          library to be placed locally in the test directory.

Mon Aug 11 13:37:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Thread_Manager.{h,cpp,inl}:
          Make sure we don't miss any already terminated threads when doing
          a join. Also made some code more readable, removed ancient AIX
          workarounds. This fixes bugzilla 3391. Thanks to
          <giovanni dot mele at nagra dot com> for reporting this

        * ace/Containers_T.{h,cpp}:
          Changed dont_remove to a bool

Mon Aug 11 12:45:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdio.cpp:
          Simplified some methods

Mon Aug 11 08:56:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Log_Msg_Test.cpp:
          Extending testing of ACE_Log_Msg by enabling the format specifiers
          tests and add a test for %T. Also removed the check for vsnprintf
          to see that VxWorks 5.5.x still has a problem with buffer overflows.
          In that case we have to fix that in ACE_Log_Msg.

        * ace/Log_Msg.cpp:
          Fixed some buffer size calculations when ACE_TCHAR != char. Fixed
          %T when wchar is used, thanks to Nathalie D'Amours
          <nathalie at bearsontheloose dot com> for reporting this. This fixes
          bugzilla 3388

        * ace/ACE.{h,cpp} (timestamp):
          Use bool and sizes of buffers should have size_t as type

        * ace/MEM_Stream_Test.cpp:
          Removed incorrect comment

Mon Aug 11 07:36:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Makefile.am:
          Added missing header files. Thanks to haibin zhang
          <dragzhb at yahoo dot com dot cn> for reporting this

Sun Aug 10 23:02:15 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * ace/SSL/SSL_SOCK_Stream.inl (set_handle):

          Reverted back to the C-style cast that was there before Jeff's commit
          because many compilers didn't like a reinterpret_cast<int> here.

Sat Aug  9 17:42:10 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * ace/SSL/SSL_SOCK_Acceptor.cpp:
        * ace/SSL/SSL_SOCK_Connector.cpp:
        * ace/SSL/SSL_SOCK_Stream.inl:
        * ace/SSL/SSL_SOCK_Stream.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Stream.inl:

          Fixed compile errors in inline=0 and Win32-ssl builds.
          ACE_Utils::truncate_cast can't cast ACE_HANDLE to int on Win32.

Fri Aug  8 20:35:37 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * ace/Stack_Trace.cpp:

          Glibc implementation: fixed whitespace
          VxWorks (both kernel and RTP): VxWorks can return -1 for the number
          of arguments when the actual number is unknown.

Fri Aug  8 19:33:42 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Message_Queue_T.cpp:
        * ace/SSL/SSL_Asynch_BIO.cpp:
        * ace/SSL/SSL_SOCK_Acceptor.cpp:
        * ace/SSL/SSL_Context.cpp:
        * ace/SSL/SSL_Asynch_Stream.cpp:
        * ace/SSL/SSL_SOCK_Connector.cpp:
        * ace/SSL/SSL_SOCK_Stream.cpp:
        * ace/SSL/SSL_SOCK_Stream.inl:
        * Kokyu/DSRT_Sched_Queue_T.cpp:
        * Kokyu/Default_Dispatcher_Impl.cpp:
        * ACEXML/common/Transcode.cpp:
        * ACEXML/common/HttpCharStream.cpp:
        * ACEXML/common/Mem_Map_Stream.cpp:
        * examples/Monitor/MC_Test_Utilities.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_Timeout.inl:
        * examples/Service_Configurator/IPC-tests/server/Handle_Thr_Stream.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_FIFO.inl:
        * examples/Service_Configurator/IPC-tests/server/Handle_Broadcast.inl:
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Stream.inl:

          Fixes for VC 7.1 warnings, mostly truncation.

Fri Aug  8 17:58:28 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Changed the ACE_NEW_THROWS_EXCEPTION feature test to use
          setrlimit() (on systems that have it) to reduce the RLIMIT_DATA
          limit so the test, which continuously allocates memory in order
          to observe the behavior of out-of-memory conditions, will "fail"
          quickly without unnecessarily consuming a lot of system
          resources.  Fixes bugzilla #3090.

Fri Aug  8 14:42:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Also check cpp/inl files for RefCountServantBase

Fri Aug  8 08:36:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Truncate.h:
          Added missing specializations for Borland C++.

Fri Aug  8 08:17:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Makefile.am:
          Added missing Svc_Conf_Token_Table.h which was already in the MPC
          file. Thanks to haibin zhang <dragzhb at yahoo dot com dot cn>
          for reporting this

Thu Aug  7 21:59:58 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * bin/tao_orb_tests.lst:

          Added the new test TAO/tests/Bug_3068_Regression.

Thu Aug  7 20:21:29 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Process_Manager.cpp:
        * ace/Asynch_IO.cpp:
        * ace/Pagefile_Memory_Pool.cpp:
        * ace/MEM_IO.cpp:
        * ace/Time_Value.inl:
        * ace/SV_Semaphore_Simple.cpp:
        * ace/Thread_Manager.cpp:
        * ace/MEM_IO.inl:
        * ace/ETCL/ETCL_Interpreter.cpp:
        * ace/UPIPE_Stream.cpp:
        * ace/SOCK_Dgram.cpp:
        * ace/FILE_IO.cpp:
        * ace/OS_NS_unistd.cpp:
        * ace/FIFO_Recv_Msg.inl:
        * ace/CDR_Size.cpp:
        * ace/ACE.cpp:
        * ace/CDR_Stream.cpp:

          Added usage of ACE_Utils::truncate_cast<>
          to get rid of conversion warnings, mostly from size_t
          to ssize_t.

Thu Aug  7 18:02:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          ACE/TAO/CIAO now supports CodeGear C++ Builder 2009

Thu Aug  7 15:28:13 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Control/Makefile.am:

          Added source file Null_Network_Interface_Monitor.cpp that
          was overlooked until now.

Wed Aug  6 18:45:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace.mpc:
          Added a few missing header files

Wed Aug  6 18:17:32 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * protocols/ace/HTBP/HTBP_Channel.cpp:
        * ace/SSL/SSL_Asynch_Stream.cpp:
        * performance-tests/TCP/tcp_test.cpp:
        * performance-tests/UDP/udp_test.cpp:
        * tests/Upgradable_RW_Test.cpp:
        * tests/ARGV_Test.cpp:
        * tests/OrdMultiSet_Test.cpp:
        * apps/JAWS/server/HTTP_Server.cpp:
        * apps/soreduce/Obj_Module.cpp:
        * apps/soreduce/Library.cpp:
        * apps/soreduce/soreduce.cpp:
        * apps/soreduce/SO_Group.cpp:
        * websvcs/lib/URL_Addr.cpp:
        * examples/OS/Process/imore.cpp:
        * examples/Connection/blocking/SPIPE-connector.cpp:
        * examples/C++NPv2/AC_Client_Logging_Daemon.cpp:
        * examples/C++NPv2/Client_Logging_Daemon.cpp:

          Cosmetic changes to eliminate warnings from
          some Linux compilers.

Wed Aug  6 13:40:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * docs/bczar/bczar.html:
          Updated the "Bugzilla" section to match the current version
          of bugzilla's interface.

Wed Aug  6 13:01:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SOCK_CODgram.cpp:
          Fixed gcc 4.3 warnings

Wed Aug  6 08:49:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Connection/blocking/SPIPE-connector.cpp:
        * examples/OS/Process/imore.cpp:
          Fixed gcc 4.3 warnings

Wed Aug  6 08:45:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/C++NPv2/AC_Client_Logging_Daemon.cpp:
        * examples/C++NPv2/Client_Logging_Daemon.cpp:
          Fixed gcc 4.3 warnings

Wed Aug  6 08:12:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * configure.ac:
        * m4/ace.m4:
          Use more cached values, improved detection of tcl. Add bzip2
          support

Wed Aug  6 08:01:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACEXML/common/ZipCharStream.cpp:
          Fixed compile error in some builds

        * ACEXML/parser/parser/Parser.cpp:
          Check for the dtd file using a / and \ path specifier. This
          makes it possible to also use a / on windows to specify
          the path. This fixes bugzilla 3352

        * ACEXML/common/FileCharStream.h:
          Doxygen fix

        * ACEXML/common/FileCharStream.cpp:
          No need to check for a valid pointer before calling delete

Tue Aug  5 19:33:26  2008  Steve Huston  <shuston@riverace.com>

        * ace/Log_Msg.cpp: Fixed tab characters.

        * ace/config-posix.h: Only set ACE_HAS_POSIX_SEM_TIMEOUT if the
          _POSIX_TIMEOUTS feature test is not -1 (disabled). Fixes build
          on HP-UX 11iv3.

        * examples/APG/ThreadPools/LF_ThreadPool.cpp (elect_new_leader): Log
          the "Resiging and Electing" message at LM_DEBUG severity, not
          LM_ERROR. This is on APG page 342. Thanks to Julien Vintrou for
          pointing this out.

        * THANKS: Added Julien Vintrou.

Tue Aug  5 20:19:28 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/config-linux-common.h: Removed ACE_HAS_BROKEN_THREAD_KEYFREE.
          Reverts change from
          Thu Aug  9 13:39:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>
          which is no longer needed.

Tue Aug  5 18:51:02 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/MMAP_Memory_Pool.cpp:
        * ace/Service_Manager.cpp:
        * ace/Stream.cpp:
        * Kokyu/Dispatcher_Task.cpp:
        * apps/gperf/src/List_Node.cpp:
        * apps/gperf/src/Key_List.cpp:
        * apps/gperf/src/Gen_Perf.cpp:
        * apps/gperf/src/Iterator.cpp:
        * apps/gperf/src/Hash_Table.cpp:
        * ACEXML/common/ZipCharStream.cpp:
        * ACEXML/common/HttpCharStream.cpp:
        * ACEXML/parser/parser/Parser.inl:
        * ASNMP/asnmp/asn1.cpp:
        * ASNMP/asnmp/address.cpp:

          Cosmetic changes to eliminate warnings on
          Fedora Rawhide.

Tue Aug  5 18:37:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpmbuild/ace-tao-init-fedora.tar.bz2:
        * rpmbuild/ace-tao-init-suse.tar.bz2:
          Seperated distribution specific files in two bz2 archives,
          the rpm spec file will use one of them

Tue Aug  5 16:41:03 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/Log_Msg.h: Changed key_created_ from int to bool.

        * ace/Log_Msg.cpp (close): Two changes related to Bugzilla 2980:
          - Remove the #if ACE_HAS_BROKEN_THREAD_KEYFREE - the code inside
            that block was what should always be done - delete the ACE_Log_Msg
            instance and reset the TSS value to 0 so it's not cleaned up again
            later when the thread runs down. The whole idea of the
            ACE_HAS_BROKEN_THREAD_KEYFREE seems dubious and should probably be
            removed, but I haven't gone that far - there's one more use in
            OS_NS_Thread which seems pertinent for LynxOS and I can't test
            it, so it's still there - but should be reviewed and probably
            removed.
          - Free the TSS key - if setting key_created_ to 0, what's the point
            of leaving the key? Any future attempt to get the per-thread value
            would result in a new key being created. Again, freeing the key
            has no affect on already-allocated instances.
          This should resolve Bugzilla 2980 again.

Tue Aug  5 14:33:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpmbuild/ace-tao-ciao.txt:
          Spec file that is work in progress. Didn't use spec as extension
          because that gives problems with rpmbuild.

Tue Aug  5 13:52:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Guard_T.h:
        * ace/Guard_T.inl:
        * ace/TSS_T.cpp:
          Changed block to a bool

        * ace/Guard_T.h:
          Initialise owner_ to solve gcc 4.3 warnings

Tue Aug 05 10:15:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Reactor_Remove_Resume_Test_Dev_Poll.cpp:

          I don't know why removing "TP_Reactor.h" stopped ACE.h from
          being included; but is seems it was incidently included in
          the previous (non-Dev_Poll) test.

Tue Aug  5 08:02:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACEXML/common/HttpCharStream.cpp:
          Fixed gcc4.3 warning

Tue Aug  5 07:53:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Message_Queue_Test.cpp:
        * tests/Message_Queue_Test_Ex.cpp:
          Fixed gcc4.3 warning

Tue Aug  5 07:11:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/IPC_SAP/SOCK_SAP/run_test
        * examples/IPC_SAP/SOCK_SAP/summarize
        * examples/IPC_SAP/SSL_SAP/summarize
        * examples/IPC_SAP/SOCK_SAP/run_test.sh
        * examples/IPC_SAP/SOCK_SAP/summarize.pl
        * examples/IPC_SAP/SSL_SAP/summarize.pl
          Renamed files to have an extension that matches the type of file

Tue Aug  5 06:45:11 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/add_rel_link.sh:
          Added missing path

Mon Aug  4 19:58:20 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/Process.cpp (inherit_environment): Re using Unicode from
          Thu Jul 31 15:10:16 UTC 2008  Adam Mitz  <mitza@ociweb.com>
          only do it for systems that have ACE_HAS_WCHAR. Fixes a LabVIEW
          Pharlap ETS build issue.

Mon Aug 04 13:08:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Reactor_Remove_Resume_Test.cpp:
        * tests/Reactor_Remove_Resume_Test_Dev_Poll.cpp:
        * tests/run_test.lst:
        * tests/tests.mpc:

          Split out the ACE_Dev_Poll_Reactor part of this test since
          this is excersing a known problem with ACE_Dev_Poll_Reactor
          (see Bugzilla 3178).

Mon Aug  4 07:20:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-g++-common.h:
        * ace/config-macros.h:
          Moved definition of ACE_UNUSED_ARG for GC back to config-macros.h else
          it isn't available when doing an autoconf build

Fri Aug  1 10:59:55 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * tests/Process_Env_Test.cpp:

          #ifdef-out the helper functions in the cases where the body of
          run_main is also #ifdef'ed-out.

Thu Jul 31 15:10:16 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * ace/Process.cpp (inherit_environment):

          When "use_unicode_environment" is in effect, use the unicode env
          block (GetEnvironmentStringsW) when copying the current environment
          in order to inherit it (Win32 only).

        * tests/Process_Env_Test.cpp:

          Extended this test to verify that a large environment block is indeed
          inherited by the spawned process.

Thu Jul 31 13:16:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/tao_orb_tests.lst:

          The QUICK test alternatives should have the same configs as
          their non-quick alternative tests. This has been playing havok
          with !Win32 tests on windows platforms that are using QUICK.

Thu Jul 31 12:35:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/run_test.lst:
        * tests/tests.mpc:
        * tests/Refcounted_Event_Handler_Test_DevPoll.cpp:
        * tests/Reference_Counted_Event_Handler_Test_Dev_Poll.cpp:

          Test renamed (has to be less than 38 characters).

Thu Jul 31 10:25:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-g++-common.h:
          Use a different ACE_UNUSED_ARG macro for GCC 4.2 and newer. Moved
          also the definition for gcc to this file instead of config-macros.h.
          Thanks to Jules Colding <colding at 42tools dot com>, Jonathan Brannan
          <jbrannan at atdesk dot com>, and Ken Sedgwick <ken at bonsai dot com>
          for providing the patches. This fixes bugzilla 3270

        * ace/config-macros.h:
          Don't define ACE_UNUSED_ARG for GCC

        * rpmbuild/ace-tao.spec:
          Removed unused arg patch

        * rpmbuild/ace-tao-unusedarg.patch:
          Removed, not needed anymore

Thu Jul 31 10:20:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Reactor_Dispatch_Order_Test_Dev_Poll.cpp:

          To avoid warnings on platforms where:
          #if defined (ACE_HAS_DEV_POLL) || defined (ACE_HAS_EVENT_POLL)
          is false, this test has now been fully guarded and an alternate
          main provided.

        * tests/Reference_Counted_Event_Handler_Test_Dev_Poll.cpp:
        * tests/run_test.lst:
        * tests/tests.mpc:

          Since the collated test scores are actually grouping both runs
          of the original test together (they ignore parameters apparently),
          a newly named test was needed.

Thu Jul 31 10:05:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-macros.h:
          Only define ACE_UNUSED_ARG when it is not defined yet. Makes it
          easier to test how to resolve warnings with gcc 4.3

Wed Jul 30 14:03:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks6.2.GNU:
        * include/makeinclude/platform_vxworks6.3.GNU:
          Also convert slashes in HOST_ROOT

Wed Jul 30 09:55:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/tests.mpc:

          Missed adding the new Reactor_Dispatch_Order_Test_Dev_Poll
          entry.

Tue Jul 29 22:23:08 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/ace.m4:

          Add ACE_PATH_BZIP2 feature test, sets ACE_BZIP2_CPPFLAGS,
          ACE_BZIP2_LDFLAGS, and ACE_BZIP2_LIBS as needed when
          --with-bzip2 is specified on the command line.

Tue Jul 29 21:33:14 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/automake.features:

          Add bzip2=1

Tue Jul 29 21:29:43 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/ace_bzip2.mpb:

          New file, overrides definitions from MPC's bzip2.mpb for
          automake build.

Tue Jul 29 19:58:22 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * bin/tao_orb_tests.lst:

          Reverted Tue Jul 29 14:21:32 UTC 2008  Adam Mitz  <mitza@ociweb.com>
          because the bug should now be fixed in TAO.

Tue Jul 29 18:11:32 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          TAO/tests/Bug_3000_Regression fails because that issue remains
          unresolved, added !FIXED_BUGS_ONLY.

Tue Jul 29 14:21:32 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * bin/tao_orb_tests.lst:

          TAO/tests/Bug_3163_Regression fails because that issue remains
          unresolved, added !FIXED_BUGS_ONLY.

Tue Jul 29 12:45:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/run_test.lst:
        * tests/Reference_Counted_Event_Handler_Test.cpp:

          Corrected the disabling of ACE_Dev_Poll_Reactor test and split
          the test into two runs once with this reactor test disabled
          and once with just this reactor test enabled (marked with
          !FIXED_BUGS_ONLY) due to internal problems with
          ACE_Dev_Poll_Reactor.

Tue Jul 29 12:14:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/run_test.lst:
        * tests/Reactor_Dispatch_Order_Test.cpp:
        * tests/Reactor_Dispatch_Order_Test_Dev_Poll.cpp:

          These tests now actually return a failure if the test failed
          instead of always returning 0. I have also split out the
          problematic part of this test re-enabled by:
          Wed Jul  9 19:07:24  2008  Steve Huston  which itself reversed:
          Sat Mar 29 08:16:57 UTC 2008  Johnny Willemsen  that originally
          disabled testing for ACE_Dev_Poll_Reactor due to internal
          problems with ACE_Dev_Poll_Reactor.

Mon Jul 28 13:39:13  2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-macros.h:
        * ace/streams.h:
          Removed workarounds for ancient Borland C++ versions

Mon Jul 28 13:32:13  2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Asynch_Acceptor.cpp:
        * ace/WIN32_Asynch_IO.cpp:
          Removed compiler checks

        * ace/OS_NS_stdio.cpp:
          Don't check for Borland C++ but for ACE_HAS_NONCONST_FDOPEN

        * ace/OS_NS_stdio.inl:
          Removed workaround for Borland C++

Mon Jul 28 13:10:13  2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Global_Macros.h:
          Removed obsolete workaround for Borland C++

Mon Jul 28 13:03:13  2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace_wchar.h:
          Removed obsolete workaround for Borland C++

Mon Jul 28 11:52:13  2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Registry.cpp:
          Don't declare a static object within a method because that
          could lead to race conditions in a multi threaded program

        * ace/ace_qt4reactor.mpc:
          Fixed bug in this file

Mon Jul 28 11:40:13  2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ETCL/ETCL_Interpreter.h:
          Doxygen fixes and made destructor virtual, this is a base class

        * ace/INET_Addr.cpp:
          Const change

Fri Jul 25 14:21:13  2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace_qtreactor.mpc:
        * ace/ace_qt3reactor.mpc:
          Renamed qt to qt3, this builds and links the qtreactor
          with qt3

        * ace/ace_qt4reactor.mpc:
          New project for qt4

          You can set qt=1 and qt3=1 together or set qt4=1, but not
          both at the same time. Thanks to Kees van Marle
          <kvmarle at remedy dot nl> for testing qt4

Fri Jul 25 14:13:13  2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/QtReactor/QtReactor.cpp:
        * ace/QtReactor/QtReactor.h:
          Improved qt4 support

Fri Jul 25 14:09:13  2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/ace_qt3.mpb
        * bin/MakeProjectCreator/config/ace_qt4.mpb
        * bin/MakeProjectCreator/config/global.features:
          Set qt3 and qt4 default to 0. qt4 has different libs
          that we need to link with but also the qglobal.h is
          located on a different location, so added ACE_HAS_QT4
          which is then used to select which qglobal.h we include.

        * bin/MakeProjectCreator/config/ace_qtreactor.mpb:
          This is for qt3 so derive from ace_qt3

Thu Jul 24 19:04:13  2008  Steve Huston  <shuston@riverace.com>

        * ace/Containers_T.h: Improved documentation for ACE_DLList, noting
          especially that T pointers inserted into the list are not deleted
          when removed. Thank you to Bob Fiske for this improvement and sample
          code to illustrate.

        * THANKS: Added Bob Fiske.

Thu Jul 24 12:50:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/diff-builds-and-group-fixed-tests-only.sh:
          This shell script runs the perl diff-builds.pl script between
          the date given as the first parameter and the current utc date.
          The output is tidied up and any !FIXED_BUGS_ONLY bugs are
          removed before being grouped and the failed tests counted.

Thu Jul 24 08:10:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/tao_orb_tests.lst:
        * bin/tao_other_tests.lst:
          Added config item !FIXED_BUGS_ONLY to tests that highlight
          problems that have not yet been fixed. Please remove this
          config item once the bugs have actually been fixed, and
          include this config item with any newly added tests in the
          future that fall into this category.

Wed Jul 23 13:30:28 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/PerlACE/Process_Win32.pm:
          Allow named .bat files for windows.

Wed Jul 23 13:08:28 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_doxygen.pl:
        * etc/tao_ziop.doxygen:
        * html/index.html:
          Added TAO ZIOP to the documentation

Wed Jul 23 10:51:28 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Select_Reactor_Base.h:
          Doxygen change

        * ace/Select_Reactor_T.cpp:
        * ace/Select_Reactor_T.h:
        * ace/TP_Reactor.cpp:
        * ace/TP_Reactor.h:
          mask_signals should be a bool like in the base class

Wed Jul 23 08:11:28 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SOCK_Dgram_Mcast.cpp:
          Use reentrant get_host_addr. This fixes bugzilla 3368. Thanks to
          Yongming Wang <wangym at gmail dot com> for reporting this

Tue Jul 22 15:02:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/group_test_stats.sh:
          Reverse and sort numerically so that highest number of
          failures are listed first.

Tue Jul 22 13:09:28 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added ZIOP test

Tue Jul 22 11:52:28 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/make_release.py:
          Don't convert line ending for pdf files

Tue Jul 22 09:55:28 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/global.features:
          bzip2 is default disabled

Tue Jul 22 07:36:28 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CDR_Stream.{h,cpp,inl}:
          Added setting for alignment which is needed for ZIOP where we want
          to place back the wr_ptr to a previous location. Few const and layout
          changes

Mon Jul 21 13:09:28 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Run nslist tests under vxworks

Sat Jul 19 19:58:54 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-macosx-tiger.h:
          Make sure we set the correct ACE_SIZEOF_LONG_DOUBLE value. Thanks
          to Frank F�rster <F dot Forster at herts dot ac dot uk> for reporting this

Thu Jul 17 20:24:11 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_sys_socket.inl (recvfrom): For Pharlap ETS, correct for
          a situation where recvfrom() returns a good address but an
          unexpectedly short length.

Tue Jul 15 17:29:22 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/Monitor/Bytes_Sent/bytes_sent.cpp:
        * examples/Monitor/Message_Queue_Size/message_queue_size.cpp:
        * examples/Monitor/Constraint/constraint.cpp:
        * examples/Monitor/CPU_Load/cpu_load.cpp:
        * examples/Monitor/Num_Threads/num_threads.cpp:
        * examples/Monitor/Group/group.cpp:
        * examples/Monitor/Memory_Usage/memory_usage.cpp:

          Changes corresponding to the relocation in

          Tue Jul 15 17:19:14 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

Tue Jul 15 17:19:14 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Size.cpp:
        * ace/Monitor_Control_Types.cpp:
        * ace/Monitor_Control_Types.h:
        * ace/Monitor_Base.cpp:
        * ace/Monitor_Base.h:
        * ace/Monitor_Base.inl:
        * ace/Monitor_Control/Bytes_Received_Monitor.cpp:
        * ace/Monitor_Control/Packets_Received_Monitor.cpp:
        * ace/Monitor_Control/CPU_Load_Monitor.cpp:
        * ace/Monitor_Control/Monitor_Group.cpp:
        * ace/Monitor_Control/Memory_Usage_Monitor.cpp:
        * ace/Monitor_Control/Monitor_Query.cpp:
        * ace/Monitor_Control/Num_Threads_Monitor.cpp:
        * ace/Monitor_Control/Bytes_Sent_Monitor.cpp:
        * ace/Monitor_Control/Packets_Sent_Monitor.cpp:

          Relocated the statistics-related values from
          Monitor_Base to Monitor_Control_Types. Also
          inlined the information type accessor, the
          constraint list accessor and the refcounting
          methods.

Tue Jul 15 01:27:54 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-common.h:
          Added pragma comment for iphlpapi.lib. Thanks to Yongming Wang
          <wangym at gmail dot com> for reporting this

Mon Jul 14 12:50:34 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * NEWS:

          Added an entry for my change from Mon Jun 30 12:41:00 UTC 2008.

Mon Jul 14 12:05:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/Message_Queue_T.cpp:

          Correct void function dump returns from previous commit of:
          Fri Jul 11 08:06:40 UTC 2008  James H. Hill

Sat Jul 12 12:59:19 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-borland-common.h:
          Removed BCB4 support

        * ace/ACE.cpp:
          Const/layout changes

        * ace/Configuration.h:
          Doxygen changes

        * ace/Monitor_Base.cpp (retrieve_and_clear):
          Use clear_i to prevent deadlocks

        * ace/SOCK_IO.cpp:
          Const changes

        * ace/Strategies_T.cpp:
          layout changes

Fri Jul 11 23:48:19 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/make_release.py:
          Don't exclude the mwc files for vc8. Thanks to Michael Guntli
          <michael dot guntli at leica-geosystems dot com> for reporting
          this. This fixes bugzilla 3364

Fri Jul 11 14:41:19 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * NEWS:

          Updated the NEW file to reflect previous ChangeLog entry.

Fri Jul 11 08:06:40 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * ace/Message_Queue_T.h:
        * ace/Message_Queue_T.cpp:

          Implemented the iterator and reverse iterator for the
          ACE_Message_Queue_Ex class.

Wed Jul  9 21:20:13 UTC 2008  Ken Sedgwick  <ken+5a4@bonsai.com>

        * rpmbuild/README:
          Added basic rpmbuild instructions.

Wed Jul  9 19:07:24  2008  Steve Huston  <shuston@riverace.com>

        * tests/Reactor_Dispatch_Order_Test.cpp: Reversed this change:
          Sat Mar 29 08:16:57 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>
          which disabled testing for ACE_Dev_Poll_Reactor. Let's see what the
          issues are then address and/or disable as needed.
          Also fixed a cut/paste error.

Wed Jul  9 18:37:57  2008  Steve Huston  <shuston@riverace.com>

        * tests/Reference_Counted_Event_Handler_Test.cpp: Enabled test for
          Winsock 2 systems; previously only ran the ACE_WFMO_Reactor-based
          test for non-Winsock 2 systems, where it is not supported.

Wed Jul  9 17:45:40 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:

          Remove autoheader template for ACE_HAS_NON_BLOCKING_CONNECTS.

        * tests/MT_SOCK_Test.cpp:

          Remove use of ACE_HAS_NON_BLOCKING_CONNECTS feature test macro.
          It was removed since ACE no longer supports any systems that
          required it.

Wed Jul  9 16:09:30 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:
        * configure.ac:

          Remove feature test and autoheader template for
          ACE_LACKS_WILDCARD_BIND.

        * ace/Sock_Connect.cpp:

          Remove use of ACE_LACKS_WILDCARD_BIND feature test macro.

        * ace/README:

          Remove ACE_LACKS_WILDCARD_BIND from the list of feature test
          macros.  It was removed since ACE no longer supports any systems
          that required it.

Wed Jul  9 16:02:32 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Changed ACE_HAS_SIGVAL_SIGVAL_INT and ACE_HAS_SIGVAL_SIGVAL_PTR
          feature tests to use "union sigval" instead of "sigval_t".  The
          former is what ACE uses; while the latter is a common extension,
          it is not in the XPG3 specification.  Thanks to Olli Savia.

Wed Jul  9 14:23:00 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/README:

          Remove ACE_HAS_TEMPLATE_SPECIALIZATION from list of feature
          test macros.

Wed Jul  9 14:18:26 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:
        * configure.ac:

          Remove feature test and autoheader template for
          ACE_HAS_DLFCN_H_BROKEN_EXTERN_C.

        * ace/os_include/os_dlfcn.h:

          Remove use of ACE_HAS_DLFCN_H_BROKEN_EXTERN_C feature test
          macro.

        * ace/README:

          Remove ACE_HAS_DLFCN_H_BROKEN_EXTERN_C from the list of feature
          test macros.  It was removed since ACE no longer supports any
          systems that required it.

Wed Jul  9 09:20:03 UTC 2008  Olli Savia  <ops@iki.fi>

        * ace/TTY_IO.h:
        * ace/TTY_IO.cpp:
          Removed deprecated 'parityenb' member from ACE_TTY_IO::Serial_Params
          structure.

        * NEWS:
          Added a note about change above.

Tue Jul  8 21:53:31 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Service_Manager.cpp (process_request): Ensure that requests
          are processed using the global context, rather than the current
          one.  Thanks to Michael Doubez <michael dot doubez at gmail dot
          com> for suggesting this fix.

Tue Jul  8 16:44:24 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:

          Remove autoheader template for ACE_HAS_BROKEN_HPUX_TEMPLATES.

        * netsvcs/lib/Server_Logging_Handler_T.cpp:
        * netsvcs/lib/Server_Logging_Handler_T.h:

          Remove use of ACE_HAS_BROKEN_HPUX_TEMPLATES feature test macro.

        * ace/README:

          Remove ACE_HAS_BROKEN_HPUX_TEMPLATES from the list of feature
          test macros.  It was removed since ACE no longer supports any
          systems that required it.

Tue Jul  8 16:41:26  2008  Steve Huston  <shuston@riverace.com>

        * ace/WIN32_Asynch_IO.cpp (ACE_WIN32_Asynch_Write_Stream::write): For
          Winsock 2-capable platforms, use WSASend() instead of WriteFile().
          The former performs an order of magnitude faster. Thanks to
          Namrata Gandhi for running the Win32 native performance tests.

Tue Jul  8 16:35:57 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:
        * configure.ac:

          Remove feature test and autoheader template for
          ACE_NEEDS_REGEXPR_H.  It is no longer used by ACE.

        * ace/config-unixware-7.1.0.h:
        * ace/config-unixware-7.1.0.udk.h:

          Remove the ACE_NEEDS_REGEXPR_H feature test macro definition.
          It is no longer used by ACE.

Tue Jul  8 16:06:46 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * NEWS:

          Document new --enable-rcsid option for autoconf build.

        * m4/ace.m4:
        * m4/config_h.m4:
        * m4/platform.m4:

          Add support of a new --enable-rcsid option for the autoconf
          build.  Previously, compiling RCS IDs into object files was
          tightly coupled with the --enable-debug option and was always
          disabled for certain operating systems. A separate option allows
          the user to select this behavior independently.

Tue Jul  8 14:41:08  2008  Steve Huston  <shuston@riverace.com>

        * tests/Reference_Counted_Event_Handler_Test.cpp: Fixed test cases
          that I accidentally reversed in
          Fri Jul  4 20:11:02 UTC 2008  Steve Huston  <shuston@riverace.com>

Tue Jul 08 06:44:09 MST 2008  Trevor Fields  <fields_t@ociweb.com>

        * bin/PerlACE/Run_Test.pm:

          Added waitforfileoutput and waitforfileoutput_timed
          methods that wait for output to appear in a file.

Sun Jul  6 19:47:27 UTC 2008  Ken Sedgwick  <ken+5a4@bonsai.com>

        * rpmbuild/ace-tao.spec:
          Added idl and pidl include files to tao-devel package.

Sun Jul  6 18:28:58 UTC 2008  Ken Sedgwick  <ken+5a4@bonsai.com>

        * rpmbuild/ace-tao.spec:
        * rpmbuild/ace-tao-orbsvcs-daemon.patch:
        * rpmbuild/ace-tao-config.patch:
          Updated for latest DOC Group release (x.6.6).
          Tracked libACE_Monitor_Control name change.
          Fixed broken patches.

Fri Jul  4 20:11:02 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/config-macros.h: Don't set ACE_HAS_PROCESS_SPAWN for
          ACE_HAS_PHARLAP - there's only one process available.

        * ace/Recursive_Thread_Mutex.cpp (get_nesting_level): Add Pharlap ETS
          to those platforms without access to the recursion count on a
          recursive mutex.

        * tests/run_test.lst: Disable Sendfile_Test on LABVIEW_RT - it lacks
          sendfile support.

        * tests/Reference_Counted_Event_Handler_Test.cpp: Replaced ACE_ASSERT
          with ACE_ERROR; surrounded naked strings with ACE_TEXT; added a test
          option for using ACE_Dev_Poll_Reactor where available.

        * tests/Service_Config_Test.cpp: Replaced ACE_ASSERT with ACE_ERROR.

        * tests/Thread_Pool_Reactor_Resume_Test.cpp:
        * tests/Thread_Pool_Reactor_Test.cpp: Add ACE_HAS_PHARLAP to those
          platforms that need to scale back the max number of connections
          due to limited capacity.

Thu Jul  3 21:42:54 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Changed the feature test used for the existance of the sigval_t
          type not to define ACE_LACKS_SIGVAL_T if it does not exist.

          However, it is still needed to set the ac_cv_type_sigval_t shell
          variable, which is used to decide whether to perform the
          ACE_HAS_SIGVAL_SIGVAL_INT and ACE_HAS_SIGVAL_SIGVAL_PTR feature
          tests.

          This fixes (the newly reopened) bugzilla #2794.  Thanks to Olli
          Savi for suggesting taking another look.

Thu Jul  3 16:38:35 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Added the use of 'postclean' to be used during the realclean
          target.

Wed Jul  2 18:30:15 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Base.cpp (clear_i):

          Added resize of string array (if applicable) to 0.

        * ace/Monitor_Control/CPU_Load_Monitor.h:
        * ace/Monitor_Control/Bytes_Received_Monitor.cpp:
        * ace/Monitor_Control/Packets_Received_Monitor.cpp:
        * ace/Monitor_Control/Memory_Usage_Monitor.h:
        * ace/Monitor_Control/Num_Threads_Monitor.h:
        * ace/Monitor_Control/CPU_Load_Monitor.cpp:
        * ace/Monitor_Control/Memory_Usage_Monitor.cpp:
        * ace/Monitor_Control/Num_Threads_Monitor.cpp:
        * ace/Monitor_Control/Bytes_Sent_Monitor.cpp:
        * ace/Monitor_Control/Packets_Sent_Monitor.cpp:

          Finished implementation of clear_i() method for all
          platforms.

Wed Jul  2 12:45:53 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * Updated the COPYING file to make it consistent with what's on the website.

Wed Jul 02 12:30:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/Monitor_Control/Solaris_Network_Interface_Monitor.cpp:

          ACE_TEXT () and ACE_TEXT_ALWAYS_CHAR () required here.

Wed Jul 02 12:05:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/Framework_Component.cpp:

          Annoying text constant problem in a build. No need for ACE_TEXT()
          here.

Wed Jul  2 11:51:03 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Makefile.am:

          Added the Process_Env_Test.

Wed Jul 02 11:40:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Process_Env_Test.cpp:

          Annoyingly the ACE_RCSID() macro provides it's own ;
          This fixes the "Process_Env_Test.cpp:23: error: extra ';'" error.

Tue Jul  1 22:47:17 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/Process.{h cpp}: Can't define or use the new convert_env_buffer()
          method unless ACE_HAS_WCHAR is defined. This extra check is needed
          for LabVIEW RT / Pharlap ETS because it purports to be Win32 but
          does not have wide-char support.

Tue Jul  1 14:20:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/PythonACE/fuzz/check_no_tabs.py:

          Attempt to provide tabs check.

Tue Jul  1 12:29:34 UTC 2008  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * ace/Monitor_Control/Bytes_Received_Monitor.cpp:
        * ace/Monitor_Control/Packets_Received_Monitor.cpp:
        * ace/Monitor_Control/Bytes_Sent_Monitor.cpp:
        * ace/Monitor_Control/Packets_Sent_Monitor.cpp:

          Cosmetic changes.

Mon Jun 30 16:50:05 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Process.h:

          Fixed a misplaced bit of code.

Mon Jun 30 12:41:00 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Process.h:
        * ace/Process.cpp:

          Added an option to ACE_Process_Options to use a wchar_t environment
          buffer instead of char.  This is useful only on Windows with
          ACE_USES_WCHAR undefined.  The benefit of using a wchar_t
          environment buffer is that it is not limited to 32kb as a char
          environment buffer is.

          In ACE_Process::spawn(), convert the char environment buffer to a
          wchar_t environment buffer if specified to do so in the process
          options.

        * tests/Process_Env_Test.cpp:
        * tests/run_test.lst:
        * tests/tests.mpc:

          Added a test for the above feature.

Fri Jun 27 18:04:52 UTC 2008  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/rules.local.GNU: Removed the first setting of
          CLEANUP_OBJS by itself - it was a duplicate of what's done in
          CLEANUP_BIN's case, but with possibly an incorrect objext. Prevents
          a main executable's object file from being deleted twice and ensures
          only valid object file extension is used. Thanks to Howard Finer
          for pointing this out.

Fri Jun 27 16:08:27 UTC 2008  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/rules.local.GNU: Add $(VOBJS) to CLEANUP_OBJS to
          be sure all objects that go into a binary are cleaned up.

Fri Jun 27 15:35:58 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/modules/AutomakeWorkspaceHelper.pm:

          Changed TAO_IDLFLAGS to Rename executable from gperf to
          ace_gperf.

Fri Jun 27 14:58:17 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Control/Solaris_Network_Interface_Monitor.h:

          Changed ACE_CString member to ACE_TString, to accommodate
          wchar builds.

Thu Jun 26 20:41:20 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Profile_Timer.cpp:

          Explictly #include "ace/OS_NS_fcntl.h" and "ace/OS_NS_unistd.h"
          if ACE_HAS_PRUSAGE_T is defined.  These headers are implicitly
          #included with inline builds, but are required for builds
          where inline has been disabled.

Thu Jun 26 13:13:16 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Control_Types.h:
        * ace/Monitor_Base.cpp:
        * ace/Monitor_Base.h:
        * ace/Monitor_Control/Monitor_Group.h:
        * ace/Monitor_Control/Monitor_Group.cpp:

          Restored support for string data type in
          monitor storage, by moving data types,
          members and methods from their original
          location in an earlier version of the
          Notification Service monitor classes,
          to the appropriate locations in ACE.

Thu Jun 26 02:45:21 UTC 2008  Phil Mesnier  <mesnier_p@ociweb.com>

        * THANKS: added Ittehad Shaikh

Wed Jun 25 15:05:29 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * apps/gperf/src/Makefile.am:

          Rename executable from gperf to ace_gperf.

Wed Jun 25 14:59:13 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * apps/gperf/tests/Makefile.am:

          Re-tabify.

Wed Jun 25 14:09:52 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpmbuild/ace-tao-config.patch
          Removed ACE_GPERF

        * rpmbuild/ace-tao.spec:
          Document changes

        * rpmbuild/ace-tao-gperf-info.patch:
          Removed, not needed anymore

Wed Jun 25 13:29:13 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:
        * configure.ac:

          Remove feature test and autoheader template for
          ACE_HAS_BROKEN_NETBSD_MSYNC.

        * ace/OS_NS_sys_mman.inl:

          Remove the use of the ACE_HAS_BROKEN_NETBSD_MSYNC feature test
          macro. It was removed since ACE no longer supports the systems
          that required it.

Wed Jun 25 11:23:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/Monitor_Control/Bytes_Received_Monitor.cpp:

          Tue Jun 24 11:46:41 UTC 2008  Jeff Parsons committed
          Miss-cased ACE_TEXT.

Wed Jun 25 10:00:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/fuzz.pl:

          Enhance ACE_TMAIN and ORB_init checks for /* .. */ comments.

Wed Jun 25 06:58:52 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/gperf/gperf.1:
        * apps/gperf/gperf.info:
        * apps/gperf/gperf.mpc:
        * apps/gperf/gperf.texi:
        * apps/gperf/ace_gperf.1:
        * apps/gperf/ace_gperf.info:
        * apps/gperf/ace_gperf.mpc:
        * apps/gperf/ace_gperf.texi:
        * apps/gperf/gperf/src/gperf.mpc:
        * apps/gperf/gperf/tests/gperf_test.mpb:
        * apps/gperf/gperf/tests/Makefile.am:
          Renamed gperf to ace_gperf to make sure we always get the gperf
          from ace, fedora also has a regular gperf package

        * include/makeinclude/platform_vxworks5.5.x.GNU:
        * include/makeinclude/platform_vxworks6.2.GNU:
        * include/makeinclude/platform_vxworks6.3.GNU:
          Updated for gperf rename

        * rpmbuild/ace-tao.spec:
          Removed gperf rename which only was done in the rpm package.
          This fixes bugzilla 3342

Wed Jun 25 05:59:52 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * include/makeinclude/platform_netbsd.GNU:

          Conditionally set no_hidden_visibility to 1.

Tue Jun 24 13:52:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Bug_2980_Regression_Test.cpp:
        * tests/tests.mpc:

          Remove ACE_TMAIN from this test and stop it building on
          wide systems (as per original test). The test can not use
          ace directly.

Tue Jun 24 13:30:31  2008  Steve Huston  <shuston@riverace.com>

        * ace/CDR_Stream.h: For ACE_OutputCDR, note that attempting to set a
          specific byte order requires ACE_ENABLE_SWAP_ON_WRITE to have any
          affect. Thanks to Howard Finer for pointing this out.

Tue Jun 24 11:46:41 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Control/Bytes_Received_Monitor.cpp:
        * ace/Monitor_Control/Packets_Received_Monitor.cpp:
        * ace/Monitor_Control/Bytes_Sent_Monitor.cpp:
        * ace/Monitor_Control/Packets_Sent_Monitor.cpp:

          For Solaris and *BSD WChar builds, ACE_TEXT-ified the argument
          in the call to the platform-specific base class
          constructor.

Tue Jun 24 11:02:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/Svc_Conf_Token_Table.h:

          commit generated 3rd file.
          Fix the dependancies for FC6_Compact_NoInline build.

Tue Jun 24 09:45:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Bug_2980_Regression_Test.cpp:
        * tests/tests.mpc:

          Manually add the ACE_TMAIN code to this test.

Tue Jun 24 00:03:27 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Monitor_Control/BSD_Network_Interface_Monitor.cpp:
        * ace/Monitor_Control/BSD_Network_Interface_Monitor.h:

          Changed to fetch current value in constructor, and subtract
          that from subsequent values in each update() call.

Mon Jun 23 15:28:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/Svc_Conf_y.cpp:

          Fix fuzz errors incorrect ACE_TMAIN/main use; commit generated 2nd.

Mon Jun 23 15:27:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/Svc_Conf.y:

          Fix fuzz errors incorrect ACE_TMAIN/main use; commit source 1st.

Mon Jun 23 13:51:23 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Control/Windows_Monitor.h:

          Changed class member type from ACE_CString to ACE_TString
          to accomondate Unicode builds.

        * ace/Monitor_Control/Windows_Monitor.cpp:

          Removed incorrect use of ACE_TEXT wrapper on a non-literal.

Mon Jun 23 12:34:35 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * bin/tao_other_tests.lst:

          Added the new Notify Timeout test.

Mon Jun 23 12:09:26 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * examples/C++NPv2/display_logfile.cpp: Divided an ACE_TCHAR
          string by sizeof (ACE_TCHAR) to get the appropriate size.
          Thanks to J.T. <jtc at acorntoolworks dot com> for reporting
          this.

Mon Jun 23 11:12:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/Svc_Conf_y.cpp:
        * bin/LabVIEW_RT/labview_test_controller/test.cpp:
        * ASNMP/examples/trap/trap.cpp:
        * ASNMP/examples/get/get.cpp:
        * ASNMP/examples/get/get_async.cpp:
        * ASNMP/examples/set/set.cpp:
        * ASNMP/examples/next/next.cpp:
        * ASNMP/examples/walk/walk.cpp:
        * netsvcs/clients/Tokens/mutex/test_mutex.cpp:
        * performance-tests/RPC/client.cpp:
        * tests/Bug_2980_Regression_Test.cpp:

          Fix fuzz errors incorrect ACE_TMAIN/main use.

Sun Jun 22 17:23:08 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Control/CPU_Load_Monitor.cpp:
        * ace/Monitor_Control/Memory_Usage_Monitor.cpp:
        * ace/Monitor_Control/Num_Threads_Monitor.cpp:

          Fix to clear_i() implementation for these monitors that
          compiled only on Windows.

Fri Jun 20 20:40:50 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Size.cpp:
        * ace/Monitor_Base.cpp:
        * ace/Monitor_Base.h:

          Moved stats features from the Notification Service monitor
          class to the ACE base class.

        * ace/Monitor_Control/Windows_Multi_Instance_Monitor.cpp:
        * ace/Monitor_Control/Linux_Network_Interface_Monitor.cpp:
        * ace/Monitor_Control/CPU_Load_Monitor.h:
        * ace/Monitor_Control/Bytes_Received_Monitor.cpp:
        * ace/Monitor_Control/Windows_Monitor.h:
        * ace/Monitor_Control/Packets_Received_Monitor.cpp:
        * ace/Monitor_Control/Memory_Usage_Monitor.h:
        * ace/Monitor_Control/Monitor_Group.h:
        * ace/Monitor_Control/Null_Network_Interface_Monitor.cpp:
        * ace/Monitor_Control/BSD_Network_Interface_Monitor.h:
        * ace/Monitor_Control/Solaris_Network_Interface_Monitor.h:
        * ace/Monitor_Control/Num_Threads_Monitor.h:
        * ace/Monitor_Control/Bytes_Sent_Monitor.h:
        * ace/Monitor_Control/CPU_Load_Monitor.cpp:
        * ace/Monitor_Control/Packets_Sent_Monitor.h:
        * ace/Monitor_Control/Windows_Monitor.cpp:
        * ace/Monitor_Control/Monitor_Group.cpp:
        * ace/Monitor_Control/Memory_Usage_Monitor.cpp:
        * ace/Monitor_Control/Linux_Network_Interface_Monitor.h:
        * ace/Monitor_Control/Windows_Multi_Instance_Monitor.h:
        * ace/Monitor_Control/BSD_Network_Interface_Monitor.cpp:
        * ace/Monitor_Control/Bytes_Received_Monitor.h:
        * ace/Monitor_Control/Solaris_Network_Interface_Monitor.cpp:
        * ace/Monitor_Control/Packets_Received_Monitor.h:
        * ace/Monitor_Control/Null_Network_Interface_Monitor.h:
        * ace/Monitor_Control/Num_Threads_Monitor.cpp:
        * ace/Monitor_Control/Bytes_Sent_Monitor.cpp:
        * ace/Monitor_Control/Packets_Sent_Monitor.cpp:

          Implemented overrides of clear_i() for all the OS
          monitors.

Fri Jun 20 20:25:12 UTC 2008  Steve Huston  <shuston@riverace.com>

        * bin/PerlACE/README: Edited to reflect the change in process for
          referring to test components. Components are now referred to with
          numbers instead of names.

        * bin/PerlACE/TestTarget.pm: In create_target(), warn if the component
          is not a number.

        * bin/PerlACE/ProcessLVRT.pm: Don't try to close an undefined Telnet.

        * bin/tao_orb_tests.lst: Removed the LabVIEW_RT disabling on
          Bug_2702_Regression, Oneway_Send_Timeouts, and Abstract_Interface.

        * tests/run_test.pl: Changed the target component from "ace" to 1 per
          new component referring convention.

Fri Jun 20 18:40:10 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * bin/PerlACE/Run_Test.pm:

          Removed references to HostProcess and TargetProcess.

        * bin/PerlACE/TestTarget.pm:
        * bin/PerlACE/TestTarget_VxWorks.pm:

          Added a new test target for VxWorks.  It currently has no reboot
          related functionality.

        * bin/PerlACE/TestTarget_LVRT.pm:

          Added the ability to accept multiple files for the DeleteFile
          method as unlink does.

        * bin/PerlACE/HostProcess.pm:
        * bin/PerlACE/TargetProcess.pm:

          Removed these files.

Fri Jun 20 15:15:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/fuzz.pl:

          Small bug in white space compaction.

Fri Jun 20 14:15:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/fuzz.pl:

          Enhance ACE_TMAIN check for multi-line detection and remove
          detection level for this check.

Fri Jun 20 12:09:53 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * examples/IPC_SAP/SSL_SAP/SSL-client-simple.cpp:
        * examples/IPC_SAP/SSL_SAP/SSL-client.cpp:

          Added static_cast's to avoid warnings from vc8.

Thu Jun 19 16:21:07  2008  Steve Huston  <shuston@riverace.com>

        * ace/CDR_Base.h:
        * ace/CDR_Stream.h: Added a enum to ACE_CDR with the values for
          byte ordering specifier. Moved the setting of ACE_CDR_BYTE_ORDER
          from CDR_Stream.h to CDR_Base.h so it can be used in the enum.
          These make it easier for users to figure out what to do when they
          want to force a specific byte ordering.
          Also did a little more doxygen cleanup.

Thu Jun 19 15:11:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/fuzz.pl:

          Enable ORB_init() 3rd parameter null string check.

Thu Jun 19 14:11:04 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Monitor_Control/BSD_Network_Interface_Monitor.cpp:

          Explicitly #include <sys/ioctl.h> and <net/if.h> for non-inline
          builds.

Wed Jun 18 17:36:34 UTC 2008  Yan Dai  <dai_y@ociweb.com>

        * ace/Stack_Trace.cpp:

          Moved pragma disable warning directives from inside of function to
          outside to take effect.

Wed Jun 18 17:27:51  2008  Steve Huston  <shuston@riverace.com>

        * ace/CDR_Stream.h: Some doxygen improvements.

Wed Jun 18 15:36:11 UTC 2008  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_orb_tests.lst:

          Added new run_test scripts for the special variants of the TAO
          POA EndpointPolicy test.

Wed Jun 18 13:20:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/fuzz.pl:

          Redo check for wide character incompatabilty ORB_init() miss-use.
          Caters for multi-line ORB_init.

Wed Jun 18 12:16:48 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * bin/PerlACE/Run_Test.pm:

          Increase the process start wait time for QNX.

Wed Jun 18 10:43:20  UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_icc.GNU:
          Don't use deprecated options

Wed Jun 18 09:50:20  UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * README:
        * ACE-INSTALL.html:
          Updated

Tue Jun 17 22:43:20  2008  Steve Huston  <shuston@riverace.com>

        * ace/Reactor.h: Clarify that calling remove_handler() for a signal
          handler does not invoke the handler's handle_close() callback. Also
          note that this behavior is under debate in Bugzilla #2368. Thanks to
          Bill Kendall <wkendall at sgi dot com> for calling this to attention.

        * THANKS: Added Bill Kendall.

Tue Jun 17 15:36:49 UTC 2008  Yan Dai  <dai_y@ociweb.com>

        * ace/Stack_Trace.cpp:

          Disabled warning C4706 in load_dbghelp_library_if_needed()
          and enabled afterwards on windows.

Tue Jun 17 13:55:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/fuzz.pl:

          Add check for wide character incompatabilty ORB_init() miss-use.

Tue Jun 17 12:40:03 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Monitor_Control/BSD_Network_Interface_Monitor.cpp:

          Explicitly #include <sys/sockio.h> for non-inline builds.

Tue Jun 17 09:30:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * apps/JAWS/clients/WebSTONE/src/bench.c:
        * apps/JAWS/clients/WebSTONE/src/errexit.c:
        * apps/JAWS/clients/WebSTONE/src/genrand.c:
        * apps/JAWS/clients/WebSTONE/src/timefunc.c:
        * apps/JAWS/clients/WebSTONE/src/webclient.c:
        * apps/JAWS/clients/WebSTONE/src/webmaster.c:

          Fuzz errors, Untabify.

Tue Jun 17 08:13:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * include/make_include/platform_sunos5_common.GNU:

          Changed default "kstat ?= 1" at Johnny Willemsens request.

Tue Jun 17 06:42:51 UTC 2008  Yan Dai  <dai_y@ociweb.com>

        * ace/Stack_Trace.cpp:

          Fixed declared method (determine_starting_frame) never referenced
          warning on HP aCC build.

Mon Jun 16 21:26:05 UTC 2008  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/fuzz.pl:

          Enable check_for_tab for all files in the repository.

Mon Jun 16 21:22:03 UTC 2008  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * apps/JAWS/clients/Caching/Local_Locator.cpp:
        * apps/JAWS/clients/WebSTONE/src/bench.c:
        * apps/JAWS/clients/WebSTONE/src/errexit.c:
        * apps/JAWS/clients/WebSTONE/src/genrand.c:
        * apps/JAWS/clients/WebSTONE/src/get.c:
        * apps/JAWS/clients/WebSTONE/src/gettimeofday.c:
        * apps/JAWS/clients/WebSTONE/src/parse_file_list.c:
        * apps/JAWS/clients/WebSTONE/src/rexec.c:
        * apps/JAWS/clients/WebSTONE/src/statistics.c:
        * apps/JAWS/clients/WebSTONE/src/sysdep.c:
        * apps/JAWS/clients/WebSTONE/src/timefunc.c:
        * apps/drwho/Hash_Table.cpp:

          Untabify.

Mon Jun 16 20:24:45 UTC 2008  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * apps/Gateway/Gateway/Connection_Handler.cpp:
        * apps/Gateway/Gateway/Event_Forwarding_Discriminator.cpp:
        * apps/Gateway/Peer/Options.cpp:
        * apps/JAWS/clients/Blobby/Options.cpp:
        * apps/JAWS/clients/Blobby/blobby.cpp:
        * apps/JAWS/clients/Caching/ID_Generator.cpp:
        * apps/JAWS/clients/Caching/Local_Locator.cpp:
        * apps/JAWS/clients/Caching/Locator_Request_Reply.cpp:
        * apps/JAWS/clients/Caching/URL_Properties.inl:
        * apps/JAWS/clients/WebSTONE/src/bench.c:
        * apps/JAWS/clients/WebSTONE/src/cgi-send.c:
        * apps/JAWS/clients/WebSTONE/src/get.c:
        * apps/JAWS/clients/WebSTONE/src/getopt.c:
        * apps/JAWS/clients/WebSTONE/src/nsapi-send.c:
        * apps/JAWS/server/HTTP_Config.cpp:
        * apps/JAWS/server/HTTP_Handler.cpp:
        * apps/JAWS/server/HTTP_Helpers.cpp:
        * apps/JAWS/server/HTTP_Response.cpp:
        * apps/JAWS/server/HTTP_Server.h:
        * apps/JAWS/server/HTTP_Server.cpp:
        * apps/JAWS/stress_testing/benchd.cpp:
        * apps/JAWS/stress_testing/connection.cpp:
        * apps/JAWS/stress_testing/http_tester.cpp:
        * apps/JAWS2/JAWS/Cache_Hash_T.h:
        * apps/JAWS2/JAWS/Hash_Bucket_T.h:
        * apps/drwho/File_Manager.cpp:
        * apps/drwho/Hash_Table.cpp:
        * apps/drwho/PMC_All.cpp:
        * apps/drwho/PMC_Flo.cpp:
        * apps/drwho/PMC_Ruser.cpp:
        * apps/drwho/PMC_Usr.cpp:
        * apps/drwho/PMS_Ruser.cpp:
        * apps/drwho/PM_Client.cpp:
        * apps/drwho/Rwho_DB_Manager.cpp:
        * apps/gperf/src/Gen_Perf.cpp:

          Untabify.

Mon Jun 16 19:06:38 UTC 2008  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ace/config-borland-common.h:
        * ace/config-hpux-11.00.h:
        * ace/config-mvs.h:
        * ace/config-win32-dmc.h:
        * ace/config-win32-ghs.h:
        * ace/config-win32-msvc.h:

          Fixes for MCPP preprocessing on Windows.

Mon Jun 16 19:06:44 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Acceptor.cpp:
        * ace/Connector.cpp:
        * ace/Strategies_T.cpp:

          Use the NORMAL_CLOSE_OPERATION enum value when closing the service
          handler during activation.

Mon Jun 16 18:33:34 UTC 2008  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * examples/ASX/UPIPE_Event_Server/Peer_Router.cpp:
        * examples/OS/Process/imore.cpp:
        * examples/Reactor/Proactor/test_proactor3.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Stream.cpp:

          Untabify.

Mon Jun 16 18:00:26 UTC 2008  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * ASNMP/examples/get/get.cpp:
        * ASNMP/examples/get/get_async.cpp:
        * ASNMP/examples/next/next.cpp:
        * ASNMP/examples/set/set.cpp:

          Untabify.

Mon Jun 16 17:53:00 UTC 2008  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * examples/IPC_SAP/SPIPE_SAP/consumer_msg.cpp:
        * examples/IPC_SAP/SPIPE_SAP/consumer_read.cpp:
        * examples/IPC_SAP/TLI_SAP/db-client.cpp:
        * examples/Log_Msg/Log_Msg_MFC/Log_Msg_MFC.h:
        * examples/Log_Msg/Log_Msg_MFC/Log_Msg_MFCDlg.h:
        * examples/Log_Msg/Log_Msg_MFC/StdAfx.h:
        * examples/Log_Msg/Log_Msg_MFC/StdAfx.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Dgram.inl:

          Untabify.

Mon Jun 16 17:27:36 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * bin/PerlACE/TargetProcess.pm:

          Remove the "use" of PerlACE::ProcessVX.  It is already used in
          PerlACE::Process and using it in this module causes things to be
          evaluated incorrectly with respect to @ARGV.

Mon Jun 16 17:01:19 UTC 2008  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/fuzz.pl:

          Enable check_for_tab check for ACE_ROOT/examples

Mon Jun 16 16:54:25 UTC 2008  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * examples/APG/Logging/Callback-2.h:
        * examples/APG/Logging/Callback-3.h:
        * examples/APG/Logging/Use_Logger.cpp:
        * examples/APG/Threads/Message_Queue.cpp:
        * examples/APG/Timers/CB.h:
        * examples/APG/Timers/PCB.cpp:
        * examples/ASX/CCM_App/SC_Server.cpp:
        * examples/ASX/Event_Server/Event_Server/Consumer_Router.cpp:
        * examples/ASX/Event_Server/Event_Server/Event_Analyzer.cpp:
        * examples/ASX/Event_Server/Event_Server/Peer_Router.cpp:
        * examples/ASX/Event_Server/Event_Server/Supplier_Router.cpp:
        * examples/ASX/Message_Queue/bounded_buffer.cpp:
        * examples/ASX/Message_Queue/priority_buffer.cpp:
        * examples/ASX/UPIPE_Event_Server/Peer_Router.cpp:
        * examples/Bounded_Packet_Relay/BPR_Drivers.cpp:
        * examples/Bounded_Packet_Relay/Thread_Bounded_Packet_Relay.cpp:
        * examples/Bounded_Packet_Relay/bpr_thread.cpp:
        * examples/C++NPv2/display_logfile.cpp:
        * examples/Connection/misc/Connection_Handler.h:
        * examples/IPC_SAP/ATM_SAP/CPP-client.cpp:
        * examples/IPC_SAP/ATM_SAP/CPP-server.cpp:
        * examples/IPC_SAP/DEV_SAP/writer/writer.cpp:
        * examples/IPC_SAP/FIFO_SAP/FIFO-Msg-server.cpp:
        * examples/IPC_SAP/FIFO_SAP/FIFO-client.cpp:
        * examples/IPC_SAP/FIFO_SAP/FIFO-test.cpp:
        * examples/IPC_SAP/FILE_SAP/client.cpp:
        * examples/IPC_SAP/SOCK_SAP/C-inclient.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-unclient.cpp:
        * examples/IPC_SAP/SPIPE_SAP/NPServer.cpp:
        * examples/IPC_SAP/SPIPE_SAP/producer_msg.cpp:
        * examples/IPC_SAP/TLI_SAP/CPP-ATM-client.cpp:
        * examples/IPC_SAP/TLI_SAP/CPP-ATM-server.cpp:
        * examples/IPC_SAP/TLI_SAP/CPP-client.cpp:
        * examples/IPC_SAP/TLI_SAP/CPP-server.cpp:
        * examples/IPC_SAP/TLI_SAP/db-client.cpp:
        * examples/IPC_SAP/TLI_SAP/ftp-client.cpp:
        * examples/Log_Msg/Log_Msg_MFC/Log_Msg_MFC.h:
        * examples/Log_Msg/Log_Msg_MFC/Log_Msg_MFC.cpp:
        * examples/Log_Msg/Log_Msg_MFC/Log_Msg_MFCDlg.h:
        * examples/Log_Msg/Log_Msg_MFC/Log_Msg_MFCDlg.cpp:
        * examples/Logger/Acceptor-server/server_loggerd.h:
        * examples/Logger/Acceptor-server/server_loggerd.cpp:
        * examples/Logger/simple-server/Logging_Handler.cpp:
        * examples/Logger/simple-server/server_loggerd.cpp:
        * examples/Mem_Map/IO-tests/test_io.cpp:
        * examples/Misc/test_get_opt.cpp:
        * examples/Misc/test_profile_timer.cpp:
        * examples/OS/Process/imore.cpp:
        * examples/QOS/Change_Receiver_FlowSpec/Receiver_QoS_Event_Handler.cpp:
        * examples/Reactor/FIFO/client.cpp:
        * examples/Reactor/FIFO/server.cpp:
        * examples/Reactor/Misc/notification.cpp:
        * examples/Reactor/Misc/test_signals_1.cpp:
        * examples/Reactor/Misc/test_signals_2.cpp:
        * examples/Reactor/Ntalker/ntalker.cpp:
        * examples/Reactor/Proactor/test_cancel.h:
        * examples/Reactor/Proactor/test_cancel.cpp:
        * examples/Reactor/Proactor/test_multiple_loops.cpp:
        * examples/Reactor/Proactor/test_proactor3.cpp:
        * examples/Reactor/Proactor/test_timeout.cpp:
        * examples/Reactor/Proactor/test_timeout_st.cpp:
        * examples/Registry/test_registry_update.cpp:
        * examples/Service_Configurator/IPC-tests/client/broadcast_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/client/local_dgram_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/client/local_pipe_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/client/local_stream_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_CODgram.inl:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Dgram.inl:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_FIFO.inl:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Pipe.inl:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_SPIPE.inl:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Stream.inl:
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Dgram.inl:
        * examples/Service_Configurator/IPC-tests/server/Handle_Thr_Stream.cpp:
        * examples/Service_Configurator/Misc/Timer_Service.cpp:
        * examples/Shared_Memory/test_SV.cpp:
        * examples/System_V_IPC/SV_Message_Queues/TMQ_Client.cpp:
        * examples/Threads/recursive_mutex.cpp:
        * examples/Threads/task_one.cpp:
        * examples/Threads/thread_manager.cpp:
        * examples/Threads/token.cpp:

          Untabify.

Mon Jun 16 16:04:40  2008  Steve Huston  <shuston@riverace.com>

        * bin/PerlACE/TestTarget.pm: When getting the exe subdir for a
          target, pick up the command line setting if the "default" target
          is in use. This should fix the broken exesubdir TAO builds.

Mon Jun 16 15:45:45 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Control/Null_Network_Interface_Monitor.cpp:
        * ace/Monitor_Control/Null_Network_Interface_Monitor.h:

          New files, defining a base class for tne network interface OS
          monitors when the monitor framework itself is enabled but no
          platform-specific OS monitor flags are defined, whether because
          the platform itself does not support native system-level
          monitoring, or because the Linux, Windows or Solaris OS
          monitor flags has been turned off for some reason.

        * ace/Monitor_Control/Monitor_Control.mpc:
        * ace/Monitor_Control/Bytes_Sent_Monitor.h:
        * ace/Monitor_Control/Packets_Sent_Monitor.h:
        * ace/Monitor_Control/Linux_Network_Interface_Monitor.h:
        * ace/Monitor_Control/Bytes_Received_Monitor.h:
        * ace/Monitor_Control/Packets_Received_Monitor.h:

          Incorporated the new no-op network interface monitor base class
          into the existing network interface monitor classes. If this
          new base class is used, the monitor's value will always be 0,
          and its update() method will be a no-op.

Mon Jun 16 12:12:16 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/config-sunos5.5.h:

          Reverted addition of ACE_HAS_KSTAT flag in

          Fri Jun 13 14:00:00 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

          Thanks to Johnny Willemsen <jwillemsen@remedy.nl>, we now
          know that the correct way to do this is to set kstat=1
          in platform_macros.GNU.

Mon Jun 16 11:28:11 UTC 2008  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/fuzz.pl:

          Enable check_for_tab check for TAO/tests/examples and TAO/performance-tests

Mon Jun 16 10:30:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Max_Default_Port_Test.cpp:

          Un-tabify.

Mon Jun 16 10:20:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/Monitor_Control/BSD_Network_Interface_Moinitor.cpp:

          Correct Fuzz errors (removed NULL).

Mon Jun 16 01:01:27 UTC 2008  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/fuzz.pl:

          Enable check_for_tab check for TAO/tests

Sun Jun 15 16:03:29 UTC 2008  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/fuzz.pl:

          Enable check_for_tab check for TAO/orbsvcs

Sun Jun 15 13:23:13 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-linux-common.h:
          Added ACE_LACKS_STRRECVFD when no streams are available (like fc9)

        * rpmbuild/ace-tao-strrecvfd.patch:
          Deleted

        * rpmbuild/ace-tao.spec:
          Patch 6 is not needed anymore

        * ace/Strategies_T.h:
          Doxygen change

Sun Jun 15 03:08:53 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Monitor_Control/Monitor_Control.mpc:

          Add BSD_Network_Interface_Monitor.cpp to Source_Files section.

Fri Jun 13 14:50:28 UTC 2008  Simon Massey <sma at prismtech dot com>

          Add BSD_Network_Interface_Monitor.cpp and

          untab-ified to remove fuzz errors.

Fri Jun 13 14:45:28 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Control/Windows_Multi_Instance_Monitor.cpp:

          Removed unused local variable.

Fri Jun 13 14:31:35 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * ace/Stack_Trace.cpp (Solaris section):

          Yesterday's addition of support for 64-bit SPARC broke on x86.

Fri Jun 13 14:00:00 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/config-sunos5.5.h:

          Added #define of ACE_HAS_KSTAT, used by the OS monitors in
          ace/Monitor_Control on Solaris platforms to guard the
          visibility of Solaris-specific code and base classes.

Fri Jun 13 13:40:39 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Monitor_Control/Makefile.am:

          Add BSD_Network_Interface_Monitor.cpp and
          Solaris_Network_Interface_Monitor.cpp to Headers_File section.

        * ace/Monitor_Control/Bytes_Received_Monitor.cpp:
        * ace/Monitor_Control/Bytes_Received_Monitor.h:
        * ace/Monitor_Control/Bytes_Sent_Monitor.cpp:
        * ace/Monitor_Control/Bytes_Sent_Monitor.h:
        * ace/Monitor_Control/Packets_Received_Monitor.cpp:
        * ace/Monitor_Control/Packets_Received_Monitor.h:
        * ace/Monitor_Control/Packets_Sent_Monitor.cpp:
        * ace/Monitor_Control/Packets_Sent_Monitor.h:

          Inherit from BSD_Network_Interface_Monitor on FreeBSD,
          NetBSD, and OpenBSD systems.

        * ace/Monitor_Control/BSD_Network_Interface_Monitor.cpp:
        * ace/Monitor_Control/BSD_Network_Interface_Monitor.h:

          New files, network interface monitor for systems with 4.4BSD
          derived network stack.

Fri Jun 13 13:24:11 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Control/Linux_Network_Interface_Monitor.cpp:
        * ace/Monitor_Control/Bytes_Received_Monitor.cpp:
        * ace/Monitor_Control/Packets_Received_Monitor.cpp:
        * ace/Monitor_Control/Bytes_Sent_Monitor.h:
        * ace/Monitor_Control/Packets_Sent_Monitor.h:
        * ace/Monitor_Control/Linux_Network_Interface_Monitor.h:
        * ace/Monitor_Control/Bytes_Received_Monitor.h:
        * ace/Monitor_Control/Packets_Received_Monitor.h:
        * ace/Monitor_Control/Bytes_Sent_Monitor.cpp:
        * ace/Monitor_Control/Packets_Sent_Monitor.cpp:

          Added '|| defined (AIX)' to every occurrence of
          '#if defined (linux)' to eliminate build errors on the
          latter platform.

Thu Jun 12 21:57:33 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:
        * configure.ac:

          Remove feature test for ACE_HAS_TEMPLATE_SPECIALIZATION.

        * ace/config-borland-common.h:
        * ace/config-cray.h:
        * ace/config-cxx-common.h:
        * ace/config-g++-common.h:
        * ace/config-hpux-11.00.h:
        * ace/config-icc-common.h:
        * ace/config-integritySCA.h:
        * ace/config-irix6.x-sgic++.h:
        * ace/config-mvs.h:
        * ace/config-openvms.h:
        * ace/config-suncc-common.h:
        * ace/config-sunos5.4-sunc++-4.x.h:
        * ace/config-sunos5.5.h:
        * ace/config-sunos5.6.h:
        * ace/config-tandem-nsk-mips-v2.h:
        * ace/config-tandem-nsk-mips-v3.h:
        * ace/config-tru64.h:
        * ace/config-unixware-7.1.0.udk.h:
        * ace/config-win32-dmc.h:
        * ace/config-win32-ghs.h:
        * ace/config-win32-msvc-8.h:
        * ace/config-win32-msvc-9.h:
        * ace/config-win32-msvc-7.h:

          Remove unused #define of ACE_HAS_TEMPLATE_SPECIALIZATION.  This
          feature test macro is no longer used.

Thu Jun 12 18:47:54 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Control/Solaris_Network_Interface_Monitor.h:
        * ace/Monitor_Control/Solaris_Network_Interface_Monitor.cpp:

          New files, containing a base class used with
          Bytes_Received_Monitor, Bytes_Sent_Monitor,
          Packets_Received_Monitor and Packets_Sent_Monitor
          when they are compiled on Solaris platforms.

        * ace/Monitor_Control/Windows_Multi_Instance_Monitor.cpp:
        * ace/Monitor_Control/Linux_Network_Interface_Monitor.cpp:
        * ace/Monitor_Control/CPU_Load_Monitor.h:
        * ace/Monitor_Control/Bytes_Received_Monitor.cpp:
        * ace/Monitor_Control/Windows_Monitor.h:
        * ace/Monitor_Control/Packets_Received_Monitor.cpp:
        * ace/Monitor_Control/Memory_Usage_Monitor.h:
        * ace/Monitor_Control/Monitor_Control.mpc:
        * ace/Monitor_Control/Num_Threads_Monitor.h:
        * ace/Monitor_Control/Bytes_Sent_Monitor.h:
        * ace/Monitor_Control/CPU_Load_Monitor.cpp:
        * ace/Monitor_Control/Packets_Sent_Monitor.h:
        * ace/Monitor_Control/Windows_Monitor.cpp:
        * ace/Monitor_Control/Memory_Usage_Monitor.cpp:
        * ace/Monitor_Control/Linux_Network_Interface_Monitor.h:
        * ace/Monitor_Control/Windows_Multi_Instance_Monitor.h:
        * ace/Monitor_Control/Bytes_Received_Monitor.h:
        * ace/Monitor_Control/Packets_Received_Monitor.h:
        * ace/Monitor_Control/Num_Threads_Monitor.cpp:
        * ace/Monitor_Control/Bytes_Sent_Monitor.cpp:
        * ace/Monitor_Control/Packets_Sent_Monitor.cpp:

          - Changed required to complete the support of
            network interface monitors on Solaris.

          - Changed guards for Windows-specific header file
            inclusion to use the recently added ACE_HAS_PDH_H,
            which in turn guards the definition of the
            ACE_HAS_WIN32_PDH flag used in source code.

          - Changed the names of the platform-specific monitor
            update methods to update_i(), from the distinct
            names they had before. This changed allowed the
            elimination of many #ifdef guards in source code.

Thu Jun 12 17:42:47 UTC 2008  Steve Huston  <shuston@riverace.com>

        * bin/PerlACE/Process.pm:
        * bin/PerlACE/Process_Win32.pm: Moved the Target sub from Process_Win32
          to Process so everybody can see it. Thanks to Chad Elliott for
          finding and suggesting the correction for it.

Thu Jun 12 16:04:33 UTC 2008  Steve Huston  <shuston@riverace.com>

        * bin/tao_orb_tests.lst: Disabled newly added tests on LabVIEW_RT.

        * bin/PerlACE/README: Describes how the ACE+TAO test procedures work.
          Includes a description of how to drive the generalized ability to
          redirect execution of tests off of the build host.

        * bin/PerlACE/TestTarget.pm:
        * bin/PerlACE/TestTarget_LVRT.pm:
        * bin/PerlACE/ProcessLVRT.pm:
        * bin/PerlACE/Process_Win32.pm: Add the ability to configure various
          aspects of ACE+TAO (+CIAO I guess, but haven't tried that) to run
          on machines other than the build host and with alternate roots
          (ACE_ROOT, TAO_ROOT). This is an effort to generalize the ability
          to run off of the build host without adding more switches and options
          and convoluted settings and platform-specific code in the main
          scripts. The README file explains how to set up modules to extend
          testing to other platforms. LabVIEW_RT is the only one there now;
          VxWorks is an obvious addition and would allow a bunch of special-case
          code to be removed from the main scripts. The test-driving script
          does require some change to take advantage of this capability. ACE
          tests in ACE_wrappers/tests have the change. A few TAO tests do
          (see TAO ChangeLog). Without the changes to the test-driving script
          everything behaves as it always did.

        * tests/run_test.pl: Uses the new TestTarget capability, naming the
          test target "ace". Thus, to redirect these tests to another machine,
          set the DOC_TEST_ACE environment variable with a configuration name
          and set configuration variables accordingly.

Thu Jun 12 14:38:19 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * ace/Stack_Trace.h:
        * ace/Stack_Trace.cpp:

          Added support for SPARCv9 (64-bit).
          Reverted the Win32 assembly back to the simplest form, we had tried
          to make it compatible with Borland but it still didn't work.  As of
          now ACE compiled by Borland will not generate stack traces.

Thu Jun 12 12:17:52 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Stack_Trace.cpp:

          Corrected Win32 assembler compilation error.

Wed Jun 11 16:24:00 UTC 2008  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_orb_tests.lst:

          Added new test case.

Wed Jun 11 13:55:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/Time_Value.inl:
        * ace/Time_Value.h:

          Add extra inline void msec(int) that calls void msec(long)
          to avoid amiguity between void msec(long) and void msec(_int64 &)
          when natual sized integers are given (which seems to be
          quite often).

Wed Jun 11 13:02:22 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * bin/PerlACE/Run_Test.pm:

          Replaced the "use PerlACE::Process".  It is necessary to be loaded
          inside this module to ensure that all of the command line options
          can be processed.

Wed Jun 11 04:17:42 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/platform.m4:

          Remove ACE_HAS_AIX_BROKEN_SOCKET_HEADER definitions.

Wed Jun 11 03:51:32 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Remove feature test and autoheader template for
          ACE_HAS_CHARPTR_SPRINTF.  This feature test macro is no longer
          used.

Wed Jun 11 03:39:48 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Remove feature test and autoheader template for
          ACE_LACKS_FLOATING_POINT.  This feature test macro is no longer
          used.

Wed Jun 11 03:33:31 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Remove feature test and autoheader template for
          ACE_HAS_TYPENAME_KEYWORD.  This feature test macro is no longer
          used.

Wed Jun 11 03:31:02 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Remove feature test and autoheader template for
          ACE_HAS_SPARCWORKS_401_SIGNALS.  This feature test macro is no
          longer used.

Wed Jun 11 02:57:12 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:

          Remove autoheader template for ACE_HAS_AIX_BROKEN_SOCKET_HEADER.
          This feature test macro is no longer used.

Wed Jun 11 02:52:16 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Remove feature test and autoheader template for
          ACE_SELECT_USES_INT.  This feature test macro is no longer used.

Wed Jun 11 02:48:07 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:

          Remove autoheader template for HAVE_RESTARTABLE_SYSCALLS.
          This feature test macro is no longer used.

Wed Jun 11 00:17:01 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Remove feature test and autoheader template for
          ACE_HAS_IRIX_53_SIGNALS.  This feature test macro is no longer
          used.

Tue Jun 10 23:57:53 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Remove feature tests and autoheader templates for
          ACE_HAS_STD_TEMPLATE_SPECIALIZATION and
          ACE_HAS_STD_TEMPLATE_CLASS_MEMBER_SPECIALIZATION.
          These feature test macros are no longer used.

Tue Jun 10 23:52:19 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Remove feature test and autoheader template for
          ACE_HAS_BROKEN_SAP_ANY.  This feature test macro is no longer
          used.

Tue Jun 10 23:49:46 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:

          Remove autoheader template for ACE_HAS_BROKEN_NESTED_TEMPLATES.
          This feature test macro is no longer used.

Tue Jun 10 23:47:46 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:

          Remove autoheader template for ACE_HAS_SUNOS4_SIGNAL_T.
          This feature test macro is no longer used.

Tue Jun 10 23:45:34 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Remove feature test and autoheader template for
          ACE_HAS_BROKEN_CONDITIONAL_STRING_CAST.  This feature test macro
          is no longer used.

Tue Jun 10 23:43:19 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Remove feature test and autoheader template for
          ACE_HAS_BROKEN_CONVERSIONS.  This feature test macro is no
          longer used.

Tue Jun 10 23:41:11 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Remove feature test and autoheader template for
          ACE_HAS_BROKEN_NAMESPACES.  This feature test macro is no longer
          used.

Tue Jun 10 23:39:09 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:

          Remove autoheader template for ACE_HAS_SYSCALL_GETRUSAGE.  This
          feature test macro is no longer used.

Tue Jun 10 23:16:31 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Remove feature test and autoheader template for
          ACE_HAS_BROKEN_TIMESPEC_MEMBERS.  This feature test macro is no
          longer used.

Tue Jun 10 21:28:23 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/platform.m4:

          Add ACE_CHECK_GETNAME_RETURNS_RANDOM_SIN_ZERO feature check,
          which sets the ACE_GETNAME_RETURNS_RANDOM_SIN_ZERO feature test
          macro on Linux systems running kernels older than 2.5.47.  This
          is a compile time check, like was done in config-linux-common.h,
          based on the value of LINUX_VERSION_CODE from <linux/version.h>.
          This means ACE compiled on a newer Linux system but deployed on
          an older one could result in run-time failures.

          Fixes Bugzilla #3132.

Tue Jun 10 21:33:25 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/CDR_Stream.h:
        * ace/CDR_Stream.cpp:

          Replaced a Monitor class forward declaration with the full file
          include, moved from the source file to the header file. This
          move enables ACE monitor points to compile when inlining is
          turned on.

Tue Jun 10 18:46:24 UTC 2008  Yan Dai  <dai_y@ociweb.com>

        * ace/Stack_Trace.h:

          Updated comments to not exclude Borland from supported platforms.

        * ace/Stack_Trace.cpp:

          - Moved the label "x" from inside of asm to be outside. Some compiler
            does not like it.
          - Enabled LynxOS support and excluded support for gcc old versions before 3.3.

Tue Jun 10 13:56:17 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * ace/Stack_Trace.cpp:

          One more fix for Win32 wchar.

Tue Jun 10 13:32:57 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Bug_2980_Regression_Test.cpp:

          Avoid pointer-to-function and pointer-to-object warnings from g++.

Tue Jun 10 12:53:05 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * tests/SSL/SSL_Asynch_Stream_Test.cpp:

          Modified to avoid virtual method hiding.

Tue Jun 10 11:37:09 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Time_Value_Test.cpp:

          Added a static cast to avoid warnings on QNX.

Tue Jun 10 10:57:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/ACE.cpp:

          Correct presidence bug highlighted by FC9_GCC_430 build:
          ACE.cpp:1429: warning: suggest parentheses around && within ||
          ACE.cpp:1665: warning: suggest parentheses around && within ||
          ACE.cpp:1853: warning: suggest parentheses around && within ||
          The default precidence is && before ||, but the way the ||
          statements were grouped, it was clear that was not the intended
          resolution.

          Correct empty if statement bug highlighted by FC9_GCC_430 build:
          ACE.cpp:2773: warning: suggest braces around empty body in an 'if' statement

          Also removed warnings by using empty braces:
          ACE.cpp:3389: warning: suggest a space before ';' or explicit braces around empty body in 'while' statement
          ACE.cpp:3414: warning: suggest a space before ';' or explicit braces around empty body in 'while' statement


Mon Jun  9 21:38:04 UTC 2008  Yan Dai  <dai_y@ociweb.com>

        * ace/Stack_Trace.cpp:

          Passed string literals instead of ACE_TEXT string to GetProcAddress as it
          accepts LPCSTR which is defined as char*. This should fix wchar (Win32)
          build errors.

Mon Jun  9 20:52:52  2008  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_IO.h: Doxygen improvements.

Mon Jun  9 19:40:56 UTC 2008  Yan Dai  <dai_y@ociweb.com>

        * ace/Stack_Trace.h:
        * ace/Stack_Trace.cpp:

          Excluded LynxOS, MinGW and Borland builds from stack trace supported
          platforms.

Mon Jun 09 14:46:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/Stack_Trace.cpp:
        * ace/Stack_Trace.h:

          Remove TEXT() and TCHAR Fuzz errors.

Mon Jun  9 11:26:36 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * ace/ace_for_tao.mpc:

          Added Stack_Trace.cpp since Log_Msg.cpp needs it.

Mon Jun 09 10:42:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/NT_Service.cpp:

          unambiguated call to time_value msec(long) at line 437
          caused by new uint64 non-const setter provided by:
          Thu Jun  5 14:52:43 UTC 2008  Steve Huston

Sun Jun  8 18:09:22 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/platform.m4:

          Add ACE_CHECK_HAS_DLSYM_SEGFAULT_ON_INVALID_HANDLE feature
          check, which sets the ACE_HAS_DLSYM_SEGFAULT_ON_INVALID_HANDLE
          feature test macro on Linux and OpenBSD systems (as is done in
          the canned config-*.h files).  Fixes Bugzilla #3141.

Sat Jun  7 13:56:56 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Log_Msg.cpp:

          Use ACE_TEXT instead of ACE_LIB_TEXT.

Sat Jun  7 03:28:01 UTC 2008  Yan Dai  <dai_y@ociweb.com>

        Merged in stack_trace_branch that added stack trace support.

        * NEWS:

          Add an entry for stack trace support.

        * ace/Log_Msg.h:

          Added comments for "%?".

        * ace/Log_Msg.cpp:

          Added new conversion character, the question mark, which gets
          replaced by a stack trace on supported platforms.

        * ace/Stack_Trace.h:
        * ace/Stack_Trace.cpp:

          Added new class that, on supported platforms, will take a
          snapshot of the current stack when instantiated.

        * ace/ace.mpc:

          Added Stack_Trace in as source.

        * ace/config-macosx-leopard.h:

          Added ACE_HAS_EXECINFO_H define.

        * ace/Makefile.am:

          Added Stack_Trace.h and Stack_Trace.cpp.

        * configure.ac:

          Added checks for execinfo.h header.

        * tests/Stack_Trace_Test.cpp:

          New test.

        * tests/run_test.lst:
        * tests/tests.mpc:

          Added Stack_Trace_Test in.

Fri Jun  6 19:05:14 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:

          Put an eval around the require of Net::Telnet so that these
          modules can always be "used", but not necessarily employed.

        * bin/PerlACE/Run_Test.pm:

          Use PerlACE::TargetProcess and PerlACE::HostProcess so that all
          test scripts may use them.

        * bin/PerlACE/TargetProcess.pm:
        * bin/PerlACE/HostProcess.pm:

          Added modules to simplify the writing of test scripts so that
          VxWorks testing can be transparent to the script itself.  Having
          two packages allows for role reversal (using the -reverse_roles
          option to run_test.pl).  For example, if you have a test that
          consists of a server and a client, the script will look like this:

            $SV = new PerlACE::TargetProcess("server", "-o $iorfile");
            $CL = new PerlACE::HostProcess("client", "-k file://$iorfile");

          If testing for VxWorks, the server process will be run on the
          target and the client process will be run on the host.  If the
          -reverse_roles option is provided to run_test.pl, the server
          process will run on the host and the client process will run on
          the target.

Fri Jun 06 13:00:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/ACE.cpp:

          untabified.

Fri Jun 06 11:10:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/ACE.cpp:

          Added #include ace/OS_NS_fcntl.h to previous commit of
          Thu Jun  5 23:46:14 UTC 2008  J.T. Conklin.

Fri Jun  6 08:31:06 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * ace/config-hpux-11.00.h:
          According to Steve Huston HP-UX does provide strtoull and
          wcstoull but they can be used not as straight forward as
          in other compilers. I have no access to HP-UX so I added
          corresponding TODO comment about ACE_LACKS_STRTOULL and
          ACE_LACKS_WCSTOULL that I added previously.

        * ace/config-vxworks6.2.h:
        * ace/config-vxworks6.4.h:
        * ace/config-vxworks5.x.h:
        * ace/config-vxworks6.3.h:
          VxWorks doesn't provide wcstoull as well.
          Added ACE_LACKS_WCSTOULL.

Thu Jun  5 23:46:14 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ACE.cpp:

          Changed daemonize() to open /dev/null and duplicate the file
          descriptor as descriptors 0, 1, and 2 if it is invoked with the
          closed_all_handles flag set.  This avoids problems with I/O
          to/from stdin, stdout, and stderr; cin, cout, and cerr;
          etc. being written to/read from whatever files/sockets/devices
          associated with descriptors 0, 1, and 2 when they are reopened.
          This fixes Bugzilla #3338.

Thu Jun  5 16:30:58  2008  Steve Huston  <shuston@riverace.com>

        * NEWS: Added note concerning ACE_Time_Value changes from
          Thu Jun  5 14:52:43 UTC 2008  Steve Huston  <shuston@riverace.com>

Tue Jun  3 13:09:27 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/OS_main.h (wmain): Added

          ACE_BEGIN_VERSIONED_NAMESPACE_DECL
          ACE_END_VERSIONED_NAMESPACE_DECL

          to the ace_wmain_i macro.  Thanks to June Fang <june dot fang at
          gmail dot com> for reporting this.

Thu Jun  5 14:52:43 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/Time_Value.{h inl}: Added a non-const variant of
          void msec(ACE_UINT64&) - this allows the msec(ACE_UINT64&) accessor
          to be called on both const and non-const objects without error.
          Fixes Bugzilla #3336. Thanks to Simon Massey for this idea.

        * tests/Time_Value_Test.cpp: Added a const-checking msec() call and
          corrected the test case.

Thu Jun 05 13:45:00 UTC 2008  Simon Massey  <sma@prismtech.com>

        * ace/Get_Opt.cpp:
        * ace/Get_Opt.h:
        * ace/Get_Opt.inl:

          As a conveniance in wide character builds allow the
          options string to be specified as a standard narrow
          string (that is converted internally). This type of
          use is littered throughout the TAO code.

        * ace/OS_NS_stdio.cpp:
        * ace/OS_NS_stdio.h:
        * ace/OS_NS_stdio.inl:

          As a conveniance in wide character builds allow the
          fopen() call to have parameters of mixed wide/narrow
          type. This type of use is littered throughout the TAO
          code.

        * ace/OS_NS_stdlib.inl:

          Correct the mkstemp facades, they were not returning
          the modified template string under wide character builds,
          this caused the tao_idl compiler to be unable to find
          the pre-processed files to rename that it had just created.

        * examples/Log_Msg/Log_Msg_MFC/Log_Msg_MFC.mpc:
        * examples/Log_Msg/Log_Msg_MFC/Log_Msg_Unicode_MFC.mpc:

          Deleted the Unicode specific version, normal one suffices
          after all.

        * bin/tao_orb_tests.lst:

          Disabled problematic LynxOS test.

Wed Jun  4 22:45:20  2008  Steve Huston  <shuston@riverace.com>

        * ace/config-pharlap.h: Added ACE_LACKS_FILELLOCKS. My changes from
          Mon Apr 28 21:53:23 UTC 2008  Steve Huston  <shuston@riverace.com>
          exposed a call to LockFileEx, which is not present on Pharlap
          (and, therefore, not present in LabVIEW RT). The alternate API,
          LockFile, is present on Pharlap but documented as unsupported.
          Since the OS doesn't do multiple processes, there are more effective
          ways to synchronize that file locks anyway.

Wed Jun  4 20:59:16 UTC 2008  Ciju John  <johnc at ociweb dot com>

        * ace/SSL/SSL_Context.cpp:
          Fix for Bug 3337. ::SSL_add_dir_cert_subjects_to_stack() isn't
          ready for Windows.

Wed Jun  4 17:12:10 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ACE.cpp (timestamp):

          Make sure to divide sizeof timebuf by sizeof (ACE_TCHAR) to
          avoid buffer overflow. This is another instance of the same
          problem fixed in:

          Mon Jun  2 15:26:57 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

Wed Jun  4 16:05:54 UTC 2008  Steve Huston  <shuston@riverace.com>

        * tests/Time_Value_Test.cpp: Added a test case for Bugzilla #3336
          as reported by Aaron Scamehorn.

Wed Jun  4 14:36:55 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Point_Registry.cpp:
        * ace/Monitor_Base.cpp:

          Disabled warning messages reporting an unsuccessful unbind
          of a monitor from the monitor point registry. In some
          cases, it appears that the default process reactor singleton
          is destroyed before the monitor point registry. The reactor
          has an associated ACE_Message_Queue, which in turn has an
          associated monitor. Somehow in the destruction of the
          singleton, the normal chain of destructor calls, which
          would remove the monitor from the registry, is bypassed,
          leaving the removal to happen when the registry's
          destructor is called and the entry in question is no longer
          valid. In any case, this happens only at process shutdown,
          and there is no memory leak. Ways to make this happen in
          a more friendly fashion are being looked into.

Tue Jun  3 16:14:39 UTC 2008  Ken Sedgwick  <ken+5a4@bonsai.com>

        * rpmbuild/ace-tao.spec:
        * rpmbuild/ace-tao-unusedarg.patch:
        * rpmbuild/ace-tao-strrecvfd.patch:

          Added ace-tao-strrecvfd.patch (related to bug #3291).
          Changed make loop construct to abort when subcomponent fails.
          Removed PSS from TAO build list.
          Added ace-tao-unusedarg.patch (related to bug #3270).
          Made qt3 BuildRequires conditional on Fedora version.

Mon Jun  2 15:26:57 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Log_Record.cpp (format_msg): Make sure to divide sizeof ctp
          by sizeof (ACE_TCHAR) to avoid buffer overflow.  Thanks to June
          Fang <june dot fang at gmail dot com> for reporting this.

Sun Jun  1 02:01:38 UTC 2008  Ken Sedgwick  <ken+5a4@bonsai.com>

        * rpmbuild/ace-tao.spec:
        * rpmbuild/ace-tao-etc.tar.gz:
        * rpmbuild/ace-tao-orbsvcs-daemon.patch:

          Added ace-tao-orbsvcs-daemon.patch to workaround
          daemonization problems in rpm installed services.
          Fixed tao-cosconcurrency command line arguments.

Fri May 30 13:57:06 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * ace/config-vxworks6.2.h:
        * ace/config-vxworks6.4.h:
        * ace/config-vxworks5.x.h:
        * ace/config-vxworks6.3.h:
          VxWorks doesn't provide strtoull().

Fri May 30 13:48:48 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * ace/config-openvms.h:
          OpenVMS doesn't provide wcstoull() function.

Fri May 30 13:37:13 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * ace/OS_NS_stdlib.inl:
          Fixed MinGW builds.

        * ace/config-cygwin32.h:
          Disabled wcstoull() on cygwin since it doesn't provide
          such function.

Fri May 30 13:17:55 UTC 2008  Simon Massey  <sma@prismtech.com>

        * test/INET_Addr_Test_IPV6.cpp:
          Resolve Conflict #define INTERFACE with MFC under VC8.

Fri May 30 10:07:55 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * ace/config-win32-borland.h:
          Borland compilers doesn't provide strtoull() and wcstoull().

        * ace/config-sunos5.5.h:
        * ace/config-sunos5.10.h:
          wcstoull() didn't exist on Solaris until version 10.

        * ace/config-hpux-11.00.h:
          HP-UX doesn't provide strtoull() and wcstoull().

Thu May 29 16:08:01 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * ace/OS_NS_stdlib.cpp:
        * ace/OS_NS_stdlib.inl:
        * ace/OS_NS_stdlib.h:

          Added strtoull() function to ACE_OS.

        * configure.ac:

          Added a check for presence of strtoull() and wcstoull()
          in the build environment.

Thu May 29 15:15:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/INET_Addr.cpp:

          Remove tabs to avoid fuzz warning.

Thu May 29 10:15:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Bug_3332_Regression_Test.cpp:

          Remove signed/unsigned comparison warnings.

Wed May 28 18:13:15 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/INET_Addr.cpp:
        * ace/INET_Addr.h:

          Changed ACE_INET_Addr::get_host_addr(char *, int) to be thread
          safe by calling ACE_OS::inet_ntop() instead of
          ACE_OS::inet_ntoa().

          Changed ACE_INET_Addr::get_host_addr(void) to call
          INET_Addr::get_host_addr(char *, size) with a static buffer.

          Removed the special cases for VxWorks in both of the above
          methods which called inet_ntoa_b() which, according to comments,
          was for efficency and thread safety.  These are are now as
          efficent and thread safe (or not, in the case of ACE_INET_Addr::
          get_host_addr(void)) as any other target platform, but no longer
          need a string buffer member in every ACE_INET_Addr instance.

Wed May 28 13:46:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/Malloc.h:
          Eliminate a warning from some fanicaly builds.

Wed May 28 08:10:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Bug_3332_Regression_Test.cpp:
        * tests/Bug_3332_Regression_Test.txt:
        * tests/run_test.lst:
        * tests/tests.mpc:

          Regression test for the change of:
          Fri May 23 12:45:00 UTC 2008 * ace/RB_Tree.cpp.

Tue May 27 23:10:33 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:

          Adding missing template and header files.

Tue May 27 12:11:07 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * ace/ace.mpc:

          Added missing template and header files.

Mon May 26 13:54:38 UTC 2008  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h:
          Defined ACE_LACKS_POLL_H.

Mon May 26 07:28:23 UTC 2008  Ken Sedgwick  <ken+5a4@bonsai.com>

        * rpmbuild/ace-tao.spec:
          Clarified the tao-cosevent and tao-rtevent "Summary" tags.

Mon May 26 00:31:51 UTC 2008  Ken Sedgwick  <ken+5a4@bonsai.com>

        * rpmbuild/ace-tao.spec:
          Fixed rpm build error: bad tar extraction command.

Sun May 25 17:18:20 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * ace/ace.mwc:

          s/MonitorControl/Monitor_Control/

Sun May 25 04:11:37 UTC 2008  Ken Sedgwick  <ken+5a4@bonsai.com>

        * rpmbuild/ace-tao.spec:
        * rpmbuild/ace-tao-rnq.patch:
        * rpmbuild/ace-tao-config-tmplvis.patch:
        * rpmbuild/ace-tao-hasicmp.patch:
        * rpmbuild/ace-tao-obstack.patch:
        * rpmbuild/ace-tao-config-ipv6.patch:
          Removed ace-tao-obstack.patch, no longer needed.
          Converted ace-tao-config-ipv6.patch into conditional rpm script.
          Converted ace-tao-rnq.patch into conditional rpm script.
          Converted ace-tao-config-tmplvis.patch and ace-tao-hasicmp.patch
          into rpm script.

Sat May 24 19:50:46 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/modules/AutomakeWorkspaceHelper.pm:

          Adjust libpaths now that ACE_MonitorControl library has been
          renamed to just ACE_Monitor_Control.

Fri May 23 14:20:48 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/platform.m4:

          Added *mingw64* case in ACE_SET_PLATFORM_MACROS and
          ACE_CHECK_FORMAT_SPECIFIERS feature test macros.

Fri May 23 12:45:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * ace/RB_Tree.cpp:

          Enhancement to stop external pointers to retained items being
          invalidated upon key deletion.

Fri May 23 12:14:54 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Control/Auto_Update_Starter.h:

          Updated filename (which was recently changed) in a comment.
          Thanks to Simon Massey <simon.massey@prismtech.com> for
          reporting the fuzz warning.

Fri May 23 08:14:38 UTC 2008  Olli Savia  <ops@iki.fi>

        * tests/run_test.lst:

          Run Bug_2980_Regression_Test on LynxOS.

Fri May 23 00:18:24 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:

          Rename MonitorControl subdirectory to Monitor_Control, to
          adapt to this change:

          Wed May 21 19:01:10 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

Thu May 22 23:04:38 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Rename MonitorControl subdirectory to Monitor_Control, to
          adapt to this change:

          Wed May 21 19:01:10 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

Thu May 22 19:29:35 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Base.h (clear):

          Made the method virtual, since it's overridden in the
          TAO Notification Service monitors and we are now using
          the ACE monitor registry which stores everyhing as the
          ACE base class monitor.

Thu May 22 14:56:10 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
          Added support for ACE_RUN_VX_EXE_SUBDIR which can be used when
          the vxworks executables are build in a subdirectory

Thu May 22 09:47:10 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpmbuild/ace-tao-codeset.patch:
        * ace/Codeset_Registry_db.cpp:
          Merged patch into the regular registry

        * ace/OS_NS_sys_uio.cpp:
          Const change

        * ace/Service_Config.cpp:
          Layout change

        * rpmbuild/ace-tao.spec:
          Removed codeset patch

Thu May 22 09:37:10 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpmbuild/*
          New directory with files needed to create rpm's for ACE/TAO.
          These files will be improved and we will check whether the
          rpm patches can be integrated into the real config files.
          Thanks to Ken Sedgwick <ksedgwick at bonsai dot com> for
          delivering these files.

Wed May 21 19:01:10 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/MonitorControl/*:

          Changed directory name to Monitor_Control and renamed all
          contained files, classes, libs, MPC projects, ifdef guards,
          and macros similarly, to better conform to the ACE style.

        * ace/Monitor_Point_Registry.cpp:
        * ace/Monitor_Admin.h:
        * ace/Monitor_Admin.cpp:
        * bin/MakeProjectCreator/config/ace_mc.mpb:
        * examples/Monitor/Bytes_Sent/bytes_sent.cpp:
        * examples/Monitor/Bytes_Sent/Makefile.am:
        * examples/Monitor/Message_Queue_Size/message_queue_size.cpp:
        * examples/Monitor/Message_Queue_Size/Makefile.am:
        * examples/Monitor/Constraint/constraint.cpp:
        * examples/Monitor/Constraint/Makefile.am:
        * examples/Monitor/CPU_Load/cpu_load.cpp:
        * examples/Monitor/CPU_Load/Makefile.am:
        * examples/Monitor/Num_Threads/Makefile.am:
        * examples/Monitor/Num_Threads/num_threads.cpp:
        * examples/Monitor/Group/Makefile.am:
        * examples/Monitor/Group/group.cpp:
        * examples/Monitor/Memory_Usage/Makefile.am:
        * examples/Monitor/Memory_Usage/memory_usage.cpp:

          Changes corresponding to the renaming above.

Wed May 21 14:06:13 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Monitor_Base.h:
        * ace/Monitor_Base.cpp:

          Made the update() method non pure virtual.

Tue May 20 19:33:29 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Message_Queue_T.cpp:

          Added the stringified process id to the construction of
          the message queue size monitor's name, since some tests
          were showing that message queues were being created with
          the same hex address in different processes.

Tue May 20 17:55:39 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Svc_Handler.h:

          Added an enum to be used as flags parameter for close().

        * ace/Acceptor.cpp:
        * ace/Connector.cpp:
        * ace/Strategies_T.cpp:

          Use the new enum during the call to close() on the service handler
          to indicate the circumstances behind the closure.

          This is part of a set of commits for Bug 2935.

Tue May 20 09:45:21 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Ping_Socket.{h,cpp}:
          Use bool

Mon May 19 19:26:21 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Log_Msg_Test.cpp:
          On VxWorks/LynxOS we didn't test the buffer overflow, but we
          shouldn't test this when ACE_LACKS_VSNPRINTF is defined
          because it will then fail

Mon May 19 19:13:21 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Hash_Map_Manager_T.h:
          Doxygen change

        * ace/Hash_Map_Manager_T.cpp (shared_find)
          Set errno to ENOENT when the size is zero

Mon May 19 19:08:21 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added 2085 and 2243

Mon May 19 14:19:21 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/bczar/bczar.html:
          Updated mailing lists

        * docs/Download.html:
        * etc/index.html:
          Updated for x.6.5

        * ace/config-openvms.h:
          Removed sock max of 64kb

Mon May 19 02:53:21 CDT 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE version 5.6.5 released.

Fri May 16 10:13:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        Reverted change below, causes problems in the builds
        * include/makeinclude/platform_linux.GNU:
          Only set DLD and LD when they are not set yet

Fri May 16 07:50:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Based_Pointer_Test.cpp:
          Also define a public destructor to silence the gnu warning that
          we only have private

Fri May 16 07:49:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Monitor/Num_Threads/num_threads.cpp:
          Fixed compile errors when monitoring framework is disabled

Fri May 16 07:41:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Streams/Answerer.cpp:
        * examples/APG/Streams/EndTask.h:
          Replaced EndTask with TheEndTask to resolve a name conflict
          when using MinGW

Fri May 16 07:18:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux.GNU:
        * include/makeinclude/platform_linux_common.GNU:
          Support lib64 paths to detect certain features. Thanks to Ken
          Sedgwick <ksedgwick at bonsai dot com> for reporting this

        * include/makeinclude/platform_linux.GNU:
          Only set DLD and LD when they are not set yet

Thu May 15 14:00:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Based_Pointer_T.{h,inl}:
        * tests/Based_Pointer_Test.cpp:
          Fixed bugzilla 3285, make it possible to use
          ACE_Based_Pointer<void>. Thanks to Thomas Brownridge
          <thomas dot brownridge at lmco dot com> for reporting this.

Thu May 15 12:36:42 UTC 2008  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/MMAP_Memory_Pool.cpp:
          When using a default base address of 0x0 and otherwise wanting
          a fixed address, a special flag was used to imply that after the
          first address is selected the system in a call to ::mmap()
          subsequent calls to ::mmap() reuse the selected base address
          as a fixed address. This may cause problems with reloading
          persistent data if the stored data contains pointers and the
          system selected base address changes from run to run.

        * ace/config-linux-common.h:
          The default base address for the x86-64 platform cannot be 0x0.
          Doing so causes the system to choose an address which for some
          unknown reason causes SEGV errors in Malloc_T. The linux-specific
          mmap flag, MAP_32BIT, resolves those segv errors, but on x86-64
          using 0x0 as the default base address on subsequent runs cause
          a different assigned base address to be selected. If the data
          in the mapped memory contains pointers to mapped memory, those
          are then wrong and cause SEGV crashs. By experimentation, it
          seems the default base address for powerpc is appropriate for
          x86-64.

Thu May 15 10:19:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/rules.lib.GNU:
          Fixed OpenVMS specific part

Thu May 15 10:17:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Unbounded_Set_Ex.cpp:
          Fixed bug in the insert method

        * ace/Unbounded_Set_Test.cpp:
          Extended this test to reproduce the bug above and replaced all
          ACE_ASSERTS with if checks

Thu May 15 10:05:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * bin/msvc_mpc_auto_compile.pl:
          Split orbsvcs out from ciao build.

Thu May 15 07:09:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace.mpc:
          Added config-win32-msvc9.h, thanks to <tim at burmair dot com> for
          reporting this

Wed May 14 20:41:17  2008  Steve Huston  <shuston@riverace.com>

        * ace/Thread_Manager.h: Expanded the documentation, particularly for
          spawn[_n].

Wed May 14 18:30:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-irix6.x-common.h:
        * ace/config-linux-common.h:
        * ace/config-sunos5.4-g++.h:
        * ace/config-sunos5.4-sunc++-4.x.h:
        * ace/config-sunos5.5.h:
        * ace/config-tandem.h:
        * ace/config-unixware-7.1.0.h:
        * ace/config-unixware-7.1.0.udk.h:
        * ace/MonitorControl/MemoryUsageMonitor.cpp:
        * ace/MonitorControl/MemoryUsageMonitor.h:
        * ace/OS.inl:
        * ace/os_include/os_unistd.h:
        * ace/os_include/sys/os_resource.h:
        * ace/POSIX_Proactor.cpp:
        * ace/configure.ac:
          Seems we already had a ACE_HAS_SYSINFO but this is a different
          method but with the same name as we use in the monitoring code.
          Added ACE_HAS_SYS_SYSTEMINFO_H as new define, renamed the
          linux define to ACE_HAS_LINUX_SYSINFO

Wed May 14 18:14:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE.cpp:
          Layout changes

        * ace/config-vxworks5.x.h:
        * ace/OS_NS_unistd.inl:
        * ace/Sock_Connect.cpp:
          Extended for VxWorks Medusa

        * ace/Logging_Strategy.cpp:
          Initialise pointer with 0

Wed May 14 14:26:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks5.5.x.GNU:
          Detect medusa pid/pcd/pne

Wed May 14 12:34:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_pdhmsg.h:
          New file

        * ace/config-win32-common.h:
          Added ACE_HAS_PDHMSG_H

        * ace/config-win32-mingw.h:
        * ace/config-WinCE.h:
          Added ACE_LACKS_PDHMSG_H

        * ace/Makefile.am:
          Added new file

        * ace/MonitorControl/WindowsMultiInstanceMonitor.cpp:
          Use new os_pdhmsg.h

Wed May 14 12:24:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_kstat.h:
        * ace/os_include/sys/os_sysinfo.h:
          New header files

        * ace/os_include/os_glob.h:
        * ace/os_include/sys/os_statvfs.h:
          Removed not needed includes

        * configure.ac:
          Added check for sysinfo.h

        * ace/config-linux-common.h:
          Added ACE_HAS_SYSINFO and ACE_HAS_SYSINFO_H

        * ace/Makefile.am:
          Added new files

        * ace/MonitorControl/CPULoadMonitor.h:
        * ace/MonitorControl/MemoryUsageMonitor.cpp:
        * ace/MonitorControl/MemoryUsageMonitor.h:
          Use the new defines and header files

Wed May 14 10:41:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/*:
        * examples/Monitor/*:
          Renamed MonitorControl namespace to Monitor_Control to comply
          to ACE coding guidelines

Wed May 14 09:48:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.lst:
          Enabled some more tests on vxworks

Tue May 13 19:20:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/diff-builds.pl:
          Updated for move of test stats

Mon May 12 12:19:15 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/Monitor/MC_Test_Utilities.h:
        * examples/Monitor/Bytes_Sent/bytes_sent.cpp:
        * examples/Monitor/Message_Queue_Size/message_queue_size.cpp:
        * examples/Monitor/Constraint/constraint.cpp:
        * examples/Monitor/CPU_Load/cpu_load.cpp:
        * examples/Monitor/MC_Test_Utilities.cpp:
        * examples/Monitor/Group/group.cpp:
        * examples/Monitor/Memory_Usage/memory_usage.cpp:

          Added appropriate preprocessor guards to ensure a
          successful build when ACE_HAS_MONITOR_FRAMEWORK is
          defined as 0.

        * examples/Monitor/Message_Queue_Size/Message_Queue_Size.mpc:

          Removed outdated macro additions from project.

Fri May  9 18:58:52 UTC 2008  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Config.h:
        * ace/Service_Config.inl:
        * ace/Service_Config.cpp:
        * ace/Service_Gestalt.cpp:

        Calling ACE_Service_Config::open() does not correctly initialize
        the SC global state (process name, in particular but others
        too). Fixing bug#3319.

Fri May  9 17:58:21 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/modules/AutomakeWorkspaceHelper.pm:

          Revert changes of:
          Thu May  8 22:13:24 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

          Now that ETCL Parser library has been renamed back to
          ACE_ETCL_Parser.

Fri May  9 17:55:39 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * examples/Monitor/Bytes_Sent/Makefile.am:
        * examples/Monitor/Message_Queue_Size/Makefile.am:
        * examples/Monitor/Constraint/Makefile.am:
        * examples/Monitor/CPU_Load/Makefile.am:
        * examples/Monitor/Num_Threads/Makefile.am:
        * examples/Monitor/Group/Makefile.am:
        * examples/Monitor/Memory_Usage/Makefile.am:
        * ace/ETCL/Makefile.am:
        * ace/MonitorControl/Makefile.am:

          Regenerated.

Fri May  9 14:17:11 UTC 2008  William R. Otte  <wotte@william-r-ottes-macbook-pro.local>

        * include/makeinclude/platform_macosx_icc.GNU:

          Support for ICC on Intel Macs.

Fri May  9 12:04:15 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-all.h:
          Added ACE_HAS_MONITOR_POINTS which currently is set to 0. We will
          enable this in a few builds to test them in detail. This way the
          user can decide to enable the monitor framework but not get the
          ACE builtin monitor points

        * ace/CDR_Stream.cpp:
        * ace/CDR_Stream.h:
        * ace/CDR_Stream.inl:
        * ace/Message_Queue_T.cpp:
        * ace/Message_Queue_T.h:
          Added monitor points

        * ace/Codeset_IBM1047.cpp:
          Removed code to silence the hp compiler, this is not needed in other
          files

Fri May  9 11:44:59 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * bin/MakeProjectCreator/config/ace_etcl_parser.mpb:

          Changed the filename etcl_parser.mpb to the one
          above, for consistency in the names of ACE-related
          files. Also changed the corresponding library name
          to ACE_ETCL_Parser.

        * ace/ETCL/ACE_ETCL_Parser.pc.in:

          Changed the name of ETCL_Parser.pc.in likewise.
          Also changed the contents of this file accordingly.

        * ace/ETCL/ETCL.mpc:
        * ace/MonitorControl/MonitorControl.mpc:
        * bin/MakeProjectCreator/config/ace_mc.mpb:

          Changes corresponding to the name changes above.

Thu May  8 23:03:15 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/ace_zlib.mpb:

          ACE-specific zlib base project that overrides library settings
          in MPC's own zlib base project for the automake build.

Thu May  8 22:13:24 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/modules/AutomakeWorkspaceHelper.pm:

          Adjust libpaths now that ACE_ETCL_Parser library has been
          renamed to just ETCL_Parser.

Thu May  8 22:07:40 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ETCL/Makefile.am:

          Regenerated.

        * ace/ETCL/ACE_ETCL.pc.in:
        * ace/ETCL/ETCL_Parser.pc.in:

          New pkg-config template files.

        * ace/ETCL/ETCL.mpc:

          Add Pkgconfig_Files sections for ACE_ETCL and ETCL_Parser
          projects.

Thu May  8 21:06:29 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/ETCL/ETCL_Constraint_Visitor.h:
        * ace/ETCL/ETCL_Constraint_Visitor.cpp:

          Removed a no-op method mean to be overridden
          in derived visitors, but then abandoned.

Fri May  2 17:45:13 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * docs/ACE-guidelines.html: Updated the style guide to discuss the
          use of '_' vs intercaps.

Thu May  8 10:51:29 UTC 2008  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_sunos5_g++.GNU: Ensure -pipe is not
          inserted into CCFLAGS twice. Similar to earlier change from
          Wed Jan 23 17:23:31 UTC 2008  Steve Huston  <shuston@riverace.com>
          Fixes Bugzilla #3232.

Thu May  8 08:06:10 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ETCL/ETCL_l.cpp:
        * ace/ETCL/ETCL_y.cpp:
          Fixed casing of include

Wed May  7 19:28:35 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/Unbounded_Set.{h inl}: Replaced typedef BASE with base_type.
          Avoids a BASE macro on AIX.

Wed May  7 19:02:51 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/ETCL/ETCL_include:

          Removed this directory.

        * ace/ETCL/etcl_parser_export.h:

          Relocated here from ace/ETCL/ETCL_include.

        * bin/MakeProjectCreator/config/etcl_parser.mpb:

          Renamed this file from ace_etcl_parser.mpb.

        * ace/ETCL/ETCL_l.cpp:
        * ace/ETCL/ETCL.yy
        * ace/ETCL/ETCL_Interpreter.cpp:
        * ace/ETCL/ETCL.ll:
        * ace/ETCL/ETCL_y.cpp:
        * ace/ETCL/ETCL_Interpreter.h:
        * ace/ETCL/ETCL.mpc:
        * ace/MonitorControl/MonitorControl.mpc:
        * bin/MakeProjectCreator/config/ace_mc.mpb:

          All changes in this checkin are to remove
          unnecessary things as a result of making the
          ETCL parser the only one used. The corresponding
          parser in TAO is eliminated.

Wed May  7 17:11:10 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_icc.GNU:
          Added ICC 11.0

Wed May  7 14:28:54 UTC 2008  Chad Elliott  <elliott_c@ociweb.com>

        * bin/ChangeLogEditor/FileLocatorFactory.pm:

          Changed to detect Subversion before CVS.

Wed May  7 14:12:10 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3319_Regression_Test.cpp:
        * tests/run_test.lst:
        * tests/tests.mpc:
          Added regression for bugzilla 3319

Wed May  7 10:52:10 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Hash_Map_Manager_T.cpp:
          Fixed GCC warning about maybe unitialised use and also
          use prefix decrement and no need for some intermediate variables

Wed May  7 08:42:10 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
          Added ACE_HAS_4_4BSD_SENDMSG_RECVMSG

Wed May  7 07:03:29 UTC 2008  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ace/Unbounded_Set.h

          Fuzz fix.

Wed May  7 06:33:30 UTC 2008  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ace/Unbounded_Set.inl

          Fix unused argument warning.

Tue May  6 17:03:17 UTC 2008  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ace/Hash_Map_Manager_T.cpp:
          Fixed segfault if shared_find is called on a map of size zero.

        * ace/Log_Msg.h:

          Comments for trace_active were swapped.

        * ace/Node.h:
        * ace/Node.cpp:
        * ace/Unbounded_Set.h:
        * ace/Unbounded_Set.inl:
        * ace/Unbounded_Set.cpp:
        * ace/Unbounded_Set_Ex.h:
        * ace/Unbounded_Set_Ex.inl:
